/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         CISAparse
#define yylex           CISAlex
#define yyerror         CISAerror
#define yydebug         CISAdebug
#define yynerrs         CISAnerrs
#define yylval          CISAlval
#define yychar          CISAchar

/* First part of user prologue.  */
#line 9 "CISA.y"

#include <stdio.h>
#include <math.h>
#include <string>
#include <vector>

#include "visa_igc_common_header.h"
#include "Common_ISA.h"
#include "Common_ISA_util.h"
#include "Common_ISA_framework.h"
#include "JitterDataStruct.h"
#include "VISAKernel.h"

static int lscCheckExecSize(
    CISA_IR_Builder* pBuilder,
    LSC_SFID sfid,
    LSC_OP op,
    LSC_DATA_ORDER data_order,
    int exec_size);

void CISAerror(CISA_IR_Builder* builder, char const* msg);
int yylex(CISA_IR_Builder *pBuilder);
extern int CISAlineno;

static bool streq(const char *sym0, const char *sym1);
static bool ParseAlign(CISA_IR_Builder* pBuilder, const char *sym, VISA_Align &value);
static VISA_Align AlignBytesToVisaAlignment(int bytes);
static int DataTypeSizeOf(VISA_Type type);
static bool ParseEMask(const char* sym, VISA_EMask_Ctrl &emask);

//
// check if the cond is true.
// if cond is false, then print errorMessage (syntax error) and YYABORT
#define MUST_HOLD(cond, errorMessage) \
  {if (!(cond)) {pBuilder->RecordParseError(CISAlineno, errorMessage); YYABORT;}}
#define PARSE_ERROR_AT(LINE,...)\
  {pBuilder->RecordParseError(LINE, __VA_ARGS__); YYABORT;}
#define PARSE_ERROR(...)\
    PARSE_ERROR_AT(CISAlineno, __VA_ARGS__)

// Use this to wrap API calls that return false, nullptr, or 0 on failure
// It's assumed that the API call reported the parse error
#define ABORT_ON_FAIL(X) \
    do \
        if (!(X)) \
            YYABORT;\
    while (0)
#define TRACE(S) \
    do { \
      if (CISAout && pBuilder->debugParse()) \
          fprintf(CISAout, "line %d: %s", CISAlineno, S); \
    } while (0)

std::deque<const char*> switchLabels;
std::vector<VISA_opnd*> RTRWOperandsVec;

VISA_RawOpnd* rawOperandArray[16];

// global var for non-kernel attribute option.
// The var needs to be cleared before each use.
std::vector<attr_gen_struct*> AttrOptVar;


#line 142 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "CISA.tab.hpp"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_ALIGN_KEYWORD = 3,              /* ALIGN_KEYWORD  */
  YYSYMBOL_ATOMIC_SUB_OP = 4,              /* ATOMIC_SUB_OP  */
  YYSYMBOL_DIRECTIVE_DECL = 5,             /* DIRECTIVE_DECL  */
  YYSYMBOL_DIRECTIVE_FUNC = 6,             /* DIRECTIVE_FUNC  */
  YYSYMBOL_DIRECTIVE_FUNCDECL = 7,         /* DIRECTIVE_FUNCDECL  */
  YYSYMBOL_DIRECTIVE_GLOBAL_FUNC = 8,      /* DIRECTIVE_GLOBAL_FUNC  */
  YYSYMBOL_DIRECTIVE_IMPLICIT = 9,         /* DIRECTIVE_IMPLICIT  */
  YYSYMBOL_DIRECTIVE_INPUT = 10,           /* DIRECTIVE_INPUT  */
  YYSYMBOL_DIRECTIVE_KERNEL = 11,          /* DIRECTIVE_KERNEL  */
  YYSYMBOL_DIRECTIVE_KERNEL_ATTR = 12,     /* DIRECTIVE_KERNEL_ATTR  */
  YYSYMBOL_DIRECTIVE_VERSION = 13,         /* DIRECTIVE_VERSION  */
  YYSYMBOL_ALIAS_EQ = 14,                  /* ALIAS_EQ  */
  YYSYMBOL_ALIGN_EQ = 15,                  /* ALIGN_EQ  */
  YYSYMBOL_ATTR_EQ = 16,                   /* ATTR_EQ  */
  YYSYMBOL_OFFSET_EQ = 17,                 /* OFFSET_EQ  */
  YYSYMBOL_NUM_ELTS_EQ = 18,               /* NUM_ELTS_EQ  */
  YYSYMBOL_V_NAME_EQ = 19,                 /* V_NAME_EQ  */
  YYSYMBOL_SIZE_EQ = 20,                   /* SIZE_EQ  */
  YYSYMBOL_V_TYPE_EQ_G = 21,               /* V_TYPE_EQ_G  */
  YYSYMBOL_V_TYPE_EQ_P = 22,               /* V_TYPE_EQ_P  */
  YYSYMBOL_V_TYPE_EQ_A = 23,               /* V_TYPE_EQ_A  */
  YYSYMBOL_V_TYPE_EQ_S = 24,               /* V_TYPE_EQ_S  */
  YYSYMBOL_V_TYPE_EQ_T = 25,               /* V_TYPE_EQ_T  */
  YYSYMBOL_CPS = 26,                       /* CPS  */
  YYSYMBOL_NON_UNIFORM_SAMPLER = 27,       /* NON_UNIFORM_SAMPLER  */
  YYSYMBOL_PIXEL_NULL_MASK = 28,           /* PIXEL_NULL_MASK  */
  YYSYMBOL_RAW_SEND_STRING = 29,           /* RAW_SEND_STRING  */
  YYSYMBOL_RAW_SENDC_STRING = 30,          /* RAW_SENDC_STRING  */
  YYSYMBOL_RAW_SENDS_STRING = 31,          /* RAW_SENDS_STRING  */
  YYSYMBOL_RAW_SENDS_EOT_STRING = 32,      /* RAW_SENDS_EOT_STRING  */
  YYSYMBOL_RAW_SENDSC_STRING = 33,         /* RAW_SENDSC_STRING  */
  YYSYMBOL_RAW_SENDSC_EOT_STRING = 34,     /* RAW_SENDSC_EOT_STRING  */
  YYSYMBOL_SAT = 35,                       /* SAT  */
  YYSYMBOL_SRCMOD_ABS = 36,                /* SRCMOD_ABS  */
  YYSYMBOL_SRCMOD_NEG = 37,                /* SRCMOD_NEG  */
  YYSYMBOL_SRCMOD_NEGABS = 38,             /* SRCMOD_NEGABS  */
  YYSYMBOL_SRCMOD_NOT = 39,                /* SRCMOD_NOT  */
  YYSYMBOL_BFN_OP = 40,                    /* BFN_OP  */
  YYSYMBOL_DPAS_OP = 41,                   /* DPAS_OP  */
  YYSYMBOL_SVM_ALIGNED = 42,               /* SVM_ALIGNED  */
  YYSYMBOL_SVM_UNALIGNED = 43,             /* SVM_UNALIGNED  */
  YYSYMBOL_NBARRIER_SIGNAL = 44,           /* NBARRIER_SIGNAL  */
  YYSYMBOL_NBARRIER_WAIT = 45,             /* NBARRIER_WAIT  */
  YYSYMBOL_ITYPE = 46,                     /* ITYPE  */
  YYSYMBOL_DECL_DATA_TYPE = 47,            /* DECL_DATA_TYPE  */
  YYSYMBOL_DFTYPE = 48,                    /* DFTYPE  */
  YYSYMBOL_FTYPE = 49,                     /* FTYPE  */
  YYSYMBOL_HFTYPE = 50,                    /* HFTYPE  */
  YYSYMBOL_BFTYPE = 51,                    /* BFTYPE  */
  YYSYMBOL_VTYPE = 52,                     /* VTYPE  */
  YYSYMBOL_COND_MOD = 53,                  /* COND_MOD  */
  YYSYMBOL_LANGLE = 54,                    /* LANGLE  */
  YYSYMBOL_RANGLE = 55,                    /* RANGLE  */
  YYSYMBOL_LBRACK = 56,                    /* LBRACK  */
  YYSYMBOL_RBRACK = 57,                    /* RBRACK  */
  YYSYMBOL_IND_LBRACK = 58,                /* IND_LBRACK  */
  YYSYMBOL_LPAREN = 59,                    /* LPAREN  */
  YYSYMBOL_RPAREN = 60,                    /* RPAREN  */
  YYSYMBOL_LBRACE = 61,                    /* LBRACE  */
  YYSYMBOL_RBRACE = 62,                    /* RBRACE  */
  YYSYMBOL_DOT = 63,                       /* DOT  */
  YYSYMBOL_COMMA = 64,                     /* COMMA  */
  YYSYMBOL_SEMI = 65,                      /* SEMI  */
  YYSYMBOL_COLON = 66,                     /* COLON  */
  YYSYMBOL_SLASH = 67,                     /* SLASH  */
  YYSYMBOL_PERCENT = 68,                   /* PERCENT  */
  YYSYMBOL_EQUALS = 69,                    /* EQUALS  */
  YYSYMBOL_PLUS = 70,                      /* PLUS  */
  YYSYMBOL_MINUS = 71,                     /* MINUS  */
  YYSYMBOL_TIMES = 72,                     /* TIMES  */
  YYSYMBOL_AMP = 73,                       /* AMP  */
  YYSYMBOL_CIRC = 74,                      /* CIRC  */
  YYSYMBOL_PIPE = 75,                      /* PIPE  */
  YYSYMBOL_TILDE = 76,                     /* TILDE  */
  YYSYMBOL_BANG = 77,                      /* BANG  */
  YYSYMBOL_QUESTION = 78,                  /* QUESTION  */
  YYSYMBOL_LEQ = 79,                       /* LEQ  */
  YYSYMBOL_GEQ = 80,                       /* GEQ  */
  YYSYMBOL_EQ = 81,                        /* EQ  */
  YYSYMBOL_NEQ = 82,                       /* NEQ  */
  YYSYMBOL_SHL = 83,                       /* SHL  */
  YYSYMBOL_SHRS = 84,                      /* SHRS  */
  YYSYMBOL_SHRZ = 85,                      /* SHRZ  */
  YYSYMBOL_LABEL = 86,                     /* LABEL  */
  YYSYMBOL_IDENT = 87,                     /* IDENT  */
  YYSYMBOL_BUILTIN_NULL = 88,              /* BUILTIN_NULL  */
  YYSYMBOL_BUILTIN = 89,                   /* BUILTIN  */
  YYSYMBOL_STRING_LIT = 90,                /* STRING_LIT  */
  YYSYMBOL_NEWLINE = 91,                   /* NEWLINE  */
  YYSYMBOL_UNIFORM = 92,                   /* UNIFORM  */
  YYSYMBOL_RTWRITE_OPTION = 93,            /* RTWRITE_OPTION  */
  YYSYMBOL_MEDIA_MODE = 94,                /* MEDIA_MODE  */
  YYSYMBOL_OWORD_MODIFIER = 95,            /* OWORD_MODIFIER  */
  YYSYMBOL_SAMPLER_CHANNEL = 96,           /* SAMPLER_CHANNEL  */
  YYSYMBOL_CHANNEL_OUTPUT = 97,            /* CHANNEL_OUTPUT  */
  YYSYMBOL_EXECMODE = 98,                  /* EXECMODE  */
  YYSYMBOL_CNTRL = 99,                     /* CNTRL  */
  YYSYMBOL_FENCE_OPTIONS = 100,            /* FENCE_OPTIONS  */
  YYSYMBOL_ADDR_ADD_OP = 101,              /* ADDR_ADD_OP  */
  YYSYMBOL_UNARY_LOGIC_OP = 102,           /* UNARY_LOGIC_OP  */
  YYSYMBOL_BINARY_LOGIC_OP = 103,          /* BINARY_LOGIC_OP  */
  YYSYMBOL_TERNARY_LOGIC_OP = 104,         /* TERNARY_LOGIC_OP  */
  YYSYMBOL_QUATERNARY_LOGIC_OP = 105,      /* QUATERNARY_LOGIC_OP  */
  YYSYMBOL_SEL_OP = 106,                   /* SEL_OP  */
  YYSYMBOL_MIN_OP = 107,                   /* MIN_OP  */
  YYSYMBOL_MAX_OP = 108,                   /* MAX_OP  */
  YYSYMBOL_ANTI_TRIG_OP = 109,             /* ANTI_TRIG_OP  */
  YYSYMBOL_MATH2_OP = 110,                 /* MATH2_OP  */
  YYSYMBOL_MATH3_OP = 111,                 /* MATH3_OP  */
  YYSYMBOL_ARITH2_OP = 112,                /* ARITH2_OP  */
  YYSYMBOL_ARITH3_OP = 113,                /* ARITH3_OP  */
  YYSYMBOL_ARITH4_OP = 114,                /* ARITH4_OP  */
  YYSYMBOL_ARITH4_OP2 = 115,               /* ARITH4_OP2  */
  YYSYMBOL_ARITH5_OP2 = 116,               /* ARITH5_OP2  */
  YYSYMBOL_CMP_OP = 117,                   /* CMP_OP  */
  YYSYMBOL_SVM_OP = 118,                   /* SVM_OP  */
  YYSYMBOL_SVM_SCATTER_OP = 119,           /* SVM_SCATTER_OP  */
  YYSYMBOL_SVM_GATHER4SCALED_OP = 120,     /* SVM_GATHER4SCALED_OP  */
  YYSYMBOL_SVM_SCATTER4SCALED_OP = 121,    /* SVM_SCATTER4SCALED_OP  */
  YYSYMBOL_SVM_ATOMIC_OP = 122,            /* SVM_ATOMIC_OP  */
  YYSYMBOL_OWORD_OP = 123,                 /* OWORD_OP  */
  YYSYMBOL_MEDIA_OP = 124,                 /* MEDIA_OP  */
  YYSYMBOL_SCATTER_OP = 125,               /* SCATTER_OP  */
  YYSYMBOL_SCATTER_TYPED_OP = 126,         /* SCATTER_TYPED_OP  */
  YYSYMBOL_SCATTER_SCALED_OP = 127,        /* SCATTER_SCALED_OP  */
  YYSYMBOL_SCATTER4_SCALED_OP = 128,       /* SCATTER4_SCALED_OP  */
  YYSYMBOL_BARRIER_OP = 129,               /* BARRIER_OP  */
  YYSYMBOL_SBARRIER_SIGNAL = 130,          /* SBARRIER_SIGNAL  */
  YYSYMBOL_SBARRIER_WAIT = 131,            /* SBARRIER_WAIT  */
  YYSYMBOL_DWORD_ATOMIC_OP = 132,          /* DWORD_ATOMIC_OP  */
  YYSYMBOL_TYPED_ATOMIC_OP = 133,          /* TYPED_ATOMIC_OP  */
  YYSYMBOL_SAMPLE_OP = 134,                /* SAMPLE_OP  */
  YYSYMBOL_SAMPLE_UNORM_OP = 135,          /* SAMPLE_UNORM_OP  */
  YYSYMBOL_VME_IME_OP = 136,               /* VME_IME_OP  */
  YYSYMBOL_VME_SIC_OP = 137,               /* VME_SIC_OP  */
  YYSYMBOL_VME_FBR_OP = 138,               /* VME_FBR_OP  */
  YYSYMBOL_BRANCH_OP = 139,                /* BRANCH_OP  */
  YYSYMBOL_RET_OP = 140,                   /* RET_OP  */
  YYSYMBOL_IFCALL = 141,                   /* IFCALL  */
  YYSYMBOL_FCALL = 142,                    /* FCALL  */
  YYSYMBOL_FADDR = 143,                    /* FADDR  */
  YYSYMBOL_SWITCHJMP_OP = 144,             /* SWITCHJMP_OP  */
  YYSYMBOL_MOVS_OP = 145,                  /* MOVS_OP  */
  YYSYMBOL_SETP_OP = 146,                  /* SETP_OP  */
  YYSYMBOL_MOV_OP = 147,                   /* MOV_OP  */
  YYSYMBOL_FILE_OP = 148,                  /* FILE_OP  */
  YYSYMBOL_LOC_OP = 149,                   /* LOC_OP  */
  YYSYMBOL_CACHE_FLUSH_OP = 150,           /* CACHE_FLUSH_OP  */
  YYSYMBOL_WAIT_OP = 151,                  /* WAIT_OP  */
  YYSYMBOL_FENCE_GLOBAL_OP = 152,          /* FENCE_GLOBAL_OP  */
  YYSYMBOL_FENCE_LOCAL_OP = 153,           /* FENCE_LOCAL_OP  */
  YYSYMBOL_FENCE_SW_OP = 154,              /* FENCE_SW_OP  */
  YYSYMBOL_YIELD_OP = 155,                 /* YIELD_OP  */
  YYSYMBOL_SAMPLE_3D_OP = 156,             /* SAMPLE_3D_OP  */
  YYSYMBOL_LOAD_3D_OP = 157,               /* LOAD_3D_OP  */
  YYSYMBOL_SAMPLE4_3D_OP = 158,            /* SAMPLE4_3D_OP  */
  YYSYMBOL_RESINFO_OP_3D = 159,            /* RESINFO_OP_3D  */
  YYSYMBOL_SAMPLEINFO_OP_3D = 160,         /* SAMPLEINFO_OP_3D  */
  YYSYMBOL_RTWRITE_OP_3D = 161,            /* RTWRITE_OP_3D  */
  YYSYMBOL_URBWRITE_OP_3D = 162,           /* URBWRITE_OP_3D  */
  YYSYMBOL_LIFETIME_START_OP = 163,        /* LIFETIME_START_OP  */
  YYSYMBOL_LIFETIME_END_OP = 164,          /* LIFETIME_END_OP  */
  YYSYMBOL_AVS_OP = 165,                   /* AVS_OP  */
  YYSYMBOL_BREAKPOINT_OP = 166,            /* BREAKPOINT_OP  */
  YYSYMBOL_CALL_OP = 167,                  /* CALL_OP  */
  YYSYMBOL_PRED_CNTL = 168,                /* PRED_CNTL  */
  YYSYMBOL_F32_LIT = 169,                  /* F32_LIT  */
  YYSYMBOL_F64_LIT = 170,                  /* F64_LIT  */
  YYSYMBOL_DEC_LIT = 171,                  /* DEC_LIT  */
  YYSYMBOL_HEX_LIT = 172,                  /* HEX_LIT  */
  YYSYMBOL_BUILTIN_SIZEOF = 173,           /* BUILTIN_SIZEOF  */
  YYSYMBOL_BUILTIN_DISPATCH_SIMD_SIZE = 174, /* BUILTIN_DISPATCH_SIMD_SIZE  */
  YYSYMBOL_QW_SCATTER_OP = 175,            /* QW_SCATTER_OP  */
  YYSYMBOL_LSC_CACHING_OPT = 176,          /* LSC_CACHING_OPT  */
  YYSYMBOL_LSC_ADDR_SIZE_TK = 177,         /* LSC_ADDR_SIZE_TK  */
  YYSYMBOL_LSC_DATA_SHAPE_TK = 178,        /* LSC_DATA_SHAPE_TK  */
  YYSYMBOL_LSC_DATA_SHAPE_TK_CHMASK = 179, /* LSC_DATA_SHAPE_TK_CHMASK  */
  YYSYMBOL_LSC_DATA_SHAPE_TK_BLOCK2D = 180, /* LSC_DATA_SHAPE_TK_BLOCK2D  */
  YYSYMBOL_LSC_AM_FLAT = 181,              /* LSC_AM_FLAT  */
  YYSYMBOL_LSC_AM_BTI = 182,               /* LSC_AM_BTI  */
  YYSYMBOL_LSC_AM_BSS = 183,               /* LSC_AM_BSS  */
  YYSYMBOL_LSC_AM_SS = 184,                /* LSC_AM_SS  */
  YYSYMBOL_LSC_AM_ARG = 185,               /* LSC_AM_ARG  */
  YYSYMBOL_LSC_FENCE_OP_TYPE = 186,        /* LSC_FENCE_OP_TYPE  */
  YYSYMBOL_LSC_FENCE_SCOPE = 187,          /* LSC_FENCE_SCOPE  */
  YYSYMBOL_LSC_SFID_UNTYPED_TOKEN = 188,   /* LSC_SFID_UNTYPED_TOKEN  */
  YYSYMBOL_LSC_SFID_TYPED_TOKEN = 189,     /* LSC_SFID_TYPED_TOKEN  */
  YYSYMBOL_LSC_LOAD_MNEMONIC = 190,        /* LSC_LOAD_MNEMONIC  */
  YYSYMBOL_LSC_LOAD_STRIDED_MNEMONIC = 191, /* LSC_LOAD_STRIDED_MNEMONIC  */
  YYSYMBOL_LSC_LOAD_BLOCK2D_MNEMONIC = 192, /* LSC_LOAD_BLOCK2D_MNEMONIC  */
  YYSYMBOL_LSC_STORE_MNEMONIC = 193,       /* LSC_STORE_MNEMONIC  */
  YYSYMBOL_LSC_STORE_STRIDED_MNEMONIC = 194, /* LSC_STORE_STRIDED_MNEMONIC  */
  YYSYMBOL_LSC_STORE_BLOCK2D_MNEMONIC = 195, /* LSC_STORE_BLOCK2D_MNEMONIC  */
  YYSYMBOL_LSC_ATOMIC_MNEMONIC = 196,      /* LSC_ATOMIC_MNEMONIC  */
  YYSYMBOL_LSC_READ_STATE_INFO_MNEMONIC = 197, /* LSC_READ_STATE_INFO_MNEMONIC  */
  YYSYMBOL_LSC_FENCE_MNEMONIC = 198,       /* LSC_FENCE_MNEMONIC  */
  YYSYMBOL_FCVT_OP = 199,                  /* FCVT_OP  */
  YYSYMBOL_LSC_DATA_SHAPE_TK_TYPED_BLOCK2D = 200, /* LSC_DATA_SHAPE_TK_TYPED_BLOCK2D  */
  YYSYMBOL_YYACCEPT = 201,                 /* $accept  */
  YYSYMBOL_Listing = 202,                  /* Listing  */
  YYSYMBOL_ListingHeader = 203,            /* ListingHeader  */
  YYSYMBOL_Statements = 204,               /* Statements  */
  YYSYMBOL_Newlines = 205,                 /* Newlines  */
  YYSYMBOL_NewlinesOpt = 206,              /* NewlinesOpt  */
  YYSYMBOL_Statement = 207,                /* Statement  */
  YYSYMBOL_Scope = 208,                    /* Scope  */
  YYSYMBOL_ScopeStart = 209,               /* ScopeStart  */
  YYSYMBOL_ScopeEnd = 210,                 /* ScopeEnd  */
  YYSYMBOL_IdentOrStringLit = 211,         /* IdentOrStringLit  */
  YYSYMBOL_DirectiveKernel = 212,          /* DirectiveKernel  */
  YYSYMBOL_DirectiveGlobalFunction = 213,  /* DirectiveGlobalFunction  */
  YYSYMBOL_DirectiveVersion = 214,         /* DirectiveVersion  */
  YYSYMBOL_DirectiveDecl = 215,            /* DirectiveDecl  */
  YYSYMBOL_DeclFunction = 216,             /* DeclFunction  */
  YYSYMBOL_DeclVariable = 217,             /* DeclVariable  */
  YYSYMBOL_DeclAddress = 218,              /* DeclAddress  */
  YYSYMBOL_DeclPredicate = 219,            /* DeclPredicate  */
  YYSYMBOL_DeclSampler = 220,              /* DeclSampler  */
  YYSYMBOL_VNameEqOpt = 221,               /* VNameEqOpt  */
  YYSYMBOL_DeclSurface = 222,              /* DeclSurface  */
  YYSYMBOL_DirectiveInput = 223,           /* DirectiveInput  */
  YYSYMBOL_DirectiveImplicitInput = 224,   /* DirectiveImplicitInput  */
  YYSYMBOL_InputOffset = 225,              /* InputOffset  */
  YYSYMBOL_InputSize = 226,                /* InputSize  */
  YYSYMBOL_DirectiveAttr = 227,            /* DirectiveAttr  */
  YYSYMBOL_DirectiveFunc = 228,            /* DirectiveFunc  */
  YYSYMBOL_AlignAttrOpt = 229,             /* AlignAttrOpt  */
  YYSYMBOL_Align = 230,                    /* Align  */
  YYSYMBOL_AliasAttrOpt = 231,             /* AliasAttrOpt  */
  YYSYMBOL_OneAttr = 232,                  /* OneAttr  */
  YYSYMBOL_AttrOpt = 233,                  /* AttrOpt  */
  YYSYMBOL_GenAttrOpt = 234,               /* GenAttrOpt  */
  YYSYMBOL_Instruction = 235,              /* Instruction  */
  YYSYMBOL_Label = 236,                    /* Label  */
  YYSYMBOL_LogicInstruction = 237,         /* LogicInstruction  */
  YYSYMBOL_UnaryLogicInstruction = 238,    /* UnaryLogicInstruction  */
  YYSYMBOL_MathInstruction_2OPND = 239,    /* MathInstruction_2OPND  */
  YYSYMBOL_MathInstruction_3OPND = 240,    /* MathInstruction_3OPND  */
  YYSYMBOL_ArithInstruction_2OPND = 241,   /* ArithInstruction_2OPND  */
  YYSYMBOL_ArithInstruction_3OPND = 242,   /* ArithInstruction_3OPND  */
  YYSYMBOL_ArithInstruction_4OPND = 243,   /* ArithInstruction_4OPND  */
  YYSYMBOL_DpasInstruction = 244,          /* DpasInstruction  */
  YYSYMBOL_BfnInstruction = 245,           /* BfnInstruction  */
  YYSYMBOL_QwScatterInstruction = 246,     /* QwScatterInstruction  */
  YYSYMBOL_FCvtInstruction = 247,          /* FCvtInstruction  */
  YYSYMBOL_AntiTrigInstruction = 248,      /* AntiTrigInstruction  */
  YYSYMBOL_AddrAddInstruction = 249,       /* AddrAddInstruction  */
  YYSYMBOL_SetpInstruction = 250,          /* SetpInstruction  */
  YYSYMBOL_SelInstruction = 251,           /* SelInstruction  */
  YYSYMBOL_MinInstruction = 252,           /* MinInstruction  */
  YYSYMBOL_MaxInstruction = 253,           /* MaxInstruction  */
  YYSYMBOL_MovInstruction = 254,           /* MovInstruction  */
  YYSYMBOL_BreakpointInstruction = 255,    /* BreakpointInstruction  */
  YYSYMBOL_MovsInstruction = 256,          /* MovsInstruction  */
  YYSYMBOL_CmpInstruction = 257,           /* CmpInstruction  */
  YYSYMBOL_MediaInstruction = 258,         /* MediaInstruction  */
  YYSYMBOL_MediaInstructionPlaneID = 259,  /* MediaInstructionPlaneID  */
  YYSYMBOL_ScatterInstruction = 260,       /* ScatterInstruction  */
  YYSYMBOL_ScatterTypedInstruction = 261,  /* ScatterTypedInstruction  */
  YYSYMBOL_Scatter4ScaledInstruction = 262, /* Scatter4ScaledInstruction  */
  YYSYMBOL_ScatterScaledInstruction = 263, /* ScatterScaledInstruction  */
  YYSYMBOL_SynchronizationInstruction = 264, /* SynchronizationInstruction  */
  YYSYMBOL_DwordAtomicInstruction = 265,   /* DwordAtomicInstruction  */
  YYSYMBOL_TypedAtomicInstruction = 266,   /* TypedAtomicInstruction  */
  YYSYMBOL_Atomic16Opt = 267,              /* Atomic16Opt  */
  YYSYMBOL_SampleUnormInstruction = 268,   /* SampleUnormInstruction  */
  YYSYMBOL_SampleInstruction = 269,        /* SampleInstruction  */
  YYSYMBOL_SamplerAddrOperand = 270,       /* SamplerAddrOperand  */
  YYSYMBOL_Sample3dInstruction = 271,      /* Sample3dInstruction  */
  YYSYMBOL_CPSEnableOpt = 272,             /* CPSEnableOpt  */
  YYSYMBOL_NonUniformSamplerEnableOpt = 273, /* NonUniformSamplerEnableOpt  */
  YYSYMBOL_Load3dInstruction = 274,        /* Load3dInstruction  */
  YYSYMBOL_Gather43dInstruction = 275,     /* Gather43dInstruction  */
  YYSYMBOL_PixelNullMaskEnableOpt = 276,   /* PixelNullMaskEnableOpt  */
  YYSYMBOL_ResInfo3dInstruction = 277,     /* ResInfo3dInstruction  */
  YYSYMBOL_SampleInfo3dInstruction = 278,  /* SampleInfo3dInstruction  */
  YYSYMBOL_RTWriteOperands = 279,          /* RTWriteOperands  */
  YYSYMBOL_RTWriteInstruction = 280,       /* RTWriteInstruction  */
  YYSYMBOL_RTWriteModeOpt = 281,           /* RTWriteModeOpt  */
  YYSYMBOL_URBWriteInstruction = 282,      /* URBWriteInstruction  */
  YYSYMBOL_AVSInstruction = 283,           /* AVSInstruction  */
  YYSYMBOL_VMEInstruction = 284,           /* VMEInstruction  */
  YYSYMBOL_OwordInstruction = 285,         /* OwordInstruction  */
  YYSYMBOL_SvmInstruction = 286,           /* SvmInstruction  */
  YYSYMBOL_AtomicBitwidthOpt = 287,        /* AtomicBitwidthOpt  */
  YYSYMBOL_LscInstruction = 288,           /* LscInstruction  */
  YYSYMBOL_LscUntypedLoad = 289,           /* LscUntypedLoad  */
  YYSYMBOL_LscUntypedStridedLoad = 290,    /* LscUntypedStridedLoad  */
  YYSYMBOL_LscUntypedBlock2dLoad = 291,    /* LscUntypedBlock2dLoad  */
  YYSYMBOL_LscUntypedStore = 292,          /* LscUntypedStore  */
  YYSYMBOL_LscUntypedStridedStore = 293,   /* LscUntypedStridedStore  */
  YYSYMBOL_LscUntypedBlock2dStore = 294,   /* LscUntypedBlock2dStore  */
  YYSYMBOL_LscUntypedAtomic = 295,         /* LscUntypedAtomic  */
  YYSYMBOL_LscTypedLoad = 296,             /* LscTypedLoad  */
  YYSYMBOL_LscTypedStore = 297,            /* LscTypedStore  */
  YYSYMBOL_LscTypedAtomic = 298,           /* LscTypedAtomic  */
  YYSYMBOL_LscTypedReadStateInfo = 299,    /* LscTypedReadStateInfo  */
  YYSYMBOL_LscFence = 300,                 /* LscFence  */
  YYSYMBOL_LscSfid = 301,                  /* LscSfid  */
  YYSYMBOL_LscCacheOpts = 302,             /* LscCacheOpts  */
  YYSYMBOL_LscUntypedAddrOperand = 303,    /* LscUntypedAddrOperand  */
  YYSYMBOL_LscUntypedStridedAddrOperand = 304, /* LscUntypedStridedAddrOperand  */
  YYSYMBOL_LscUntypedBlock2dAddrOperand = 305, /* LscUntypedBlock2dAddrOperand  */
  YYSYMBOL_LscTypedAddrWithOffsetOperand = 306, /* LscTypedAddrWithOffsetOperand  */
  YYSYMBOL_LscTypedAddrWithOffsetOperandList = 307, /* LscTypedAddrWithOffsetOperandList  */
  YYSYMBOL_LscTypedAddrOperandWithOffsets = 308, /* LscTypedAddrOperandWithOffsets  */
  YYSYMBOL_LscAddrImmOffsetOpt = 309,      /* LscAddrImmOffsetOpt  */
  YYSYMBOL_LscAddrImmScaleOpt = 310,       /* LscAddrImmScaleOpt  */
  YYSYMBOL_LscAddrModelOpt = 311,          /* LscAddrModelOpt  */
  YYSYMBOL_LscAddrModelStateful = 312,     /* LscAddrModelStateful  */
  YYSYMBOL_LscVectorOpRegOrImm32 = 313,    /* LscVectorOpRegOrImm32  */
  YYSYMBOL_LscVectorOpImm32 = 314,         /* LscVectorOpImm32  */
  YYSYMBOL_LscVectorOpReg = 315,           /* LscVectorOpReg  */
  YYSYMBOL_LscDataOperand = 316,           /* LscDataOperand  */
  YYSYMBOL_LscDataOperand2D = 317,         /* LscDataOperand2D  */
  YYSYMBOL_LscPayloadReg = 318,            /* LscPayloadReg  */
  YYSYMBOL_LscPayloadNonNullReg = 319,     /* LscPayloadNonNullReg  */
  YYSYMBOL_LscInstructionXe2 = 320,        /* LscInstructionXe2  */
  YYSYMBOL_LscTypedBlock2dLoad = 321,      /* LscTypedBlock2dLoad  */
  YYSYMBOL_LscTypedBlock2dStore = 322,     /* LscTypedBlock2dStore  */
  YYSYMBOL_LscTypedBlock2dAddrOperand = 323, /* LscTypedBlock2dAddrOperand  */
  YYSYMBOL_LscDataOperandTyped2D = 324,    /* LscDataOperandTyped2D  */
  YYSYMBOL_LscUntypedApndCtrAtomic = 325,  /* LscUntypedApndCtrAtomic  */
  YYSYMBOL_SwitchLabels = 326,             /* SwitchLabels  */
  YYSYMBOL_BranchInstruction = 327,        /* BranchInstruction  */
  YYSYMBOL_FILE = 328,                     /* FILE  */
  YYSYMBOL_LOC = 329,                      /* LOC  */
  YYSYMBOL_RawSendInstruction = 330,       /* RawSendInstruction  */
  YYSYMBOL_LifetimeStartInst = 331,        /* LifetimeStartInst  */
  YYSYMBOL_LifetimeEndInst = 332,          /* LifetimeEndInst  */
  YYSYMBOL_RawSendsInstruction = 333,      /* RawSendsInstruction  */
  YYSYMBOL_NullaryInstruction = 334,       /* NullaryInstruction  */
  YYSYMBOL_OwordModifier = 335,            /* OwordModifier  */
  YYSYMBOL_Predicate = 336,                /* Predicate  */
  YYSYMBOL_PredSign = 337,                 /* PredSign  */
  YYSYMBOL_PredCtrlOpt = 338,              /* PredCtrlOpt  */
  YYSYMBOL_SatModOpt = 339,                /* SatModOpt  */
  YYSYMBOL_SrcModifier = 340,              /* SrcModifier  */
  YYSYMBOL_ConditionalModifier = 341,      /* ConditionalModifier  */
  YYSYMBOL_VecDstOperand_A = 342,          /* VecDstOperand_A  */
  YYSYMBOL_VecDstOperand_G = 343,          /* VecDstOperand_G  */
  YYSYMBOL_VecDstOperand_G_I = 344,        /* VecDstOperand_G_I  */
  YYSYMBOL_VecSrcOperand_G_I_IMM_A_AO = 345, /* VecSrcOperand_G_I_IMM_A_AO  */
  YYSYMBOL_VecSrcOperand_G_I_IMM_A = 346,  /* VecSrcOperand_G_I_IMM_A  */
  YYSYMBOL_VecSrcOperand_G_I_IMM = 347,    /* VecSrcOperand_G_I_IMM  */
  YYSYMBOL_VecSrcOperand_G_IMM = 348,      /* VecSrcOperand_G_IMM  */
  YYSYMBOL_VecSrcOperand_G_IMM_AO = 349,   /* VecSrcOperand_G_IMM_AO  */
  YYSYMBOL_VecSrcOperand_G_A = 350,        /* VecSrcOperand_G_A  */
  YYSYMBOL_VecSrcOperand_G_A_AO = 351,     /* VecSrcOperand_G_A_AO  */
  YYSYMBOL_VecSrcOperand_G = 352,          /* VecSrcOperand_G  */
  YYSYMBOL_VecSrcOpndSimple = 353,         /* VecSrcOpndSimple  */
  YYSYMBOL_VMEOpndIME = 354,               /* VMEOpndIME  */
  YYSYMBOL_VMEOpndFBR = 355,               /* VMEOpndFBR  */
  YYSYMBOL_SrcStateOperand = 356,          /* SrcStateOperand  */
  YYSYMBOL_DstStateOperand = 357,          /* DstStateOperand  */
  YYSYMBOL_RawOperand = 358,               /* RawOperand  */
  YYSYMBOL_RawOperandNonNull = 359,        /* RawOperandNonNull  */
  YYSYMBOL_RawOperandOffsetSuffix = 360,   /* RawOperandOffsetSuffix  */
  YYSYMBOL_RawOperandArray = 361,          /* RawOperandArray  */
  YYSYMBOL_DstAddrOperand = 362,           /* DstAddrOperand  */
  YYSYMBOL_DstGeneralOperand = 363,        /* DstGeneralOperand  */
  YYSYMBOL_DstIndirectOperand = 364,       /* DstIndirectOperand  */
  YYSYMBOL_SrcAddrOfOperand = 365,         /* SrcAddrOfOperand  */
  YYSYMBOL_AddrOfVar = 366,                /* AddrOfVar  */
  YYSYMBOL_SrcAddrOperand = 367,           /* SrcAddrOperand  */
  YYSYMBOL_SrcGeneralOperand = 368,        /* SrcGeneralOperand  */
  YYSYMBOL_SrcImmOperand = 369,            /* SrcImmOperand  */
  YYSYMBOL_FloatLit = 370,                 /* FloatLit  */
  YYSYMBOL_DoubleFloatLit = 371,           /* DoubleFloatLit  */
  YYSYMBOL_SrcIndirectOperand = 372,       /* SrcIndirectOperand  */
  YYSYMBOL_DstRegion = 373,                /* DstRegion  */
  YYSYMBOL_SrcRegionDirect = 374,          /* SrcRegionDirect  */
  YYSYMBOL_SrcRegionIndirect = 375,        /* SrcRegionIndirect  */
  YYSYMBOL_IndirectVarAccess = 376,        /* IndirectVarAccess  */
  YYSYMBOL_TwoDimOffset = 377,             /* TwoDimOffset  */
  YYSYMBOL_PredVar = 378,                  /* PredVar  */
  YYSYMBOL_AddrVarAccess = 379,            /* AddrVarAccess  */
  YYSYMBOL_AddrVarAccessWithWidth = 380,   /* AddrVarAccessWithWidth  */
  YYSYMBOL_SIMDMode = 381,                 /* SIMDMode  */
  YYSYMBOL_ElemNum = 382,                  /* ElemNum  */
  YYSYMBOL_ExecSize = 383,                 /* ExecSize  */
  YYSYMBOL_ExecSizeInt = 384,              /* ExecSizeInt  */
  YYSYMBOL_Var = 385,                      /* Var  */
  YYSYMBOL_VarNonNull = 386,               /* VarNonNull  */
  YYSYMBOL_IntExp = 387,                   /* IntExp  */
  YYSYMBOL_IntExpCond = 388,               /* IntExpCond  */
  YYSYMBOL_IntExpAND = 389,                /* IntExpAND  */
  YYSYMBOL_IntExpXOR = 390,                /* IntExpXOR  */
  YYSYMBOL_IntExpOR = 391,                 /* IntExpOR  */
  YYSYMBOL_IntExpCmp = 392,                /* IntExpCmp  */
  YYSYMBOL_IntExpRel = 393,                /* IntExpRel  */
  YYSYMBOL_IntExpNRA = 394,                /* IntExpNRA  */
  YYSYMBOL_IntExpShift = 395,              /* IntExpShift  */
  YYSYMBOL_IntExpAdd = 396,                /* IntExpAdd  */
  YYSYMBOL_IntExpMul = 397,                /* IntExpMul  */
  YYSYMBOL_IntExpUnr = 398,                /* IntExpUnr  */
  YYSYMBOL_IntExpPrim = 399,               /* IntExpPrim  */
  YYSYMBOL_DataType = 400,                 /* DataType  */
  YYSYMBOL_DataTypeIntOrVector = 401       /* DataTypeIntOrVector  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   3342

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  201
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  201
/* YYNRULES -- Number of rules.  */
#define YYNRULES  458
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1178

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   455


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   669,   669,   674,   676,   676,   678,   678,   679,   679,
     682,   683,   684,   685,   686,   687,   688,   689,   690,   691,
     696,   697,   698,   702,   706,   709,   709,   716,   724,   732,
     739,   740,   741,   742,   743,   744,   746,   753,   761,   769,
     776,   780,   780,   783,   791,   796,   808,   815,   823,   823,
     824,   830,   834,   838,   842,   847,   853,   853,   855,   859,
     865,   873,   879,   884,   889,   895,   899,   903,   909,   914,
     920,   924,   934,   935,   936,   937,   938,   939,   940,   941,
     942,   943,   944,   945,   946,   947,   948,   949,   950,   951,
     952,   953,   954,   955,   956,   957,   958,   959,   960,   961,
     962,   963,   964,   965,   966,   967,   968,   969,   970,   971,
     972,   973,   974,   975,   976,   977,   978,   979,   980,   981,
     982,   983,   984,   985,   987,   991,   997,  1002,  1008,  1015,
    1021,  1028,  1035,  1042,  1049,  1059,  1068,  1075,  1082,  1091,
    1101,  1107,  1114,  1120,  1129,  1139,  1146,  1153,  1161,  1170,
    1177,  1184,  1190,  1196,  1202,  1208,  1226,  1233,  1243,  1251,
    1258,  1265,  1274,  1283,  1292,  1300,  1303,  1306,  1309,  1312,
    1317,  1324,  1332,  1333,  1339,  1352,  1360,  1367,  1372,  1377,
    1394,  1394,  1396,  1396,  1399,  1416,  1434,  1434,  1437,  1445,
    1453,  1456,  1460,  1466,  1479,  1479,  1483,  1491,  1503,  1519,
    1525,  1538,  1546,  1553,  1561,  1567,  1573,  1579,  1585,  1592,
    1593,  1602,  1603,  1604,  1606,  1607,  1608,  1610,  1613,  1614,
    1615,  1616,  1618,  1645,  1677,  1707,  1735,  1761,  1789,  1818,
    1852,  1896,  1941,  1977,  2016,  2021,  2021,  2024,  2025,  2029,
    2038,  2044,  2053,  2073,  2093,  2100,  2104,  2107,  2112,  2115,
    2120,  2126,  2134,  2147,  2148,  2149,  2154,  2155,  2158,  2159,
    2160,  2161,  2165,  2168,  2171,  2174,  2177,  2180,  2185,  2185,
    2189,  2199,  2207,  2215,  2229,  2233,  2239,  2244,  2247,  2251,
    2254,  2260,  2262,  2263,  2275,  2304,  2326,  2338,  2349,  2358,
    2380,  2383,  2386,  2393,  2397,  2401,  2405,  2411,  2416,  2423,
    2430,  2435,  2440,  2446,  2453,  2460,  2466,  2472,  2480,  2488,
    2496,  2506,  2511,  2516,  2521,  2526,  2531,  2536,  2541,  2546,
    2546,  2552,  2557,  2562,  2562,  2564,  2564,  2567,  2567,  2570,
    2571,  2572,  2573,  2575,  2575,  2580,  2581,  2583,  2584,  2588,
    2589,  2592,  2593,  2596,  2597,  2598,  2601,  2602,  2605,  2606,
    2607,  2610,  2611,  2614,  2615,  2617,  2619,  2629,  2636,  2644,
    2652,  2671,  2683,  2690,  2702,  2707,  2714,  2719,  2727,  2735,
    2741,  2746,  2768,  2772,  2778,  2788,  2796,  2803,  2813,  2819,
    2826,  2830,  2835,  2839,  2845,  2846,  2853,  2861,  2862,  2868,
    2878,  2886,  2895,  2913,  2927,  2930,  2941,  2952,  2957,  2962,
    2970,  2979,  2991,  3005,  3007,  3018,  3030,  3036,  3044,  3053,
    3053,  3054,  3054,  3057,  3059,  3060,  3062,  3063,  3065,  3066,
    3068,  3069,  3071,  3072,  3073,  3075,  3076,  3077,  3078,  3079,
    3098,  3101,  3102,  3103,  3104,  3106,  3107,  3108,  3110,  3111,
    3116,  3121,  3123,  3124,  3125,  3126,  3130,  3131,  3133,  3137,
    3141,  3147,  3156,  3157,  3158,  3159,  3160,  3162,  3163
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "ALIGN_KEYWORD",
  "ATOMIC_SUB_OP", "DIRECTIVE_DECL", "DIRECTIVE_FUNC",
  "DIRECTIVE_FUNCDECL", "DIRECTIVE_GLOBAL_FUNC", "DIRECTIVE_IMPLICIT",
  "DIRECTIVE_INPUT", "DIRECTIVE_KERNEL", "DIRECTIVE_KERNEL_ATTR",
  "DIRECTIVE_VERSION", "ALIAS_EQ", "ALIGN_EQ", "ATTR_EQ", "OFFSET_EQ",
  "NUM_ELTS_EQ", "V_NAME_EQ", "SIZE_EQ", "V_TYPE_EQ_G", "V_TYPE_EQ_P",
  "V_TYPE_EQ_A", "V_TYPE_EQ_S", "V_TYPE_EQ_T", "CPS",
  "NON_UNIFORM_SAMPLER", "PIXEL_NULL_MASK", "RAW_SEND_STRING",
  "RAW_SENDC_STRING", "RAW_SENDS_STRING", "RAW_SENDS_EOT_STRING",
  "RAW_SENDSC_STRING", "RAW_SENDSC_EOT_STRING", "SAT", "SRCMOD_ABS",
  "SRCMOD_NEG", "SRCMOD_NEGABS", "SRCMOD_NOT", "BFN_OP", "DPAS_OP",
  "SVM_ALIGNED", "SVM_UNALIGNED", "NBARRIER_SIGNAL", "NBARRIER_WAIT",
  "ITYPE", "DECL_DATA_TYPE", "DFTYPE", "FTYPE", "HFTYPE", "BFTYPE",
  "VTYPE", "COND_MOD", "LANGLE", "RANGLE", "LBRACK", "RBRACK",
  "IND_LBRACK", "LPAREN", "RPAREN", "LBRACE", "RBRACE", "DOT", "COMMA",
  "SEMI", "COLON", "SLASH", "PERCENT", "EQUALS", "PLUS", "MINUS", "TIMES",
  "AMP", "CIRC", "PIPE", "TILDE", "BANG", "QUESTION", "LEQ", "GEQ", "EQ",
  "NEQ", "SHL", "SHRS", "SHRZ", "LABEL", "IDENT", "BUILTIN_NULL",
  "BUILTIN", "STRING_LIT", "NEWLINE", "UNIFORM", "RTWRITE_OPTION",
  "MEDIA_MODE", "OWORD_MODIFIER", "SAMPLER_CHANNEL", "CHANNEL_OUTPUT",
  "EXECMODE", "CNTRL", "FENCE_OPTIONS", "ADDR_ADD_OP", "UNARY_LOGIC_OP",
  "BINARY_LOGIC_OP", "TERNARY_LOGIC_OP", "QUATERNARY_LOGIC_OP", "SEL_OP",
  "MIN_OP", "MAX_OP", "ANTI_TRIG_OP", "MATH2_OP", "MATH3_OP", "ARITH2_OP",
  "ARITH3_OP", "ARITH4_OP", "ARITH4_OP2", "ARITH5_OP2", "CMP_OP", "SVM_OP",
  "SVM_SCATTER_OP", "SVM_GATHER4SCALED_OP", "SVM_SCATTER4SCALED_OP",
  "SVM_ATOMIC_OP", "OWORD_OP", "MEDIA_OP", "SCATTER_OP",
  "SCATTER_TYPED_OP", "SCATTER_SCALED_OP", "SCATTER4_SCALED_OP",
  "BARRIER_OP", "SBARRIER_SIGNAL", "SBARRIER_WAIT", "DWORD_ATOMIC_OP",
  "TYPED_ATOMIC_OP", "SAMPLE_OP", "SAMPLE_UNORM_OP", "VME_IME_OP",
  "VME_SIC_OP", "VME_FBR_OP", "BRANCH_OP", "RET_OP", "IFCALL", "FCALL",
  "FADDR", "SWITCHJMP_OP", "MOVS_OP", "SETP_OP", "MOV_OP", "FILE_OP",
  "LOC_OP", "CACHE_FLUSH_OP", "WAIT_OP", "FENCE_GLOBAL_OP",
  "FENCE_LOCAL_OP", "FENCE_SW_OP", "YIELD_OP", "SAMPLE_3D_OP",
  "LOAD_3D_OP", "SAMPLE4_3D_OP", "RESINFO_OP_3D", "SAMPLEINFO_OP_3D",
  "RTWRITE_OP_3D", "URBWRITE_OP_3D", "LIFETIME_START_OP",
  "LIFETIME_END_OP", "AVS_OP", "BREAKPOINT_OP", "CALL_OP", "PRED_CNTL",
  "F32_LIT", "F64_LIT", "DEC_LIT", "HEX_LIT", "BUILTIN_SIZEOF",
  "BUILTIN_DISPATCH_SIMD_SIZE", "QW_SCATTER_OP", "LSC_CACHING_OPT",
  "LSC_ADDR_SIZE_TK", "LSC_DATA_SHAPE_TK", "LSC_DATA_SHAPE_TK_CHMASK",
  "LSC_DATA_SHAPE_TK_BLOCK2D", "LSC_AM_FLAT", "LSC_AM_BTI", "LSC_AM_BSS",
  "LSC_AM_SS", "LSC_AM_ARG", "LSC_FENCE_OP_TYPE", "LSC_FENCE_SCOPE",
  "LSC_SFID_UNTYPED_TOKEN", "LSC_SFID_TYPED_TOKEN", "LSC_LOAD_MNEMONIC",
  "LSC_LOAD_STRIDED_MNEMONIC", "LSC_LOAD_BLOCK2D_MNEMONIC",
  "LSC_STORE_MNEMONIC", "LSC_STORE_STRIDED_MNEMONIC",
  "LSC_STORE_BLOCK2D_MNEMONIC", "LSC_ATOMIC_MNEMONIC",
  "LSC_READ_STATE_INFO_MNEMONIC", "LSC_FENCE_MNEMONIC", "FCVT_OP",
  "LSC_DATA_SHAPE_TK_TYPED_BLOCK2D", "$accept", "Listing", "ListingHeader",
  "Statements", "Newlines", "NewlinesOpt", "Statement", "Scope",
  "ScopeStart", "ScopeEnd", "IdentOrStringLit", "DirectiveKernel",
  "DirectiveGlobalFunction", "DirectiveVersion", "DirectiveDecl",
  "DeclFunction", "DeclVariable", "DeclAddress", "DeclPredicate",
  "DeclSampler", "VNameEqOpt", "DeclSurface", "DirectiveInput",
  "DirectiveImplicitInput", "InputOffset", "InputSize", "DirectiveAttr",
  "DirectiveFunc", "AlignAttrOpt", "Align", "AliasAttrOpt", "OneAttr",
  "AttrOpt", "GenAttrOpt", "Instruction", "Label", "LogicInstruction",
  "UnaryLogicInstruction", "MathInstruction_2OPND",
  "MathInstruction_3OPND", "ArithInstruction_2OPND",
  "ArithInstruction_3OPND", "ArithInstruction_4OPND", "DpasInstruction",
  "BfnInstruction", "QwScatterInstruction", "FCvtInstruction",
  "AntiTrigInstruction", "AddrAddInstruction", "SetpInstruction",
  "SelInstruction", "MinInstruction", "MaxInstruction", "MovInstruction",
  "BreakpointInstruction", "MovsInstruction", "CmpInstruction",
  "MediaInstruction", "MediaInstructionPlaneID", "ScatterInstruction",
  "ScatterTypedInstruction", "Scatter4ScaledInstruction",
  "ScatterScaledInstruction", "SynchronizationInstruction",
  "DwordAtomicInstruction", "TypedAtomicInstruction", "Atomic16Opt",
  "SampleUnormInstruction", "SampleInstruction", "SamplerAddrOperand",
  "Sample3dInstruction", "CPSEnableOpt", "NonUniformSamplerEnableOpt",
  "Load3dInstruction", "Gather43dInstruction", "PixelNullMaskEnableOpt",
  "ResInfo3dInstruction", "SampleInfo3dInstruction", "RTWriteOperands",
  "RTWriteInstruction", "RTWriteModeOpt", "URBWriteInstruction",
  "AVSInstruction", "VMEInstruction", "OwordInstruction", "SvmInstruction",
  "AtomicBitwidthOpt", "LscInstruction", "LscUntypedLoad",
  "LscUntypedStridedLoad", "LscUntypedBlock2dLoad", "LscUntypedStore",
  "LscUntypedStridedStore", "LscUntypedBlock2dStore", "LscUntypedAtomic",
  "LscTypedLoad", "LscTypedStore", "LscTypedAtomic",
  "LscTypedReadStateInfo", "LscFence", "LscSfid", "LscCacheOpts",
  "LscUntypedAddrOperand", "LscUntypedStridedAddrOperand",
  "LscUntypedBlock2dAddrOperand", "LscTypedAddrWithOffsetOperand",
  "LscTypedAddrWithOffsetOperandList", "LscTypedAddrOperandWithOffsets",
  "LscAddrImmOffsetOpt", "LscAddrImmScaleOpt", "LscAddrModelOpt",
  "LscAddrModelStateful", "LscVectorOpRegOrImm32", "LscVectorOpImm32",
  "LscVectorOpReg", "LscDataOperand", "LscDataOperand2D", "LscPayloadReg",
  "LscPayloadNonNullReg", "LscInstructionXe2", "LscTypedBlock2dLoad",
  "LscTypedBlock2dStore", "LscTypedBlock2dAddrOperand",
  "LscDataOperandTyped2D", "LscUntypedApndCtrAtomic", "SwitchLabels",
  "BranchInstruction", "FILE", "LOC", "RawSendInstruction",
  "LifetimeStartInst", "LifetimeEndInst", "RawSendsInstruction",
  "NullaryInstruction", "OwordModifier", "Predicate", "PredSign",
  "PredCtrlOpt", "SatModOpt", "SrcModifier", "ConditionalModifier",
  "VecDstOperand_A", "VecDstOperand_G", "VecDstOperand_G_I",
  "VecSrcOperand_G_I_IMM_A_AO", "VecSrcOperand_G_I_IMM_A",
  "VecSrcOperand_G_I_IMM", "VecSrcOperand_G_IMM", "VecSrcOperand_G_IMM_AO",
  "VecSrcOperand_G_A", "VecSrcOperand_G_A_AO", "VecSrcOperand_G",
  "VecSrcOpndSimple", "VMEOpndIME", "VMEOpndFBR", "SrcStateOperand",
  "DstStateOperand", "RawOperand", "RawOperandNonNull",
  "RawOperandOffsetSuffix", "RawOperandArray", "DstAddrOperand",
  "DstGeneralOperand", "DstIndirectOperand", "SrcAddrOfOperand",
  "AddrOfVar", "SrcAddrOperand", "SrcGeneralOperand", "SrcImmOperand",
  "FloatLit", "DoubleFloatLit", "SrcIndirectOperand", "DstRegion",
  "SrcRegionDirect", "SrcRegionIndirect", "IndirectVarAccess",
  "TwoDimOffset", "PredVar", "AddrVarAccess", "AddrVarAccessWithWidth",
  "SIMDMode", "ElemNum", "ExecSize", "ExecSizeInt", "Var", "VarNonNull",
  "IntExp", "IntExpCond", "IntExpAND", "IntExpXOR", "IntExpOR",
  "IntExpCmp", "IntExpRel", "IntExpNRA", "IntExpShift", "IntExpAdd",
  "IntExpMul", "IntExpUnr", "IntExpPrim", "DataType",
  "DataTypeIntOrVector", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-1069)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-447)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     -50, -1069,    64,     7,    99, -1069, -1069,   -40,   -50, -1069,
      79,  3071,    53,    62,    32,   140,    32,    82,   146,    32,
     149,   206,  1456,  1456,   169, -1069, -1069,   206,   191,   109,
     176,   182,   217, -1069, -1069, -1069,   189,   200,   246,   211,
     260,    32,   206,   206,   206,   236,   132, -1069,  1487,   253,
     268, -1069, -1069,   235,   264,   283,   299,   294, -1069,    14,
     360,   -50, -1069, -1069,  2738, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069,  3145, -1069,   433,
   -1069, -1069, -1069, -1069, -1069,   399,   399, -1069,   355,   -41,
     223, -1069, -1069, -1069, -1069,   211,   486,   238,   486,   486,
   -1069, -1069, -1069, -1069, -1069,   240,   274,   -17, -1069,    20,
    1456, -1069, -1069, -1069, -1069, -1069, -1069,   413,   418, -1069,
      51, -1069, -1069, -1069,   211,   211, -1069,   206,   206,   206,
    1456, -1069,   206,   418,   317,   206,   430,   393,   320,   211,
     223,  1456,   211,    20,  1456,   211,   211, -1069, -1069,   211,
   -1069, -1069, -1069, -1069, -1069,   206,   206, -1069, -1069,   211,
   -1069, -1069,   306, -1069,   206,  2433, -1069, -1069,  2909,   206,
     206,   217,   217,   217,   217,   360,   360,   360,   360,   360,
     360,   360,   360,   360,   360,   360,   360,   360,   360,   206,
     206,   432,   400,   401,   494,   408,   440,   409,   502,   503,
     206,   206,   -23,   206,   360,   482,   482,   482,   419,   206,
     206,   450,   167,   326,   175,   178,   327,   192,   205,   328,
     471,   504,   505,   506,   507,   486,    52,   500,   460, -1069,
     467,   464,   466,   223, -1069,   469,    -3,   479,   486, -1069,
   -1069,   483, -1069,   104,   470,   472, -1069,   321,    59, -1069,
     199,    98, -1069,   244, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069,   459, -1069,   413,   418, -1069,   486,
   -1069,   371,   486,   495, -1069, -1069, -1069,   380, -1069,   391,
   -1069, -1069,   492,    20,  1456,  1456,   223,   211,   211, -1069,
     176,   385,   211,   211,   527,   223,   223,   528,   223, -1069,
   -1069, -1069,   512,   125,   499,   211,  1456, -1069,   126,  1456,
      28,    28,   211,   382,   211, -1069, -1069,   -50, -1069,   398,
     422,   217,   217,   217,   217,   206,   206,   206,   206,   206,
     206,   206,   206,   206,   206,   206,   206,   206,   206,    20,
      20,   425,   206,   206,   536,   206,   435,   206,   538,   538,
      32, -1069,   206,  1456,   516,   206, -1069,   583,   515,   517,
   -1069,   206,   441,    32,   443,   439,   439,   439,   439,   439,
     439,   439,   439,   439,   439,   439,   439,   251,   600,   486,
     486,   486,   486, -1069,   559,   486,   608, -1069, -1069, -1069,
   -1069, -1069,   454,   455,   223,   -30, -1069, -1069,   486,   486,
   -1069,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   567,
     371,   495,   341,   187, -1069, -1069, -1069, -1069, -1069, -1069,
     564,   486, -1069, -1069,   569,   211, -1069,    47, -1069, -1069,
     574, -1069, -1069,   577,   486,  1456,  1456,   125,   223,   223,
   -1069,  1456,  1546,   211,   578,   251,   211,   468,   223,   223,
    1456,   223,   486,   371, -1069,   512,    -5, -1069,   581, -1069,
   -1069,   582,   486, -1069,   211,   223, -1069,   223,  1456, -1069,
    1487,   575,   475,   476,   217,   217,   217,   217,    20,    20,
      20,    20,    20,    20,    20,    20,    20,    20,    20,    20,
      20,    20,    20,   211,   580,  1456,  1456,   477,   206,   211,
     206,   211,   478,   206,   206, -1069,  1456,   484,   490,    20,
   -1069,   626,   206,   206,   211,   491, -1069,   206,   487,   206,
     206,   206,   206,   251,   206,   206,   206,   206,   231,   206,
     206,   466,   231, -1069, -1069,   469,   486,   608,   608,   635,
     635,   579, -1069, -1069,   604, -1069,   211,   486, -1069,   610,
     609,   470,   -10,   472, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069,    98,    98,   362,   362,   362, -1069, -1069, -1069, -1069,
   -1069, -1069,   497,   486,   486,   486,   605, -1069, -1069, -1069,
   -1069, -1069, -1069,   486,   486,   611,  1456,  1456, -1069, -1069,
     223,    43,  1456,  1456,  1456, -1069,   223,   223,  1456,   612,
     223, -1069,   613,   223,   618, -1069, -1069,    -5,    -5,   615,
     486,   486,    40,   614,   223, -1069,  1456, -1069, -1069,   508,
     509,   217,   217,   206,   206,  1456,  1456,   211,  1456,   211,
    1456,  1456,  1456,  1456,  1456,  1456,  1456,  1456,  1456,  1456,
    1456,  1456,  1456,   510,   223,   223, -1069,   223,   223,   211,
    1456, -1069,   211,   211,   511,   514,   530,  1088,  1088,   155,
   -1069,   591,  1456,  1456, -1069,   223,   211, -1069,   251,   251,
     251,   251,   513,   231,   302,   231,   302,   521,   617,   644,
     645,   649,   251,   251,   251,   650,   692, -1069, -1069,   622,
     608,   608,   642, -1069,   151, -1069, -1069,   418,   652, -1069,
   -1069,   486,   660,   658,   664,   683,    69,   687, -1069, -1069,
   -1069,  1456,   223,   223,   223,   223,  1456, -1069,   223,  1456,
   -1069, -1069, -1069, -1069, -1069,   682,   162, -1069,    66, -1069,
    1456,  1487,  1487,   206,   206,  1487,  1487,  1456, -1069, -1069,
    1456,   211,  1456,  1456,  1456,  1456,  1456, -1069, -1069,  1456,
   -1069,  1456,  1456,  1456,  1456,   206,   223,   223,   223,   223,
    1456,   223,   223,   223,   572, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069,   577,   206,    28,    28,  1662,   223,
     223,   302,   256,   231,   302,   521,   566, -1069, -1069, -1069,
   -1069,   251,   688, -1069,   251,   691, -1069,   251,   694,   695,
     251,   300,   300,   300,   300, -1069,   302,   231,    73,    34,
     738, -1069, -1069, -1069, -1069,   545, -1069,   579, -1069, -1069,
   -1069, -1069,   486, -1069, -1069,   486,   223, -1069,   223,   223,
     223,  1456,   223,   696, -1069,   697,  1456,   223,   223,  1487,
    1487,  1487,  1487,  1456, -1069, -1069,  1456,  1456, -1069, -1069,
   -1069, -1069, -1069,  1456, -1069, -1069,   223, -1069, -1069,   223,
     223,   223,   223,   223,   223, -1069,  1456,   223,    28, -1069,
   -1069,   223,   223, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069,    66, -1069,    73, -1069,    66,   211, -1069,   163, -1069,
   -1069,   184, -1069,   208,   213,   704,   367,   251,   251,   251,
     701, -1069,   469, -1069, -1069, -1069, -1069,   705,   608, -1069,
   -1069, -1069,   706,   715, -1069, -1069, -1069,   223,  1456,   223,
   -1069, -1069,  1456,   223,   223,  1487,  1487,   223,   223, -1069,
   -1069,  1456, -1069,   223,   223,   223,   223, -1069,   223,   223,
      28,   223,   223,   223, -1069,    73,   699,   712,   703,   389,
      73,    83, -1069,   486,   486,   619, -1069,   486, -1069,   486,
     486,   486,   486,   717,   251, -1069,   251, -1069,    39, -1069,
   -1069, -1069, -1069,   223, -1069,  1456, -1069, -1069,   223,   223,
     223,   223, -1069, -1069, -1069,   223, -1069,   223,   223,    28,
   -1069,   223, -1069,   367, -1069,    73,   606,   486,   486,   367,
     300,   723,   724,   721, -1069,   726,   729,   734,   362,    98,
     211, -1069, -1069, -1069,   728, -1069,  1456,   223,   223,   223,
     223, -1069, -1069,   223,   223,   223, -1069,   736,   730, -1069,
      98,    98,    17,   732,   486, -1069,   486, -1069, -1069, -1069,
     367,   486,   698,   223,   223, -1069, -1069,   223,   223, -1069,
     223,   628,    73,   300,   300,   735,   746,   751,   758,  1456,
   -1069, -1069,   223, -1069, -1069,   750,   759,   753,   486, -1069,
   -1069, -1069,   725, -1069,   223,    73,   638,   300,   762,  1456,
   -1069, -1069,   755,   769,   223,   300, -1069, -1069,   763,   367,
     486,   764,   772,   211, -1069,   367,   773, -1069
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       8,     7,     0,     9,     0,     1,     6,     0,     8,     3,
       0,   321,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   323,    23,   124,     0,   333,     0,
     319,     0,     0,   165,   166,   167,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   311,     0,   314,
     316,   318,   313,     0,     0,     0,     0,     0,   152,     0,
     327,     8,     5,    19,     0,    11,    12,    10,    35,    30,
      31,    32,    33,    34,    14,    13,    16,    15,    17,    18,
      72,    74,    75,    76,    77,    78,    79,   117,   118,   119,
     121,    80,    81,   102,    99,   100,   101,    98,   123,    97,
      82,    83,    85,    86,    88,    87,    89,    91,    92,    94,
      93,   107,   108,   109,   110,   111,   112,   113,    96,    95,
      84,    73,   120,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   122,   282,   283,   281,    90,
     103,   104,   105,   114,   115,   106,   116,     0,    29,     0,
      25,    26,    55,    36,    28,    48,    48,    27,    53,     0,
       0,   330,   329,   331,   332,     0,     0,     0,     0,     0,
     411,   410,   412,   384,   387,   446,   447,     0,   451,     0,
       0,   343,   355,   345,   380,   382,   344,     0,     0,   409,
       0,   445,   169,   324,     0,     0,   334,     0,     0,     0,
       0,   320,     0,     0,     0,     0,   403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   301,   302,     0,
     312,   346,   347,   315,   317,     0,     0,   305,   306,     0,
     235,   236,     0,   328,     0,   321,     2,    22,   321,     0,
       0,     0,     0,     0,     0,   327,   327,   327,   327,   327,
     327,   327,   327,   327,   327,   327,   327,   327,   327,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   327,   186,   186,   186,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    70,    45,    54,   408,
       0,     0,     0,     0,   361,     0,     0,     0,     0,   446,
     447,     0,   413,   415,   417,   419,   421,   424,   429,   430,
     434,   437,   441,   447,   381,   383,   442,   443,   444,   388,
     385,   389,   386,   379,     0,   449,     0,     0,   168,     0,
     394,     0,     0,     0,   457,   458,   378,   325,   400,     0,
     335,   368,     0,     0,     0,     0,     0,     0,     0,   405,
     319,     0,     0,     0,     0,     0,     0,     0,     0,   300,
     337,   338,     0,     0,     0,     0,     0,   336,     0,     0,
       0,     0,     0,     0,     0,     4,    24,     8,    20,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,     0,   172,   172,
       0,   295,     0,     0,     0,     0,   187,   180,     0,     0,
     195,     0,     0,     0,     0,   237,   237,   237,   237,   237,
     237,   237,   237,   237,   237,   237,   237,     0,     0,     0,
       0,     0,     0,    49,     0,     0,    70,    47,    44,    51,
      52,   406,     0,     0,     0,     0,   363,   398,     0,     0,
     448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   429,   453,   454,   455,   456,   390,   452,
       0,     0,   376,   326,     0,     0,   353,     0,   351,   354,
     372,   352,   375,     0,     0,     0,     0,   400,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   370,     0,   290,   154,     0,   155,
     153,     0,     0,   145,     0,     0,   177,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   293,     0,     0,     0,     0,
     181,   182,     0,     0,     0,     0,   294,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   410,     0,   277,   278,   409,     0,    70,    70,    41,
      41,     0,    50,    46,     0,   362,     0,     0,   364,     0,
       0,   416,     0,   418,   420,   422,   423,   425,   426,   427,
     428,   435,   436,   431,   432,   433,   439,   440,   438,   450,
     391,   377,     0,     0,   396,     0,     0,   322,   374,   144,
     348,   350,   349,     0,     0,     0,     0,     0,   202,   203,
       0,   160,     0,     0,     0,   404,     0,     0,     0,     0,
       0,   199,     0,     0,     0,   371,   369,   290,   290,     0,
       0,     0,     0,     0,     0,   189,     0,   142,    21,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
     183,     0,     0,     0,   190,     0,     0,   238,     0,     0,
       0,     0,     0,     0,   258,     0,   258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    56,    39,    38,     0,
      70,    70,    67,    69,     0,   407,   139,     0,     0,   397,
     401,     0,     0,     0,     0,     0,     0,     0,   157,   156,
     201,     0,     0,     0,     0,     0,     0,   357,     0,     0,
     200,   392,   291,   292,   296,     0,     0,   360,     0,   188,
       0,     0,     0,     0,     0,     0,     0,     0,   129,   130,
       0,     0,     0,     0,     0,     0,     0,   143,   131,     0,
     133,     0,     0,     0,   135,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   298,   297,   150,   339,   341,
     340,   342,   149,   151,   400,     0,     0,     0,   193,     0,
       0,   258,     0,     0,   258,     0,     0,   288,   284,   259,
     260,     0,     0,   261,     0,     0,   241,     0,     0,     0,
       0,     0,     0,     0,     0,   285,   258,     0,     0,     0,
      62,    57,    42,    40,    43,     0,    71,     0,   356,   365,
     414,   395,     0,   399,   373,     0,     0,   159,     0,     0,
       0,     0,     0,     0,   359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   125,   126,     0,     0,   146,   147,
     148,   132,   134,     0,   137,   138,     0,   207,   208,     0,
       0,     0,     0,     0,     0,   299,     0,     0,     0,   191,
     192,     0,     0,   223,   274,   275,   230,   224,   225,   276,
     226,   256,   231,     0,   227,   256,     0,   228,     0,   269,
     268,   271,   270,     0,     0,     0,   253,     0,   261,     0,
       0,   279,   280,    61,    58,    59,    60,     0,    70,    66,
      65,    68,     0,     0,   158,   161,   176,     0,     0,     0,
     358,   178,     0,     0,     0,     0,     0,     0,     0,   140,
     127,     0,   136,     0,     0,     0,     0,   163,     0,     0,
       0,     0,     0,     0,   141,     0,     0,   248,     0,   245,
       0,     0,   266,     0,     0,     0,   262,     0,   264,     0,
       0,     0,     0,     0,     0,   289,     0,   233,     0,    37,
     393,   402,   175,     0,   198,     0,   303,   304,     0,     0,
       0,     0,   128,   205,   206,     0,   164,     0,     0,     0,
     366,     0,   196,   253,   257,     0,     0,     0,     0,   253,
       0,     0,     0,     0,   272,     0,     0,     0,   254,   255,
       0,   229,   232,    64,     0,   174,     0,     0,     0,     0,
       0,   162,   170,     0,     0,   184,   366,     0,   249,   252,
     246,   247,     0,     0,     0,   267,     0,   263,   265,   286,
     253,     0,     0,     0,     0,   309,   310,     0,     0,   367,
     185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     307,   308,     0,   366,   239,   250,     0,     0,     0,   273,
     287,    63,     0,   171,   179,     0,     0,     0,     0,     0,
     251,   240,     0,     0,     0,     0,   244,   197,     0,   253,
       0,     0,     0,     0,   243,   253,     0,   242
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1069, -1069, -1069,   593,   -46,    12,   597, -1069, -1069,   282,
      -2, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
     216, -1069, -1069, -1069,   684,   544, -1069, -1069, -1069, -1069,
   -1069,   -55, -1069,  -454, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069,   424, -1069, -1069,  -355,
   -1069, -1069, -1069, -1069, -1069,   185, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069, -1069,
   -1069,   -94,  -729,   -20,   -19, -1042, -1069,  -820, -1021,  -120,
    -724,  -559,  -832,  -857,  -878,  -684,   -33,  -444,  -869, -1069,
   -1069, -1069,    95,    87, -1069,  -222, -1069, -1069, -1069, -1069,
   -1069, -1069, -1069, -1069,   493, -1069, -1069, -1069,   481,     9,
   -1069,   261,   473,  -308,   113, -1069,   -22,  -537, -1069, -1069,
   -1069,    23, -1069, -1069, -1069,   480, -1069,   871,  -826, -1069,
   -1068, -1069,  -184, -1069,  -319, -1069,   519, -1069,    48,   685,
     702, -1069,  -368,  -315,   522,  -119,  -187,  -198, -1069,  -185,
   -1069,  -220,  1921,   403,    16,   407,  1138,    74,   390,   395,
     388,   396,     0,  -334, -1069,  -476,  -470,  1568,  -764,  -456,
     686
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     2,     8,    61,     3,     4,    62,    63,    64,   388,
     152,    65,    66,     9,    67,    68,    69,    70,    71,    72,
     770,    73,    74,    75,   296,   456,    76,    77,   890,   891,
     988,   773,   774,   457,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   672,   102,
     103,   104,   105,   106,   107,   108,   583,   109,   110,   545,
     111,   591,   741,   112,   113,   427,   114,   115,   858,   116,
     431,   117,   118,   119,   120,   121,   578,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     232,   599,   876,   877,   880,  1027,  1028,   874,  1043,  1025,
     872,   873,   968,   969,   970,   861,   865,   862,  1029,   135,
     136,   137,   762,   753,   138,   689,   139,   140,   141,   142,
     143,   144,   145,   146,   202,   147,   194,   504,   234,   179,
     197,   349,   375,   369,   847,   848,   849,   220,   659,   506,
     507,   181,   776,   209,   212,   537,   376,   613,   304,   466,
    1105,   350,   370,   371,   850,   510,   851,   182,   183,   184,
     185,   186,   534,   340,   341,   187,   343,   347,   306,   512,
     362,   205,   160,   300,   188,   189,   972,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   190,   191,   498,
     499
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     180,   192,   623,   612,   533,   493,   976,   643,   644,   645,
     351,   641,   642,   697,   154,   235,   358,   157,   379,   980,
      11,   391,   392,   393,   394,   871,   547,   975,   502,   627,
     509,   377,   878,  1108,   650,   983,   159,   984,  1130,   213,
    1093,     1,   334,   956,   915,   515,   170,   171,   172,   761,
     973,   974,  1107,   765,   467,   210,   781,   219,  1112,   687,
     336,   468,   981,   471,     5,   863,   864,   979,   454,   422,
     335,   221,   455,   236,  1131,  1154,   238,   685,   165,   886,
     887,  1133,   688,   161,   162,   163,   164,   544,  1031,  -446,
    1145,   329,   330,   166,   372,  -446,   222,   344,     6,  1137,
     807,   572,   573,   345,   655,   308,   166,   170,   171,   172,
     168,   169,     7,   477,   478,   170,   171,   172,   167,   150,
     505,   985,   151,   168,   169,   166,   170,   171,   172,   787,
     299,    10,   953,   655,   170,   171,   172,   981,   479,   480,
     878,   628,    12,   637,   638,   639,   640,  1080,  1171,   149,
     491,   198,   199,  1081,  1176,   516,  1073,   977,   338,   752,
     170,  1079,   172,   767,   768,   486,   487,   686,   159,   155,
     488,   554,   555,   556,   557,   301,   651,   471,   356,   532,
     532,   307,   472,  1087,   342,   542,   535,   960,   661,   367,
     962,   535,   374,   964,   761,   337,   875,  1026,   684,   981,
     377,  1026,   230,   231,   981,   309,   310,   177,   178,   532,
     348,   352,  1120,   896,   664,   897,   173,   174,   175,   176,
     177,   178,   914,  1032,   148,   365,   655,  1033,   368,   373,
     153,   378,   348,   156,   372,   337,   158,   309,   310,   177,
     178,   477,   654,  1034,   196,   382,   193,  1035,  1113,   981,
     705,   706,   708,   710,   711,   712,   713,   714,   715,   716,
     717,   718,   719,   720,   721,   159,   479,   480,  1036,   481,
     482,   201,  1037,  1038,   917,   918,   203,  1039,   921,   922,
     204,   738,   483,   484,   485,   206,  1160,  1169,   329,   330,
     372,   372,   331,   332,  1045,  1175,   207,   166,   170,   171,
     172,  1146,  1147,   218,   875,   208,   981,   866,  1168,   308,
     170,   302,   172,  1172,   168,   169,   893,   894,   752,   211,
     638,   949,   331,   332,   333,  1162,   217,   978,   875,   981,
     535,   225,   518,   519,   701,   702,   703,   704,   170,   611,
     172,   235,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   223,   539,   435,   436,   543,   219,   166,
     226,   707,   709,   438,   439,   513,   440,   441,   224,   517,
     227,   308,   508,   521,   522,   722,   168,   169,   525,   526,
     443,   444,  1005,  1006,  1007,  1008,   228,   170,   171,   172,
     229,   538,   541,   445,   446,   233,   546,   546,   548,   551,
     373,   587,   475,   476,   351,   652,   653,   173,   174,   175,
     323,   177,   178,   758,   759,   760,   295,   344,   585,   494,
     495,   496,   497,   345,   298,   373,   373,   161,   162,   163,
     164,   596,   481,   482,   954,   955,   866,  1041,  1042,   372,
     372,   372,   372,   372,   372,   372,   372,   372,   372,   372,
     372,   372,   372,   372,   290,   291,   292,   293,   294,  1077,
    1078,   428,   429,   614,   505,   802,   803,   339,  1058,  1059,
     372,   309,   310,   177,   178,   635,   636,   342,   170,   171,
     172,   813,   814,   869,   758,   759,   760,   870,   359,   361,
     363,   364,   383,   666,   667,   411,   412,   413,   414,   670,
     673,   947,   948,   416,   415,   417,   418,   419,   682,   819,
     426,   821,   430,   434,   437,   442,   219,   447,   448,   166,
     455,   658,   449,   450,   451,   452,   696,   461,   462,   463,
     660,   308,   465,  1044,  1049,  1046,   168,   169,   469,   674,
     853,   677,   678,   470,   473,   166,   489,   474,   503,   501,
     459,   514,   535,   724,   725,   662,   524,   308,   536,   219,
     693,   990,   168,   169,   734,  1088,   532,   305,   992,   549,
     552,   993,  1089,   221,   373,   517,   517,   373,   373,   373,
     373,   373,   373,   373,   373,   373,   373,   373,   373,   348,
     898,   527,   530,  1022,   553,   728,   574,   730,   222,   577,
    1091,   582,  1092,   588,   166,   739,   580,  1110,  1111,   590,
     744,   592,   595,   593,   597,   598,   308,   305,   616,   614,
     621,   168,   169,   925,   454,   299,   625,   649,   655,   657,
     663,   309,   310,   177,   178,   989,   664,   386,   675,   679,
     690,   691,   777,   723,   788,   789,   699,   700,   726,   731,
     791,   792,   793,   740,   769,   735,   796,   309,   310,   177,
     178,   736,   745,   747,   775,  1069,   772,   779,   782,   780,
     653,   787,   797,   801,   810,   804,   881,   799,   808,   811,
     812,   835,   844,   817,   818,   845,   820,   855,   822,   823,
     824,   825,   826,   827,   828,   829,   830,   831,   832,   833,
     834,   846,   879,   882,   883,   884,   888,   889,   841,   892,
     305,   895,   899,   867,  1104,   901,   309,   310,   177,   178,
     856,   857,   902,   348,   903,   348,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     904,   905,   914,   945,   961,   840,   959,   963,   842,   843,
     965,   966,   987,   513,   854,   425,  1000,  1001,  1047,  1048,
    1076,  1050,   860,   305,   614,   614,   614,   614,  1040,   906,
    1051,  1074,   305,   305,   911,   305,  1075,   913,   614,   614,
     614,  1090,  1114,  1109,  1115,  1116,  1117,  1138,   916,  1118,
    1084,  1119,  1121,  1131,  1132,   923,  1134,  1139,   924,  1148,
     926,   927,   928,   929,   930,  1144,  1149,   931,  1150,   932,
     933,   934,   935,  1151,  1155,  1161,  1156,  1157,   941,  1165,
     219,   219,  1163,  1159,   219,   219,  1166,  1170,  1173,  1174,
    1177,   387,   385,   698,   221,   221,   771,   348,   221,   221,
     297,   458,   991,   584,   957,  1030,   958,   967,   868,   885,
     737,   852,   324,   523,   615,   900,   540,   550,   490,   222,
     222,   633,   632,   222,   222,   624,   631,   219,   511,   325,
     634,   305,   546,   546,     0,     0,   346,     0,     0,     0,
       0,   221,     0,     0,     0,     0,     0,   614,     0,   998,
     614,     0,     0,   614,  1002,     0,   614,   971,   971,   971,
     971,  1009,     0,     0,  1010,  1011,   222,     0,     0,     0,
       0,  1012,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1020,   305,   305,     0,   219,   219,
     219,   219,   615,     0,     0,   305,   305,     0,   305,     0,
       0,     0,   221,   221,   221,   221,     0,     0,     0,     0,
       0,     0,   305,     0,   305,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   546,     0,     0,   222,   222,   222,
     222,     0,     0,     0,     0,     0,  1053,     0,     0,     0,
    1055,     0,   971,     0,     0,     0,     0,     0,     0,  1062,
       0,     0,     0,   614,   614,   614,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     615,     0,     0,     0,   219,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   221,   221,
       0,   303,     0,  1096,     0,     0,   546,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,   222,     0,     0,     0,     0,     0,
     614,     0,   614,     0,  1094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1122,     0,     0,   305,     0,     0,
       0,   366,     0,   305,   305,   546,     0,   305,     0,     0,
     305,     0,     0,     0,     0,     0,   971,     0,     0,     0,
       0,   305,     0,     0,     0,     0,   971,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1152,     0,     0,
       0,     0,     0,     0,   161,   162,   163,   164,     0,     0,
       0,   305,   305,     0,   305,   305,     0,  1164,     0,     0,
       0,     0,     0,     0,     0,     0,   165,   166,     0,   971,
     971,     0,   305,     0,     0,   615,   615,   615,   615,   167,
       0,   505,     0,     0,   168,   169,     0,     0,     0,   615,
     615,   615,     0,   971,   464,   170,   171,   172,     0,     0,
       0,   971,     0,     0,     0,     0,     0,     0,     0,   971,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   305,
     305,   305,   305,     0,     0,   305,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   520,     0,     0,
       0,     0,     0,     0,     0,     0,   528,   529,     0,   531,
       0,     0,     0,   305,   305,   305,   305,     0,   305,   305,
     305,     0,     0,     0,     0,     0,     0,   173,   174,   175,
     176,   177,   178,     0,     0,   615,   305,   305,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   615,     0,
       0,   615,     0,     0,   615,     0,     0,   615,     0,     0,
       0,     0,     0,     0,     0,   982,     0,     0,     0,     0,
       0,     0,     0,     0,   311,     0,     0,     0,     0,     0,
       0,     0,     0,   305,     0,   305,   305,   305,     0,   305,
       0,     0,     0,     0,   305,   305,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   626,     0,     0,     0,     0,
       0,     0,     0,   305,     0,     0,   305,   305,   305,   305,
     305,   305,     0,     0,   305,     0,     0,     0,   305,   305,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     982,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   615,   615,   615,     0,     0,   668,
     669,     0,     0,     0,     0,     0,   676,     0,     0,   680,
     681,     0,   683,     0,   305,     0,   305,     0,     0,     0,
     305,   305,     0,     0,   305,   305,   694,     0,   695,     0,
     305,   305,   305,   305,     0,   305,   305,     0,   305,   305,
     305,     0,   982,   453,     0,     0,   460,   982,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   615,     0,   615,     0,     0,     0,     0,     0,     0,
     305,     0,     0,     0,     0,   305,   305,   305,   305,     0,
       0,     0,   305,     0,   305,   305,     0,   492,   305,     0,
     500,     0,   982,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,   162,   163,   164,     0,     0,     0,     0,
       0,     0,     0,     0,   305,   305,   305,   305,     0,     0,
     305,   305,   305,     0,   165,   166,     0,     0,     0,     0,
       0,     0,     0,   161,   162,   163,   164,   167,     0,     0,
     305,   305,   168,   169,   305,   305,     0,   305,     0,   982,
       0,   790,     0,   170,   171,   172,   166,   794,   795,   305,
       0,   798,     0,     0,   800,     0,     0,     0,   167,     0,
       0,   305,   982,   168,   169,   809,     0,     0,     0,     0,
       0,   305,     0,     0,   170,   171,   172,     0,     0,     0,
       0,     0,   161,   162,   163,   164,     0,   617,   618,   619,
     620,     0,     0,   622,     0,   836,   837,     0,   838,   839,
       0,     0,     0,     0,   165,   166,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,   859,   167,     0,     0,
       0,     0,   168,   169,     0,   173,   174,   175,   176,   177,
     178,     0,     0,   170,   171,   172,     0,     0,     0,   656,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   665,     0,     0,     0,   173,   174,   175,   176,
     177,   178,     0,   907,   908,   909,   910,     0,     0,   912,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,   162,
     163,   164,     0,     0,     0,     0,     0,   937,   938,   939,
     940,     0,   942,   943,   944,   173,   174,   671,   176,   177,
     178,   166,     0,     0,     0,     0,     0,     0,     0,   950,
     951,   952,     0,   167,   322,   326,   327,   328,   168,   169,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   170,
     611,   172,     0,     0,   766,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   778,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   994,     0,   995,
     996,   997,     0,   999,     0,     0,     0,     0,  1003,  1004,
       0,   783,     0,   784,     0,     0,     0,     0,     0,     0,
       0,   785,   786,     0,     0,     0,     0,  1013,     0,     0,
    1014,  1015,  1016,  1017,  1018,  1019,     0,     0,  1021,     0,
       0,     0,  1023,  1024,     0,     0,     0,     0,   805,   806,
       0,   173,   174,   175,   176,   177,   178,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   322,     0,     0,   322,     0,  1052,     0,
    1054,     0,     0,     0,  1056,  1057,   326,     0,  1060,  1061,
       0,     0,     0,     0,  1063,  1064,  1065,  1066,     0,  1067,
    1068,     0,  1070,  1071,  1072,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   322,     0,     0,
     322,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,     0,     0,     0,     0,  1097,
    1098,  1099,  1100,     0,     0,     0,  1101,     0,  1102,  1103,
       0,     0,  1106,     0,     0,     0,     0,     0,   195,     0,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,   215,   216,     0,     0,  1123,  1124,
    1125,  1126,     0,     0,  1127,  1128,  1129,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1140,  1141,     0,     0,  1142,  1143,
       0,  1129,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1153,     0,     0,     0,   322,   322,   322,
     322,     0,     0,   322,     0,  1129,     0,   986,     0,     0,
       0,     0,     0,     0,     0,  1167,   322,   322,     0,   322,
     322,   322,   322,   322,   322,   322,   322,   322,   322,   322,
     322,   322,   322,   322,   646,   647,   648,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   322,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   322,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     322,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     322,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,     0,   357,     0,     0,   360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   380,   381,     0,     0,
       0,     0,     0,     0,     0,   384,     0,     0,     0,     0,
     389,   390,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1082,  1083,     0,     0,  1085,     0,  1086,     0,     0,
     409,   410,     0,     0,   322,     0,     0,     0,     0,     0,
       0,   420,   421,   423,   424,   322,     0,     0,     0,     0,
     432,   433,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   322,   322,   322,     0,     0,     0,     0,     0,     0,
       0,   322,   322,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1136,     0,     0,     0,   322,   322,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
       0,     0,     0,   575,   576,     0,   579,     0,   581,     0,
       0,     0,     0,   586,     0,     0,   589,     0,     0,   322,
       0,     0,   594,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    -9,     0,     0,     0,     0,    13,    14,
      15,    16,    17,    18,    19,    20,     0,     0,     0,   322,
     322,   322,   322,     0,     0,     0,     0,   322,     0,     0,
       0,     0,     0,   322,     0,     0,     0,     0,     0,     0,
     322,     0,     0,   322,    21,     0,     0,    22,    23,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    24,     0,    25,    -9,     0,     0,     0,   727,
       0,   729,     0,     0,   732,   733,     0,     0,     0,     0,
       0,     0,     0,   742,   743,     0,     0,     0,   746,    26,
     748,   749,   750,   751,     6,   754,   755,   756,   757,     0,
     763,   764,     0,     0,    27,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      28,    29,     0,     0,     0,     0,    30,    31,    32,     0,
       0,     0,    33,    34,    35,     0,     0,    36,    37,    38,
      39,    40,     0,     0,     0,     0,    41,    42,    43,    44,
       0,    45,    46,    47,    48,    49,    50,    51,    52,     0,
       0,     0,    53,    54,     0,     0,    55,    56,    57,    58,
       0,   322,   322,     0,     0,   322,     0,   322,   322,   322,
     322,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   815,   816,     0,     0,     0,     0,
       0,    59,    60,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   322,   322,     0,   322,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1135,     0,   322,     0,     0,     0,     0,   322,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   322,   322,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1158,     0,     0,     0,
       0,     0,     0,     0,     0,   322,     0,     0,     0,     0,
       0,     0,     0,   322,   919,   920,     0,     0,   322,   237,
       0,     0,     0,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,     0,     0,     0,     0,   936,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,    -8,     0,     0,     0,   946,     0,    -8,    -8,
       0,     0,    -8,    -8,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    -8,     0,    -8,
      -8,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    -8,     0,     0,     0,     0,     1,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,     0,     0,     0,
       0,     0,     0,    -8,    13,    14,    15,    16,    17,    18,
      19,    20,     0,     0,     0,     0,     0,     0,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      21,     0,     0,    22,    23,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    24,     0,
      25,   386,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    26,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      27,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    28,    29,     0,     0,
       0,     0,    30,    31,    32,     0,     0,     0,    33,    34,
      35,     0,     0,    36,    37,    38,    39,    40,     0,     0,
       0,     0,    41,    42,    43,    44,     0,    45,    46,    47,
      48,    49,    50,    51,    52,     0,     0,     0,    53,    54,
       0,     0,    55,    56,    57,    58,    13,    14,    15,    16,
      17,    18,    19,    20,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    59,    60,     0,
       0,     0,    21,     0,     0,    22,    23,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      24,     0,    25,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    26,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    27,     0,   239,   240,   241,   242,   243,   244,
       0,     0,     0,     0,     0,   245,     0,     0,    28,    29,
       0,     0,     0,     0,    30,    31,    32,     0,     0,     0,
      33,    34,    35,     0,     0,    36,    37,    38,    39,    40,
       0,     0,     0,     0,    41,    42,    43,    44,     0,    45,
      46,    47,    48,    49,    50,    51,    52,     0,     0,     0,
      53,    54,     0,     0,    55,    56,    57,    58,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,   263,   264,     0,    59,
      60,   265,   266,   267,     0,     0,     0,   268,   269,     0,
       0,     0,     0,     0,   270,   271,   272,   273,     0,     0,
       0,     0,   274,     0,     0,     0,     0,     0,     0,     0,
       0,   275,   276,   277,     0,     0,   278,   279,     0,     0,
       0,     0,   280,     0,     0,     0,     0,     0,     0,     0,
     281,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   282,   283,   284,   285,   286,
     287,   288,   289
};

static const yytype_int16 yycheck[] =
{
      22,    23,   456,   447,   372,   339,   884,   483,   484,   485,
     195,   481,   482,   550,    16,    61,   203,    19,   216,   888,
       8,   241,   242,   243,   244,   754,   381,   884,   343,    59,
     349,   215,   756,  1075,   490,     1,    59,     3,  1106,    41,
       1,    91,    59,   863,   808,   353,    87,    88,    89,   608,
     882,   883,  1073,   612,    57,    39,    66,    48,  1079,    64,
     179,    64,   888,    73,     0,   749,   750,   887,    16,    92,
      87,    48,    20,    61,    57,  1143,    64,   533,    58,   763,
     764,    64,    87,    36,    37,    38,    39,    59,   966,    46,
    1132,    48,    49,    59,   213,    52,    48,    46,    91,  1120,
      60,   409,   410,    52,    64,    71,    59,    87,    88,    89,
      76,    77,    13,    54,    55,    87,    88,    89,    71,    87,
      73,    87,    90,    76,    77,    59,    87,    88,    89,    60,
     171,   171,   861,    64,    87,    88,    89,   963,    79,    80,
     864,   171,    63,   477,   478,   479,   480,    64,  1169,    87,
     337,    42,    43,    70,  1175,   353,  1025,   886,   180,   603,
      87,  1030,    89,   617,   618,    67,    68,   535,    59,    87,
      72,   391,   392,   393,   394,   159,   491,    73,   200,    54,
      54,   165,    78,  1040,    59,    59,   373,   871,   507,   211,
     874,   378,   214,   877,   753,   179,   755,   961,   532,  1025,
     384,   965,   188,   189,  1030,   171,   172,   173,   174,    54,
     194,   195,  1090,    62,    59,    64,   169,   170,   171,   172,
     173,   174,    60,    60,   171,   209,    64,    64,   212,   213,
      90,   215,   216,    87,   353,   219,    87,   171,   172,   173,
     174,    54,    55,    59,    53,   229,    77,    63,  1080,  1075,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,    59,    79,    80,    60,    70,
      71,    95,    64,    60,   811,   812,    94,    64,   815,   816,
      63,   589,    83,    84,    85,    96,  1155,  1165,    48,    49,
     409,   410,    48,    49,   978,  1173,    96,    59,    87,    88,
      89,  1133,  1134,   171,   863,    59,  1132,   751,  1165,    71,
      87,    88,    89,  1170,    76,    77,   770,   771,   762,    59,
     654,   858,    48,    49,    50,  1157,    90,   886,   887,  1155,
     517,    96,   354,   355,   554,   555,   556,   557,    87,    88,
      89,   387,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   100,   376,   188,   189,   379,   349,    59,
      96,   559,   560,   188,   189,   349,   188,   189,   100,   353,
      87,    71,   349,   357,   358,   573,    76,    77,   362,   363,
     188,   189,   919,   920,   921,   922,    87,    87,    88,    89,
      96,   375,   376,   188,   189,    35,   380,   381,   382,   387,
     384,   423,    81,    82,   589,    64,    65,   169,   170,   171,
     172,   173,   174,   182,   183,   184,    17,    46,   420,    48,
      49,    50,    51,    52,    69,   409,   410,    36,    37,    38,
      39,   433,    70,    71,   178,   179,   880,    70,    71,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,    21,    22,    23,    24,    25,    70,
      71,   276,   277,   447,    73,   687,   688,    54,  1005,  1006,
     589,   171,   172,   173,   174,   475,   476,    59,    87,    88,
      89,   701,   702,   181,   182,   183,   184,   185,   171,    59,
      97,   171,   186,   515,   516,    63,    96,    96,     4,   521,
     522,   856,   857,    63,    96,    96,     4,     4,   530,   707,
      28,   709,    93,    63,   188,   188,   507,   189,    47,    59,
      20,   505,    18,    18,    18,    18,   548,    60,    64,    63,
     507,    71,    63,   977,   988,   979,    76,    77,    59,   523,
     738,   525,   526,    60,    74,    59,    87,    75,   168,    54,
      90,    59,   739,   575,   576,   507,   171,    71,    59,   550,
     544,   895,    76,    77,   586,  1041,    54,   160,   902,   187,
     172,   905,  1042,   550,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     777,    64,    64,   948,   172,   579,   171,   581,   550,    63,
    1044,    63,  1046,    87,    59,   589,   171,  1077,  1078,    26,
     594,    96,   171,    96,   171,   176,    71,   210,    18,   603,
      61,    76,    77,   821,    16,   171,   171,    60,    64,    60,
      56,   171,   172,   173,   174,    90,    59,    62,    60,   171,
      59,    59,   626,    63,   666,   667,   171,   171,   171,   171,
     672,   673,   674,    27,    19,   171,   678,   171,   172,   173,
     174,   171,   171,   176,    60,  1020,    87,    57,   171,    60,
      65,    60,    60,    55,   696,    60,    59,    64,    64,   171,
     171,   171,   171,   705,   706,   171,   708,    96,   710,   711,
     712,   713,   714,   715,   716,   717,   718,   719,   720,   721,
     722,   171,   181,    59,    59,    56,    56,    15,   730,    87,
     303,    69,    60,   200,  1069,    55,   171,   172,   173,   174,
     742,   743,    64,   707,    60,   709,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      57,    54,    60,   171,    56,   729,   180,    56,   732,   733,
      56,    56,    14,   737,   738,   274,    60,    60,    57,    54,
      57,    55,   746,   356,   748,   749,   750,   751,    64,   791,
      55,    72,   365,   366,   796,   368,    64,   799,   762,   763,
     764,    64,    59,   177,    60,    64,    60,  1121,   810,    60,
     171,    57,    64,    57,    64,   817,    64,    99,   820,    64,
     822,   823,   824,   825,   826,   177,    60,   829,    57,   831,
     832,   833,   834,    55,    64,   177,    57,    64,   840,    64,
     811,   812,    60,    98,   815,   816,    57,    64,    64,    57,
      57,   238,   235,   551,   811,   812,   620,   821,   815,   816,
     156,   297,   897,   419,   864,   965,   865,   880,   753,   762,
     589,   738,   167,   360,   447,   781,   376,   384,   336,   811,
     812,   473,   472,   815,   816,   462,   471,   858,   349,   167,
     474,   464,   856,   857,    -1,    -1,   190,    -1,    -1,    -1,
      -1,   858,    -1,    -1,    -1,    -1,    -1,   871,    -1,   911,
     874,    -1,    -1,   877,   916,    -1,   880,   881,   882,   883,
     884,   923,    -1,    -1,   926,   927,   858,    -1,    -1,    -1,
      -1,   933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   946,   518,   519,    -1,   919,   920,
     921,   922,   525,    -1,    -1,   528,   529,    -1,   531,    -1,
      -1,    -1,   919,   920,   921,   922,    -1,    -1,    -1,    -1,
      -1,    -1,   545,    -1,   547,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   948,    -1,    -1,   919,   920,   921,
     922,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,
    1002,    -1,   966,    -1,    -1,    -1,    -1,    -1,    -1,  1011,
      -1,    -1,    -1,   977,   978,   979,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     603,    -1,    -1,    -1,  1005,  1006,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1005,  1006,
      -1,   160,    -1,  1055,    -1,    -1,  1020,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1005,  1006,    -1,    -1,    -1,    -1,    -1,
    1044,    -1,  1046,    -1,  1048,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1096,    -1,    -1,   670,    -1,    -1,
      -1,   210,    -1,   676,   677,  1069,    -1,   680,    -1,    -1,
     683,    -1,    -1,    -1,    -1,    -1,  1080,    -1,    -1,    -1,
      -1,   694,    -1,    -1,    -1,    -1,  1090,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1139,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    37,    38,    39,    -1,    -1,
      -1,   724,   725,    -1,   727,   728,    -1,  1159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    58,    59,    -1,  1133,
    1134,    -1,   745,    -1,    -1,   748,   749,   750,   751,    71,
      -1,    73,    -1,    -1,    76,    77,    -1,    -1,    -1,   762,
     763,   764,    -1,  1157,   303,    87,    88,    89,    -1,    -1,
      -1,  1165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   792,
     793,   794,   795,    -1,    -1,   798,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,   366,    -1,   368,
      -1,    -1,    -1,   836,   837,   838,   839,    -1,   841,   842,
     843,    -1,    -1,    -1,    -1,    -1,    -1,   169,   170,   171,
     172,   173,   174,    -1,    -1,   858,   859,   860,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   871,    -1,
      -1,   874,    -1,    -1,   877,    -1,    -1,   880,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   888,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   906,    -1,   908,   909,   910,    -1,   912,
      -1,    -1,    -1,    -1,   917,   918,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   936,    -1,    -1,   939,   940,   941,   942,
     943,   944,    -1,    -1,   947,    -1,    -1,    -1,   951,   952,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   977,   978,   979,    -1,    -1,   518,
     519,    -1,    -1,    -1,    -1,    -1,   525,    -1,    -1,   528,
     529,    -1,   531,    -1,   997,    -1,   999,    -1,    -1,    -1,
    1003,  1004,    -1,    -1,  1007,  1008,   545,    -1,   547,    -1,
    1013,  1014,  1015,  1016,    -1,  1018,  1019,    -1,  1021,  1022,
    1023,    -1,  1025,   295,    -1,    -1,   298,  1030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1044,    -1,  1046,    -1,    -1,    -1,    -1,    -1,    -1,
    1053,    -1,    -1,    -1,    -1,  1058,  1059,  1060,  1061,    -1,
      -1,    -1,  1065,    -1,  1067,  1068,    -1,   339,  1071,    -1,
     342,    -1,  1075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    36,    37,    38,    39,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1097,  1098,  1099,  1100,    -1,    -1,
    1103,  1104,  1105,    -1,    58,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    37,    38,    39,    71,    -1,    -1,
    1123,  1124,    76,    77,  1127,  1128,    -1,  1130,    -1,  1132,
      -1,   670,    -1,    87,    88,    89,    59,   676,   677,  1142,
      -1,   680,    -1,    -1,   683,    -1,    -1,    -1,    71,    -1,
      -1,  1154,  1155,    76,    77,   694,    -1,    -1,    -1,    -1,
      -1,  1164,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,    -1,    36,    37,    38,    39,    -1,   449,   450,   451,
     452,    -1,    -1,   455,    -1,   724,   725,    -1,   727,   728,
      -1,    -1,    -1,    -1,    58,    59,   468,   469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   745,    71,    -1,    -1,
      -1,    -1,    76,    77,    -1,   169,   170,   171,   172,   173,
     174,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,   501,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   514,    -1,    -1,    -1,   169,   170,   171,   172,
     173,   174,    -1,   792,   793,   794,   795,    -1,    -1,   798,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    37,
      38,    39,    -1,    -1,    -1,    -1,    -1,   836,   837,   838,
     839,    -1,   841,   842,   843,   169,   170,   171,   172,   173,
     174,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   858,
     859,   860,    -1,    71,   166,   167,   168,   169,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,   616,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   627,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   906,    -1,   908,
     909,   910,    -1,   912,    -1,    -1,    -1,    -1,   917,   918,
      -1,   653,    -1,   655,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   663,   664,    -1,    -1,    -1,    -1,   936,    -1,    -1,
     939,   940,   941,   942,   943,   944,    -1,    -1,   947,    -1,
      -1,    -1,   951,   952,    -1,    -1,    -1,    -1,   690,   691,
      -1,   169,   170,   171,   172,   173,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   295,    -1,    -1,   298,    -1,   997,    -1,
     999,    -1,    -1,    -1,  1003,  1004,   308,    -1,  1007,  1008,
      -1,    -1,    -1,    -1,  1013,  1014,  1015,  1016,    -1,  1018,
    1019,    -1,  1021,  1022,  1023,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,    -1,    -1,
     342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1053,    -1,    -1,    -1,    -1,  1058,
    1059,  1060,  1061,    -1,    -1,    -1,  1065,    -1,  1067,  1068,
      -1,    -1,  1071,    -1,    -1,    -1,    -1,    -1,    27,    -1,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    43,    44,    -1,    -1,  1097,  1098,
    1099,  1100,    -1,    -1,  1103,  1104,  1105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1123,  1124,    -1,    -1,  1127,  1128,
      -1,  1130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1142,    -1,    -1,    -1,   449,   450,   451,
     452,    -1,    -1,   455,    -1,  1154,    -1,   889,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1164,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   501,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,   198,
     199,    -1,    -1,   202,    -1,    -1,   205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   225,   226,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
     239,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1033,  1034,    -1,    -1,  1037,    -1,  1039,    -1,    -1,
     259,   260,    -1,    -1,   616,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,   272,   273,   627,    -1,    -1,    -1,    -1,
     279,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   653,   654,   655,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   663,   664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1116,    -1,    -1,    -1,   690,   691,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,    -1,    -1,   412,   413,    -1,   415,    -1,   417,    -1,
      -1,    -1,    -1,   422,    -1,    -1,   425,    -1,    -1,   781,
      -1,    -1,   431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     0,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    -1,    -1,   881,
     882,   883,   884,    -1,    -1,    -1,    -1,   889,    -1,    -1,
      -1,    -1,    -1,   895,    -1,    -1,    -1,    -1,    -1,    -1,
     902,    -1,    -1,   905,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,    -1,    61,    62,    -1,    -1,    -1,   578,
      -1,   580,    -1,    -1,   583,   584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   592,   593,    -1,    -1,    -1,   597,    86,
     599,   600,   601,   602,    91,   604,   605,   606,   607,    -1,
     609,   610,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     117,   118,    -1,    -1,    -1,    -1,   123,   124,   125,    -1,
      -1,    -1,   129,   130,   131,    -1,    -1,   134,   135,   136,
     137,   138,    -1,    -1,    -1,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,    -1,   159,   160,    -1,    -1,   163,   164,   165,   166,
      -1,  1033,  1034,    -1,    -1,  1037,    -1,  1039,  1040,  1041,
    1042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   703,   704,    -1,    -1,    -1,    -1,
      -1,   198,   199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1077,  1078,    -1,  1080,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1114,    -1,  1116,    -1,    -1,    -1,    -1,  1121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1133,  1134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1157,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1165,   813,   814,    -1,    -1,  1170,     1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,   835,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    29,    30,    31,
      32,    33,    34,    -1,    -1,    -1,   855,    -1,    40,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,    61,
      62,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,
      61,    62,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   117,   118,    -1,    -1,
      -1,    -1,   123,   124,   125,    -1,    -1,    -1,   129,   130,
     131,    -1,    -1,   134,   135,   136,   137,   138,    -1,    -1,
      -1,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,    -1,   159,   160,
      -1,    -1,   163,   164,   165,   166,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   198,   199,    -1,
      -1,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    -1,    61,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   101,    -1,    29,    30,    31,    32,    33,    34,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,   117,   118,
      -1,    -1,    -1,    -1,   123,   124,   125,    -1,    -1,    -1,
     129,   130,   131,    -1,    -1,   134,   135,   136,   137,   138,
      -1,    -1,    -1,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,    -1,
     159,   160,    -1,    -1,   163,   164,   165,   166,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,    -1,    -1,   119,   120,   121,   122,    -1,   198,
     199,   126,   127,   128,    -1,    -1,    -1,   132,   133,    -1,
      -1,    -1,    -1,    -1,   139,   140,   141,   142,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   156,   157,   158,    -1,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   190,   191,   192,   193,   194,
     195,   196,   197
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,    91,   202,   205,   206,     0,    91,    13,   203,   214,
     171,   206,    63,     5,     6,     7,     8,     9,    10,    11,
      12,    41,    44,    45,    59,    61,    86,   101,   117,   118,
     123,   124,   125,   129,   130,   131,   134,   135,   136,   137,
     138,   143,   144,   145,   146,   148,   149,   150,   151,   152,
     153,   154,   155,   159,   160,   163,   164,   165,   166,   198,
     199,   204,   207,   208,   209,   212,   213,   215,   216,   217,
     218,   219,   220,   222,   223,   224,   227,   228,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   260,   261,   262,   263,   264,   265,   266,   268,
     269,   271,   274,   275,   277,   278,   280,   282,   283,   284,
     285,   286,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   320,   321,   322,   325,   327,
     328,   329,   330,   331,   332,   333,   334,   336,   171,    87,
      87,    90,   211,    90,   211,    87,    87,   211,    87,    59,
     383,    36,    37,    38,    39,    58,    59,    71,    76,    77,
      87,    88,    89,   169,   170,   171,   172,   173,   174,   340,
     347,   352,   368,   369,   370,   371,   372,   376,   385,   386,
     398,   399,   347,    77,   337,   383,    53,   341,    42,    43,
     383,    95,   335,    94,    63,   382,    96,    96,    59,   354,
     385,    59,   355,   211,   383,   383,   383,    90,   171,   340,
     348,   352,   369,   100,   100,    96,    96,    87,    87,    96,
     188,   189,   301,    35,   339,   205,   206,     1,   206,    29,
      30,    31,    32,    33,    34,    40,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   119,   120,   121,   122,   126,   127,   128,   132,   133,
     139,   140,   141,   142,   147,   156,   157,   158,   161,   162,
     167,   175,   190,   191,   192,   193,   194,   195,   196,   197,
      21,    22,    23,    24,    25,    17,   225,   225,    69,   171,
     384,   385,    88,   358,   359,   386,   379,   385,    71,   171,
     172,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   172,   370,   371,   398,   398,   398,    48,
      49,    48,    49,    50,    59,    87,   376,   385,   347,    54,
     374,   375,    59,   377,    46,    52,   401,   378,   385,   342,
     362,   380,   385,   383,   383,   383,   347,   383,   377,   171,
     383,    59,   381,    97,   171,   385,   358,   347,   385,   344,
     363,   364,   376,   385,   347,   343,   357,   363,   385,   378,
     383,   383,   385,   186,   383,   207,    62,   204,   210,   383,
     383,   382,   382,   382,   382,   339,   339,   339,   339,   339,
     339,   339,   339,   339,   339,   339,   339,   339,   339,   383,
     383,    63,    96,    96,     4,    96,    63,    96,     4,     4,
     383,   383,    92,   383,   383,   339,    28,   276,   276,   276,
      93,   281,   383,   383,    63,   188,   189,   188,   188,   189,
     188,   189,   188,   188,   189,   188,   189,   189,    47,    18,
      18,    18,    18,   387,    16,    20,   226,   234,   226,    90,
     387,    60,    64,    63,   358,    63,   360,    57,    64,    59,
      60,    73,    78,    74,    75,    81,    82,    54,    55,    79,
      80,    70,    71,    83,    84,    85,    67,    68,    72,    87,
     375,   377,   387,   394,    48,    49,    50,    51,   400,   401,
     387,    54,   374,   168,   338,    73,   350,   351,   352,   365,
     366,   367,   380,   385,    59,   344,   378,   385,   347,   347,
     358,   385,   385,   335,   171,   385,   385,    64,   358,   358,
      64,   358,    54,   373,   373,   377,    59,   356,   385,   347,
     356,   385,    59,   347,    59,   270,   385,   270,   385,   187,
     343,   206,   172,   172,   382,   382,   382,   382,   383,   383,
     383,   383,   383,   383,   383,   383,   383,   383,   383,   383,
     383,   383,   344,   344,   171,   383,   383,    63,   287,   383,
     171,   383,    63,   267,   267,   211,   383,   347,    87,   383,
      26,   272,    96,    96,   383,   171,   211,   171,   176,   302,
     302,   302,   302,   302,   302,   302,   302,   302,   302,   302,
     302,    88,   318,   358,   385,   386,    18,   387,   387,   387,
     387,    61,   387,   234,   384,   171,   358,    59,   171,   387,
     387,   390,   389,   391,   392,   393,   393,   394,   394,   394,
     394,   397,   397,   396,   396,   396,   398,   398,   398,    60,
     400,   374,    64,    65,    55,    64,   387,    60,   385,   349,
     352,   365,   369,    56,    59,   387,   347,   347,   358,   358,
     347,   171,   259,   347,   385,    60,   358,   385,   385,   171,
     358,   358,   347,   358,   394,   400,   373,    64,    87,   326,
      59,    59,   387,   385,   358,   358,   347,   348,   210,   171,
     171,   382,   382,   382,   382,   344,   344,   378,   344,   378,
     344,   344,   344,   344,   344,   344,   344,   344,   344,   344,
     344,   344,   378,    63,   347,   347,   171,   383,   385,   383,
     385,   171,   383,   383,   347,   171,   171,   342,   344,   385,
      27,   273,   383,   383,   385,   171,   383,   176,   383,   383,
     383,   383,   318,   324,   383,   383,   383,   383,   182,   183,
     184,   312,   323,   383,   383,   312,   387,   234,   234,    19,
     221,   221,    87,   232,   233,    60,   353,   385,   387,    57,
      60,    66,   171,   387,   387,   387,   387,    60,   347,   347,
     358,   347,   347,   347,   358,   358,   347,    60,   358,    64,
     358,    55,   326,   326,    60,   387,   387,    60,    64,   358,
     347,   171,   171,   382,   382,   383,   383,   347,   347,   378,
     347,   378,   347,   347,   347,   347,   347,   347,   347,   347,
     347,   347,   347,   347,   347,   171,   358,   358,   358,   358,
     385,   347,   385,   385,   171,   171,   171,   345,   346,   347,
     365,   367,   345,   378,   385,    96,   347,   347,   279,   358,
     385,   316,   318,   316,   316,   317,   318,   200,   323,   181,
     185,   303,   311,   312,   308,   312,   303,   304,   311,   181,
     305,    59,    59,    59,    56,   324,   316,   316,    56,    15,
     229,   230,    87,   234,   234,    69,    62,    64,   377,    60,
     388,    55,    64,    60,    57,    54,   347,   358,   358,   358,
     358,   347,   358,   347,    60,   399,   347,   348,   348,   383,
     383,   348,   348,   347,   347,   378,   347,   347,   347,   347,
     347,   347,   347,   347,   347,   347,   383,   358,   358,   358,
     358,   347,   358,   358,   358,   171,   383,   270,   270,   348,
     358,   358,   358,   303,   178,   179,   308,   304,   305,   180,
     316,    56,   316,    56,   316,    56,    56,   317,   313,   314,
     315,   385,   387,   313,   313,   314,   315,   303,   312,   308,
     319,   359,   386,     1,     3,    87,   387,    14,   231,    90,
     394,   232,   394,   394,   358,   358,   358,   358,   347,   358,
      60,    60,   347,   358,   358,   348,   348,   348,   348,   347,
     347,   347,   347,   358,   358,   358,   358,   358,   358,   358,
     347,   358,   270,   358,   358,   310,   399,   306,   307,   319,
     310,   315,    60,    64,    59,    63,    60,    64,    60,    64,
      64,    70,    71,   309,   318,   316,   318,    57,    54,   234,
      55,    55,   358,   347,   358,   347,   358,   358,   348,   348,
     358,   358,   347,   358,   358,   358,   358,   358,   358,   270,
     358,   358,   358,   319,    72,    64,    57,    70,    71,   319,
      64,    70,   387,   387,   171,   387,   387,   314,   396,   397,
      64,   318,   318,     1,   385,   358,   347,   358,   358,   358,
     358,   358,   358,   358,   270,   361,   358,   309,   306,   177,
     397,   397,   309,   313,    59,    60,    64,    60,    60,    57,
     315,    64,   347,   358,   358,   358,   358,   358,   358,   358,
     361,    57,    64,    64,    64,   398,   387,   309,   394,    99,
     358,   358,   358,   358,   177,   306,   313,   313,    64,    60,
      57,    55,   347,   358,   361,    64,    57,    64,   398,    98,
     319,   177,   313,    60,   347,    64,    57,   358,   314,   315,
      64,   309,   314,    64,    57,   315,   309,    57
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   201,   202,   203,   204,   204,   205,   205,   206,   206,
     207,   207,   207,   207,   207,   207,   207,   207,   207,   207,
     208,   208,   208,   209,   210,   211,   211,   212,   213,   214,
     215,   215,   215,   215,   215,   215,   216,   217,   218,   219,
     220,   221,   221,   222,   223,   223,   224,   224,   225,   225,
     226,   227,   227,   227,   227,   228,   229,   229,   230,   230,
     230,   230,   231,   231,   231,   232,   232,   232,   233,   233,
     234,   234,   235,   235,   235,   235,   235,   235,   235,   235,
     235,   235,   235,   235,   235,   235,   235,   235,   235,   235,
     235,   235,   235,   235,   235,   235,   235,   235,   235,   235,
     235,   235,   235,   235,   235,   235,   235,   235,   235,   235,
     235,   235,   235,   235,   235,   235,   235,   235,   235,   235,
     235,   235,   235,   235,   236,   237,   237,   237,   237,   238,
     238,   239,   240,   241,   242,   242,   243,   243,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     254,   254,   255,   256,   256,   256,   257,   257,   258,   258,
     259,   260,   261,   262,   263,   264,   264,   264,   264,   264,
     265,   266,   267,   267,   268,   269,   269,   270,   270,   271,
     272,   272,   273,   273,   274,   275,   276,   276,   277,   278,
     279,   279,   279,   280,   281,   281,   282,   283,   284,   284,
     284,   285,   286,   286,   286,   286,   286,   286,   286,   287,
     287,   288,   288,   288,   288,   288,   288,   288,   288,   288,
     288,   288,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   301,   302,   302,   303,
     304,   304,   305,   305,   305,   306,   306,   306,   307,   307,
     307,   307,   308,   309,   309,   309,   310,   310,   311,   311,
     311,   311,   312,   312,   312,   312,   312,   312,   313,   313,
     314,   315,   315,   315,   316,   316,   317,   318,   318,   319,
     319,   320,   320,   320,   321,   322,   323,   323,   324,   325,
     326,   326,   326,   327,   327,   327,   327,   327,   327,   327,
     327,   328,   329,   330,   330,   331,   332,   333,   333,   333,
     333,   334,   334,   334,   334,   334,   334,   334,   334,   335,
     335,   336,   336,   337,   337,   338,   338,   339,   339,   340,
     340,   340,   340,   341,   341,   342,   343,   344,   344,   345,
     345,   346,   346,   347,   347,   347,   348,   348,   349,   349,
     349,   350,   350,   351,   351,   352,   353,   354,   355,   356,
     357,   358,   358,   359,   360,   360,   361,   361,   362,   363,
     363,   364,   365,   365,   366,   367,   368,   368,   369,   369,
     369,   369,   369,   369,   370,   370,   370,   371,   371,   371,
     372,   372,   373,   374,   375,   375,   375,   376,   376,   377,
     378,   379,   380,   381,   381,   382,   383,   383,   384,   385,
     385,   386,   386,   387,   388,   388,   389,   389,   390,   390,
     391,   391,   392,   392,   392,   393,   393,   393,   393,   393,
     394,   395,   395,   395,   395,   396,   396,   396,   397,   397,
     397,   397,   398,   398,   398,   398,   399,   399,   399,   399,
     399,   399,   400,   400,   400,   400,   400,   401,   401
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     5,     1,     3,     1,     2,     1,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     5,     2,     1,     1,     1,     1,     2,     2,     4,
       1,     1,     1,     1,     1,     1,     2,     9,     6,     6,
       7,     0,     2,     7,     4,     3,     5,     4,     0,     2,
       2,     4,     4,     2,     3,     2,     0,     1,     2,     2,
       2,     2,     0,     6,     3,     3,     3,     1,     3,     1,
       0,     4,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     7,     7,     8,     9,     6,
       6,     6,     7,     6,     7,     6,     8,     7,     7,     6,
       8,     8,     5,     6,     5,     4,     7,     7,     7,     6,
       6,     6,     1,     4,     4,     4,     6,     6,     8,     7,
       1,     8,    10,     8,     9,     1,     1,     1,     3,     2,
      10,    13,     0,     2,    10,     9,     8,     1,     5,    13,
       0,     1,     0,     1,    10,    11,     0,     1,     6,     5,
       0,     2,     2,     6,     0,     1,     9,    16,     9,     5,
       6,     6,     5,     5,     4,     9,     9,     7,     7,     0,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     7,     7,     7,     7,     7,     7,     9,
       7,     7,     9,     8,     4,     1,     1,     0,     2,     7,
       9,     1,    16,    14,    10,     1,     3,     3,     1,     3,
       5,     7,     5,     0,     2,     2,     0,     2,     0,     1,
       1,     1,     4,     6,     4,     6,     4,     6,     1,     1,
       1,     1,     3,     6,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     6,     6,     6,     8,     2,     8,
       0,     2,     2,     4,     4,     3,     6,     6,     6,     7,
       3,     2,     2,     9,     9,     2,     2,    12,    12,    11,
      11,     1,     2,     1,     1,     2,     1,     2,     1,     0,
       1,     0,     5,     0,     1,     0,     1,     0,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     5,     7,     4,
       4,     1,     3,     2,     2,     4,     0,     2,     1,     3,
       2,     3,     1,     4,     2,     1,     3,     4,     2,     2,
       1,     2,     1,     2,     1,     2,     2,     1,     2,     2,
       3,     4,     3,     7,     1,     5,     3,     5,     3,     5,
       1,     4,     7,     0,     3,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     5,     1,     3,     1,     3,     1,
       3,     1,     3,     3,     1,     3,     3,     3,     3,     1,
       1,     3,     3,     3,     1,     3,     3,     1,     3,     3,
       3,     1,     2,     2,     2,     1,     1,     1,     3,     2,
       4,     1,     1,     1,     1,     1,     1,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (pBuilder, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, pBuilder); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, CISA_IR_Builder* pBuilder)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (pBuilder);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, CISA_IR_Builder* pBuilder)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep, pBuilder);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule, CISA_IR_Builder* pBuilder)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)], pBuilder);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule, pBuilder); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, CISA_IR_Builder* pBuilder)
{
  YY_USE (yyvaluep);
  YY_USE (pBuilder);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (CISA_IR_Builder* pBuilder)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (pBuilder);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* Listing: NewlinesOpt ListingHeader NewlinesOpt Statements NewlinesOpt  */
#line 669 "CISA.y"
                                                                      {
        TRACE("** Listing Complete\n");
        pBuilder->CISA_post_file_parse();
    }
#line 3110 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 22: /* Scope: ScopeStart error  */
#line 698 "CISA.y"
                       {
        PARSE_ERROR_AT((int)(yyvsp[-1].intval), "unclosed scope");
    }
#line 3118 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 23: /* ScopeStart: LBRACE  */
#line 702 "CISA.y"
           {
        pBuilder->CISA_push_decl_scope();
        (yyval.intval) = CISAlineno;
    }
#line 3127 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 24: /* ScopeEnd: RBRACE  */
#line 706 "CISA.y"
                 {pBuilder->CISA_pop_decl_scope();}
#line 3133 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 27: /* DirectiveKernel: DIRECTIVE_KERNEL IdentOrStringLit  */
#line 717 "CISA.y"
    {
        VISAKernel *cisa_kernel = NULL;
        pBuilder->AddKernel(cisa_kernel, (yyvsp[0].string));
    }
#line 3142 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 28: /* DirectiveGlobalFunction: DIRECTIVE_GLOBAL_FUNC IdentOrStringLit  */
#line 725 "CISA.y"
  {
      VISAFunction *cisa_kernel = NULL;
      pBuilder->AddFunction(cisa_kernel, (yyvsp[0].string));
  }
#line 3151 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 29: /* DirectiveVersion: DIRECTIVE_VERSION DEC_LIT DOT DEC_LIT  */
#line 733 "CISA.y"
   {
       pBuilder->CISA_IR_setVersion((unsigned char)(yyvsp[-2].intval), (unsigned char)(yyvsp[0].intval));
   }
#line 3159 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 36: /* DeclFunction: DIRECTIVE_FUNCDECL STRING_LIT  */
#line 747 "CISA.y"
    {
        // do nothing as it's informational only
    }
#line 3167 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 37: /* DeclVariable: DIRECTIVE_DECL IDENT V_TYPE_EQ_G DECL_DATA_TYPE NUM_ELTS_EQ IntExp AlignAttrOpt AliasAttrOpt GenAttrOpt  */
#line 754 "CISA.y"
    {
       ABORT_ON_FAIL(pBuilder->CISA_general_variable_decl(
           (yyvsp[-7].string), (unsigned int)(yyvsp[-3].intval), (yyvsp[-5].type), (yyvsp[-2].align), (yyvsp[-1].alias).aliasname, (yyvsp[-1].alias).offset, AttrOptVar, CISAlineno));
       AttrOptVar.clear();
    }
#line 3177 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 38: /* DeclAddress: DIRECTIVE_DECL IDENT V_TYPE_EQ_A NUM_ELTS_EQ IntExp GenAttrOpt  */
#line 762 "CISA.y"
   {
       ABORT_ON_FAIL(
           pBuilder->CISA_addr_variable_decl((yyvsp[-4].string), (unsigned int)(yyvsp[-1].intval), ISA_TYPE_UW, AttrOptVar, CISAlineno));
       AttrOptVar.clear();
   }
#line 3187 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 39: /* DeclPredicate: DIRECTIVE_DECL IDENT V_TYPE_EQ_P NUM_ELTS_EQ IntExp GenAttrOpt  */
#line 770 "CISA.y"
   {
       ABORT_ON_FAIL(pBuilder->CISA_predicate_variable_decl((yyvsp[-4].string), (unsigned int)(yyvsp[-1].intval), AttrOptVar, CISAlineno));
       AttrOptVar.clear();
   }
#line 3196 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 40: /* DeclSampler: DIRECTIVE_DECL IDENT V_TYPE_EQ_S NUM_ELTS_EQ IntExp VNameEqOpt GenAttrOpt  */
#line 777 "CISA.y"
   {
       ABORT_ON_FAIL(pBuilder->CISA_sampler_variable_decl((yyvsp[-5].string), (int)(yyvsp[-2].intval), (yyvsp[-1].string), CISAlineno));
   }
#line 3204 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 41: /* VNameEqOpt: %empty  */
#line 780 "CISA.y"
                    {(yyval.string) = "";}
#line 3210 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 42: /* VNameEqOpt: V_NAME_EQ IDENT  */
#line 780 "CISA.y"
                                                 {(yyval.string) = (yyvsp[0].string);}
#line 3216 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 43: /* DeclSurface: DIRECTIVE_DECL IDENT V_TYPE_EQ_T NUM_ELTS_EQ IntExp VNameEqOpt GenAttrOpt  */
#line 784 "CISA.y"
   {
       ABORT_ON_FAIL(pBuilder->CISA_surface_variable_decl((yyvsp[-5].string), (int)(yyvsp[-2].intval), (yyvsp[-1].string), AttrOptVar, CISAlineno));
       AttrOptVar.clear();
   }
#line 3225 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 44: /* DirectiveInput: DIRECTIVE_INPUT IDENT InputOffset InputSize  */
#line 792 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_input_directive((yyvsp[-2].string), (short)(yyvsp[-1].intval), (unsigned short)(yyvsp[0].intval), CISAlineno));
    }
#line 3233 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 45: /* DirectiveInput: DIRECTIVE_INPUT IDENT InputOffset  */
#line 797 "CISA.y"
    {
        int64_t size = 0;
        ABORT_ON_FAIL(pBuilder->CISA_eval_sizeof_decl(CISAlineno, (yyvsp[-1].string), size));
        MUST_HOLD(size < 0x10000, "declaration size is too large");
        ABORT_ON_FAIL(pBuilder->CISA_input_directive((yyvsp[-1].string), (short)(yyvsp[0].intval), (unsigned short)size, CISAlineno));
    }
#line 3244 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 46: /* DirectiveImplicitInput: DIRECTIVE_IMPLICIT IDENT InputOffset InputSize GenAttrOpt  */
#line 809 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_implicit_input_directive(
            (yyvsp[-4].string), (yyvsp[-3].string), (short)(yyvsp[-2].intval), (unsigned short)(yyvsp[-1].intval), CISAlineno));
    }
#line 3253 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 47: /* DirectiveImplicitInput: DIRECTIVE_IMPLICIT IDENT InputOffset GenAttrOpt  */
#line 816 "CISA.y"
    {
        int64_t size = 0;
        ABORT_ON_FAIL(pBuilder->CISA_eval_sizeof_decl(CISAlineno, (yyvsp[-2].string), size));
        MUST_HOLD(size < 0x10000, "declaration size is too large");
        ABORT_ON_FAIL(pBuilder->CISA_input_directive((yyvsp[-2].string), (short)(yyvsp[-1].intval), (unsigned short)size, CISAlineno));
    }
#line 3264 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 48: /* InputOffset: %empty  */
#line 823 "CISA.y"
                    {(yyval.intval) = 0;}
#line 3270 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 49: /* InputOffset: OFFSET_EQ IntExp  */
#line 823 "CISA.y"
                                                 {(yyval.intval) = (yyvsp[0].intval);}
#line 3276 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 50: /* InputSize: SIZE_EQ IntExp  */
#line 824 "CISA.y"
                          {(yyval.intval) = (yyvsp[0].intval);}
#line 3282 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 51: /* DirectiveAttr: DIRECTIVE_KERNEL_ATTR IDENT EQUALS STRING_LIT  */
#line 830 "CISA.y"
                                                  {
        ABORT_ON_FAIL(pBuilder->CISA_attr_directive((yyvsp[-2].string), (yyvsp[0].string), CISAlineno));
    }
#line 3290 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 52: /* DirectiveAttr: DIRECTIVE_KERNEL_ATTR IDENT EQUALS IntExp  */
#line 834 "CISA.y"
                                              {
        ABORT_ON_FAIL(pBuilder->CISA_attr_directiveNum((yyvsp[-2].string), (uint32_t)(yyvsp[0].intval), CISAlineno));
    }
#line 3298 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 53: /* DirectiveAttr: DIRECTIVE_KERNEL_ATTR IDENT  */
#line 838 "CISA.y"
                                {
        ABORT_ON_FAIL(pBuilder->CISA_attr_directive((yyvsp[0].string), nullptr, CISAlineno));
    }
#line 3306 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 54: /* DirectiveAttr: DIRECTIVE_KERNEL_ATTR IDENT EQUALS  */
#line 842 "CISA.y"
                                       {
        ABORT_ON_FAIL(pBuilder->CISA_attr_directive((yyvsp[-1].string), nullptr, CISAlineno));
    }
#line 3314 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 55: /* DirectiveFunc: DIRECTIVE_FUNC IdentOrStringLit  */
#line 848 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_function_directive((yyvsp[0].string), CISAlineno));
    }
#line 3322 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 56: /* AlignAttrOpt: %empty  */
#line 853 "CISA.y"
                     {(yyval.align) = ALIGN_BYTE;}
#line 3328 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 58: /* Align: ALIGN_EQ ALIGN_KEYWORD  */
#line 855 "CISA.y"
                           { // 2GRF, 32word, ...
        (yyval.align) = (yyvsp[0].align);
    }
#line 3336 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 59: /* Align: ALIGN_EQ IDENT  */
#line 859 "CISA.y"
                   { // e.g. byte, word, dword, qword, GRF, GRFx2
       if (!ParseAlign(pBuilder, (yyvsp[0].string), (yyval.align))) {
           PARSE_ERROR((yyvsp[0].string), ": invalid align value");
       }
    }
#line 3346 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 60: /* Align: ALIGN_EQ IntExp  */
#line 865 "CISA.y"
                    {
        // e.g. %sizeof(GRF) or %sizeof(DECL)
        (yyval.align) = AlignBytesToVisaAlignment((int)(yyvsp[0].intval));
        if ((yyval.align) == ALIGN_UNDEF) {
            PARSE_ERROR("invalid align size (must be 1, 2, 4, 8, ..., 128)");
        }
    }
#line 3358 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 61: /* Align: ALIGN_EQ error  */
#line 873 "CISA.y"
                   {
        PARSE_ERROR("syntax error in align attribute");
    }
#line 3366 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 62: /* AliasAttrOpt: %empty  */
#line 880 "CISA.y"
    {
       (yyval.alias).aliasname = NULL;
       (yyval.alias).offset = 0;
    }
#line 3375 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 63: /* AliasAttrOpt: ALIAS_EQ LANGLE Var COMMA IntExpNRA RANGLE  */
#line 885 "CISA.y"
    {
       (yyval.alias).aliasname = (yyvsp[-3].string);
       (yyval.alias).offset = (int)(yyvsp[-1].intval);
    }
#line 3384 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 64: /* AliasAttrOpt: ALIAS_EQ LANGLE error  */
#line 890 "CISA.y"
    {
       PARSE_ERROR("syntax error in alias attribute");
    }
#line 3392 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 65: /* OneAttr: IDENT EQUALS IntExpNRA  */
#line 896 "CISA.y"
    {
      (yyval.pattr_gen) = pBuilder->CISA_Create_Attr((yyvsp[-2].string), (yyvsp[0].intval), nullptr);
    }
#line 3400 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 66: /* OneAttr: IDENT EQUALS STRING_LIT  */
#line 900 "CISA.y"
    {
      (yyval.pattr_gen) = pBuilder->CISA_Create_Attr((yyvsp[-2].string), 0, (yyvsp[0].string));
    }
#line 3408 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 67: /* OneAttr: IDENT  */
#line 904 "CISA.y"
    {
      (yyval.pattr_gen) = pBuilder->CISA_Create_Attr((yyvsp[0].string), 0, nullptr);
    }
#line 3416 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 68: /* AttrOpt: AttrOpt COMMA OneAttr  */
#line 910 "CISA.y"
    {
      AttrOptVar.push_back((yyvsp[0].pattr_gen));
    }
#line 3424 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 69: /* AttrOpt: OneAttr  */
#line 915 "CISA.y"
    {
      AttrOptVar.push_back((yyvsp[0].pattr_gen));
    }
#line 3432 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 70: /* GenAttrOpt: %empty  */
#line 921 "CISA.y"
    {
        (yyval.intval) = 0;
    }
#line 3440 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 71: /* GenAttrOpt: ATTR_EQ LBRACE AttrOpt RBRACE  */
#line 925 "CISA.y"
    {
        (yyval.intval) = 1;
    }
#line 3448 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 124: /* Label: LABEL  */
#line 987 "CISA.y"
             {pBuilder->CISA_create_label((yyvsp[0].string), CISAlineno);}
#line 3454 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 125: /* LogicInstruction: Predicate BINARY_LOGIC_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 992 "CISA.y"
    {
        pBuilder->CISA_create_logic_instruction((yyvsp[-6].pred_reg), (yyvsp[-5].opcode), (yyvsp[-4].sat), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, NULL, NULL, CISAlineno);
    }
#line 3463 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 126: /* LogicInstruction: Predicate BINARY_LOGIC_OP SatModOpt ExecSize PredVar PredVar PredVar  */
#line 998 "CISA.y"
    {
        pBuilder->CISA_create_logic_instruction((yyvsp[-5].opcode), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size, (yyvsp[-2].vISADecl), (yyvsp[-1].vISADecl), (yyvsp[0].vISADecl), CISAlineno);
    }
#line 3471 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 127: /* LogicInstruction: Predicate TERNARY_LOGIC_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1003 "CISA.y"
    {
        pBuilder->CISA_create_logic_instruction((yyvsp[-7].pred_reg), (yyvsp[-6].opcode), (yyvsp[-5].sat), (yyvsp[-4].emask_exec_size).emask, (yyvsp[-4].emask_exec_size).exec_size,
            (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, NULL, CISAlineno);
    }
#line 3480 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 128: /* LogicInstruction: Predicate QUATERNARY_LOGIC_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1009 "CISA.y"
    {
        pBuilder->CISA_create_logic_instruction((yyvsp[-8].pred_reg), (yyvsp[-7].opcode), (yyvsp[-6].sat), (yyvsp[-5].emask_exec_size).emask, (yyvsp[-5].emask_exec_size).exec_size,
            (yyvsp[-4].genOperand).cisa_gen_opnd, (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3489 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 129: /* UnaryLogicInstruction: Predicate UNARY_LOGIC_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM  */
#line 1016 "CISA.y"
    {
        pBuilder->CISA_create_logic_instruction((yyvsp[-5].pred_reg), (yyvsp[-4].opcode), (yyvsp[-3].sat), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size,
            (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, NULL, NULL, NULL, CISAlineno);
    }
#line 3498 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 130: /* UnaryLogicInstruction: Predicate UNARY_LOGIC_OP SatModOpt ExecSize PredVar PredVar  */
#line 1022 "CISA.y"
    {
        pBuilder->CISA_create_logic_instruction((yyvsp[-4].opcode), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size,
            (yyvsp[-1].vISADecl), (yyvsp[0].vISADecl), NULL, CISAlineno);
    }
#line 3507 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 131: /* MathInstruction_2OPND: Predicate MATH2_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM  */
#line 1029 "CISA.y"
    {
        pBuilder->CISA_create_math_instruction((yyvsp[-5].pred_reg), (yyvsp[-4].opcode), (yyvsp[-3].sat), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size,
            (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, NULL, CISAlineno);
    }
#line 3516 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 132: /* MathInstruction_3OPND: Predicate MATH3_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1036 "CISA.y"
    {
        pBuilder->CISA_create_math_instruction((yyvsp[-6].pred_reg), (yyvsp[-5].opcode), (yyvsp[-4].sat), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3525 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 133: /* ArithInstruction_2OPND: Predicate ARITH2_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM  */
#line 1043 "CISA.y"
    {
        pBuilder->CISA_create_arith_instruction((yyvsp[-5].pred_reg), (yyvsp[-4].opcode), (yyvsp[-3].sat), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size,
            (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, NULL, NULL, CISAlineno);
    }
#line 3534 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 134: /* ArithInstruction_3OPND: Predicate ARITH3_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1050 "CISA.y"
    {
        MUST_HOLD(!(((yyvsp[-5].opcode) == ISA_LINE) && ((yyvsp[-1].genOperand).type == OPERAND_IMMEDIATE || (yyvsp[-1].genOperand).type == OPERAND_INDIRECT)),
            "wrong type of src0 operand");
        pBuilder->CISA_create_arith_instruction(
            (yyvsp[-6].pred_reg), (yyvsp[-5].opcode), (yyvsp[-4].sat), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, NULL, CISAlineno);
    }
#line 3546 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 135: /* ArithInstruction_3OPND: Predicate ARITH5_OP2 ExecSize VecDstOperand_G_I PredVar VecSrcOperand_G_I_IMM  */
#line 1060 "CISA.y"
    {
        pBuilder->CISA_create_arith_instruction2_predDst((yyvsp[-5].pred_reg), (yyvsp[-4].opcode), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].vISADecl), (yyvsp[0].genOperand).cisa_gen_opnd, nullptr, CISAlineno);
    }
#line 3555 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 136: /* ArithInstruction_4OPND: Predicate ARITH4_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1069 "CISA.y"
     {
         pBuilder->CISA_create_arith_instruction((yyvsp[-7].pred_reg), (yyvsp[-6].opcode), (yyvsp[-5].sat), (yyvsp[-4].emask_exec_size).emask, (yyvsp[-4].emask_exec_size).exec_size,
            (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
     }
#line 3564 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 137: /* ArithInstruction_4OPND: Predicate ARITH4_OP2 ExecSize VecDstOperand_G_I VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1076 "CISA.y"
     {
        pBuilder->CISA_create_arith_instruction2((yyvsp[-6].pred_reg), (yyvsp[-5].opcode), (yyvsp[-4].emask_exec_size).emask, (yyvsp[-4].emask_exec_size).exec_size,
            (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
     }
#line 3573 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 138: /* ArithInstruction_4OPND: Predicate ARITH5_OP2 ExecSize VecDstOperand_G_I PredVar VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1083 "CISA.y"
     {
        pBuilder->CISA_create_arith_instruction2_predDst((yyvsp[-6].pred_reg), (yyvsp[-5].opcode), (yyvsp[-4].emask_exec_size).emask, (yyvsp[-4].emask_exec_size).exec_size,
            (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].vISADecl), (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
     }
#line 3582 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 139: /* DpasInstruction: DPAS_OP ExecSize RawOperand RawOperand RawOperand VecSrcOpndSimple  */
#line 1092 "CISA.y"
    {
        pBuilder->CISA_create_dpas_instruction(
            (yyvsp[-5].dpas_info).opcode, (yyvsp[-4].emask_exec_size).emask, (yyvsp[-4].emask_exec_size).exec_size,
            (yyvsp[-3].RawVar), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].genOperand).cisa_gen_opnd,
            (yyvsp[-5].dpas_info).src2Precision, (yyvsp[-5].dpas_info).src1Precision, (yyvsp[-5].dpas_info).depth, (yyvsp[-5].dpas_info).count, CISAlineno);
    }
#line 3593 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 140: /* BfnInstruction: Predicate BFN_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1102 "CISA.y"
    {
        pBuilder->CISA_create_bfn_instruction((yyvsp[-7].pred_reg), (yyvsp[-6].bfn_info).func_ctrl , (yyvsp[-5].sat), (yyvsp[-4].emask_exec_size).emask, (yyvsp[-4].emask_exec_size).exec_size,
            (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3602 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 141: /* QwScatterInstruction: Predicate QW_SCATTER_OP DOT DEC_LIT ExecSize Var RawOperand RawOperand  */
#line 1108 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_qword_scatter_instruction(
            (yyvsp[-6].opcode), (yyvsp[-7].pred_reg), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size, (uint32_t)(yyvsp[-4].intval), (yyvsp[-2].string), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
    }
#line 3611 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 142: /* FCvtInstruction: FCVT_OP SatModOpt ExecSize VecDstOperand_G VecSrcOperand_G_IMM  */
#line 1115 "CISA.y"
    {
        pBuilder->CISA_create_fcvt_instruction((yyvsp[-3].sat), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3619 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 143: /* AntiTrigInstruction: Predicate ANTI_TRIG_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM  */
#line 1121 "CISA.y"
    {
        pBuilder->CISA_create_invtri_inst((yyvsp[-5].pred_reg), (yyvsp[-4].opcode), (yyvsp[-3].sat), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size,
            (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3628 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 144: /* AddrAddInstruction: ADDR_ADD_OP ExecSize VecDstOperand_A VecSrcOperand_G_A_AO VecSrcOperand_G_IMM_AO  */
#line 1130 "CISA.y"
    {
        // a grammatically problematic instruction
        //   addr_add (M1_NM, 1) A0(0)<1> &V127 - 0x10...
        //                                        ^^^^ next operand or V127 offset
        pBuilder->CISA_create_address_instruction((yyvsp[-4].opcode), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3640 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 145: /* SetpInstruction: SETP_OP ExecSize PredVar VecSrcOperand_G_I_IMM  */
#line 1140 "CISA.y"
    {
        pBuilder->CISA_create_setp_instruction(
            (yyvsp[-3].opcode), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size, (yyvsp[-1].vISADecl), (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3649 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 146: /* SelInstruction: Predicate SEL_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1147 "CISA.y"
    {
        pBuilder->CISA_create_sel_instruction((yyvsp[-5].opcode), (yyvsp[-4].sat), (yyvsp[-6].pred_reg), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3658 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 147: /* MinInstruction: Predicate MIN_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1154 "CISA.y"
    {
        pBuilder->CISA_create_fminmax_instruction(0, ISA_FMINMAX, (yyvsp[-4].sat), (yyvsp[-6].pred_reg), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3667 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 148: /* MaxInstruction: Predicate MAX_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1162 "CISA.y"
    {
        pBuilder->CISA_create_fminmax_instruction(
            1, ISA_FMINMAX, (yyvsp[-4].sat), (yyvsp[-6].pred_reg), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3677 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 149: /* MovInstruction: Predicate MOV_OP SatModOpt ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM_A_AO  */
#line 1171 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_mov_instruction(
            (yyvsp[-5].pred_reg), (yyvsp[-4].opcode), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size, (yyvsp[-3].sat),
            (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno));
    }
#line 3687 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 150: /* MovInstruction: Predicate MOV_OP SatModOpt ExecSize VecDstOperand_A VecSrcOperand_G_I_IMM_A_AO  */
#line 1178 "CISA.y"
    {
        pBuilder->CISA_create_mov_instruction(
            (yyvsp[-5].pred_reg), (yyvsp[-4].opcode), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size, (yyvsp[-3].sat),
            (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3697 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 151: /* MovInstruction: Predicate MOV_OP SatModOpt ExecSize VecDstOperand_G_I PredVar  */
#line 1185 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_mov_instruction((yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].vISADecl), CISAlineno));
    }
#line 3705 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 152: /* BreakpointInstruction: BREAKPOINT_OP  */
#line 1191 "CISA.y"
    {
      pBuilder->CISA_create_breakpoint_instruction(CISAlineno);
    }
#line 3713 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 153: /* MovsInstruction: MOVS_OP ExecSize DstStateOperand SrcStateOperand  */
#line 1197 "CISA.y"
    {
        pBuilder->CISA_create_movs_instruction((yyvsp[-2].emask_exec_size).emask, ISA_MOVS, (yyvsp[-2].emask_exec_size).exec_size,
            (yyvsp[-1].StateVar).cisa_gen_opnd, (yyvsp[0].StateVar).cisa_gen_opnd, CISAlineno);
    }
#line 3722 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 154: /* MovsInstruction: MOVS_OP ExecSize VecDstOperand_G SrcStateOperand  */
#line 1203 "CISA.y"
    {
        pBuilder->CISA_create_movs_instruction((yyvsp[-2].emask_exec_size).emask, ISA_MOVS, (yyvsp[-2].emask_exec_size).exec_size,
            (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].StateVar).cisa_gen_opnd, CISAlineno);
    }
#line 3731 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 155: /* MovsInstruction: MOVS_OP ExecSize DstStateOperand VecSrcOperand_G_I_IMM  */
#line 1209 "CISA.y"
    {
        pBuilder->CISA_create_movs_instruction((yyvsp[-2].emask_exec_size).emask, ISA_MOVS, (yyvsp[-2].emask_exec_size).exec_size,
            (yyvsp[-1].StateVar).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3740 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 156: /* CmpInstruction: CMP_OP ConditionalModifier ExecSize PredVar VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1227 "CISA.y"
    {
        pBuilder->CISA_create_cmp_instruction((yyvsp[-4].cond_mod), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].vISADecl), (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3749 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 157: /* CmpInstruction: CMP_OP ConditionalModifier ExecSize VecDstOperand_G_I VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1234 "CISA.y"
    {
        // NOTE: predication not permitted.  Apparently the vISA API doesn't allow for predicated compares
        pBuilder->CISA_create_cmp_instruction(
            (yyvsp[-4].cond_mod), ISA_CMP, (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3760 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 158: /* MediaInstruction: MEDIA_OP MEDIA_MODE TwoDimOffset Var MediaInstructionPlaneID VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM RawOperand  */
#line 1244 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_media_instruction(
            (yyvsp[-7].opcode), (yyvsp[-6].media_mode), (yyvsp[-5].offset).row, (yyvsp[-5].offset).elem, (int)(yyvsp[-3].intval), (yyvsp[-4].string),
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].RawVar), CISAlineno));
    }
#line 3770 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 159: /* MediaInstruction: MEDIA_OP MEDIA_MODE TwoDimOffset Var VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM RawOperand  */
#line 1252 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_media_instruction(
            (yyvsp[-6].opcode), (yyvsp[-5].media_mode), (yyvsp[-4].offset).row, (yyvsp[-4].offset).elem, (int)0, (yyvsp[-3].string),
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].RawVar), CISAlineno));
    }
#line 3780 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 160: /* MediaInstructionPlaneID: DEC_LIT  */
#line 1258 "CISA.y"
                                 {
        MUST_HOLD((yyvsp[0].intval) <= 0xF, "PlaneID must less than 0xF");
        (yyval.intval) = (yyvsp[0].intval);
    }
#line 3789 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 161: /* ScatterInstruction: SCATTER_OP ElemNum ExecSize OwordModifier Var VecSrcOperand_G_I_IMM RawOperand RawOperand  */
#line 1266 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_scatter_instruction(
            (yyvsp[-7].opcode), (int)(yyvsp[-6].intval), (yyvsp[-5].emask_exec_size).emask, (yyvsp[-5].emask_exec_size).exec_size, (yyvsp[-4].oword_mod), (yyvsp[-3].string),
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
    }
#line 3799 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 162: /* ScatterTypedInstruction: Predicate SCATTER_TYPED_OP SAMPLER_CHANNEL ExecSize Var RawOperand RawOperand RawOperand RawOperand RawOperand  */
#line 1275 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_scatter4_typed_instruction(
            (yyvsp[-8].opcode), (yyvsp[-9].pred_reg), ChannelMask::createFromAPI((yyvsp[-7].s_channel)), (yyvsp[-6].emask_exec_size).emask, (yyvsp[-6].emask_exec_size).exec_size, (yyvsp[-5].string),
            (yyvsp[-4].RawVar), (yyvsp[-3].RawVar), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
    }
#line 3809 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 163: /* Scatter4ScaledInstruction: Predicate SCATTER4_SCALED_OP SAMPLER_CHANNEL ExecSize Var VecSrcOperand_G_I_IMM RawOperand RawOperand  */
#line 1284 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_scatter4_scaled_instruction(
            (yyvsp[-6].opcode), (yyvsp[-7].pred_reg), (yyvsp[-4].emask_exec_size).emask, (yyvsp[-4].emask_exec_size).exec_size, ChannelMask::createFromAPI((yyvsp[-5].s_channel)), (yyvsp[-3].string),
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
    }
#line 3819 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 164: /* ScatterScaledInstruction: Predicate SCATTER_SCALED_OP DOT DEC_LIT ExecSize Var VecSrcOperand_G_I_IMM RawOperand RawOperand  */
#line 1293 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_scatter_scaled_instruction(
            (yyvsp[-7].opcode), (yyvsp[-8].pred_reg), (yyvsp[-4].emask_exec_size).emask, (yyvsp[-4].emask_exec_size).exec_size, (uint32_t) (yyvsp[-5].intval), (yyvsp[-3].string),
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
    }
#line 3829 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 165: /* SynchronizationInstruction: BARRIER_OP  */
#line 1300 "CISA.y"
               {
        pBuilder->CISA_create_sync_instruction((yyvsp[0].opcode), CISAlineno);
    }
#line 3837 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 166: /* SynchronizationInstruction: SBARRIER_SIGNAL  */
#line 1303 "CISA.y"
                      {
        pBuilder->CISA_create_sbarrier_instruction(true, CISAlineno);
    }
#line 3845 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 167: /* SynchronizationInstruction: SBARRIER_WAIT  */
#line 1306 "CISA.y"
                    {
        pBuilder->CISA_create_sbarrier_instruction(false, CISAlineno);
    }
#line 3853 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 168: /* SynchronizationInstruction: NBARRIER_SIGNAL VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM  */
#line 1309 "CISA.y"
                                                                  {
        pBuilder->CISA_create_nbarrier(false, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 3861 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 169: /* SynchronizationInstruction: NBARRIER_WAIT VecSrcOperand_G_I_IMM  */
#line 1312 "CISA.y"
                                          {
        pBuilder->CISA_create_nbarrier(true, (yyvsp[0].genOperand).cisa_gen_opnd, NULL, CISAlineno);
    }
#line 3869 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 170: /* DwordAtomicInstruction: Predicate DWORD_ATOMIC_OP ATOMIC_SUB_OP Atomic16Opt ExecSize Var RawOperand RawOperand RawOperand RawOperand  */
#line 1318 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_dword_atomic_instruction(
            (yyvsp[-9].pred_reg), (yyvsp[-7].atomic_op), (yyvsp[-6].flag), (yyvsp[-5].emask_exec_size).emask, (yyvsp[-5].emask_exec_size).exec_size, (yyvsp[-4].string), (yyvsp[-3].RawVar), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
    }
#line 3878 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 171: /* TypedAtomicInstruction: Predicate TYPED_ATOMIC_OP ATOMIC_SUB_OP Atomic16Opt ExecSize Var RawOperand RawOperand RawOperand RawOperand RawOperand RawOperand RawOperand  */
#line 1325 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_typed_atomic_instruction(
            (yyvsp[-12].pred_reg), (yyvsp[-10].atomic_op), (yyvsp[-9].flag), (yyvsp[-8].emask_exec_size).emask, (yyvsp[-8].emask_exec_size).exec_size, (yyvsp[-7].string),
            (yyvsp[-6].RawVar), (yyvsp[-5].RawVar), (yyvsp[-4].RawVar), (yyvsp[-3].RawVar), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
    }
#line 3888 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 172: /* Atomic16Opt: %empty  */
#line 1332 "CISA.y"
             {(yyval.flag) = false;}
#line 3894 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 173: /* Atomic16Opt: DOT DEC_LIT  */
#line 1333 "CISA.y"
                  { // .16
        MUST_HOLD(((yyvsp[0].intval) == 16), "only supports 16");
        (yyval.flag) = true;
    }
#line 3903 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 174: /* SampleUnormInstruction: SAMPLE_UNORM_OP SAMPLER_CHANNEL CHANNEL_OUTPUT Var Var VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM RawOperand  */
#line 1340 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_sampleunorm_instruction(
            (yyvsp[-9].opcode), ChannelMask::createFromAPI((yyvsp[-8].s_channel)), (yyvsp[-7].s_channel_output), (yyvsp[-6].string), (yyvsp[-5].string),
            (yyvsp[-4].genOperand).cisa_gen_opnd, (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].RawVar), CISAlineno));
    }
#line 3913 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 175: /* SampleInstruction: SAMPLE_OP SAMPLER_CHANNEL SIMDMode Var Var RawOperand RawOperand RawOperand RawOperand  */
#line 1353 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_sample_instruction(
            (yyvsp[-8].opcode), ChannelMask::createFromAPI((yyvsp[-7].s_channel)), (int)(yyvsp[-6].intval), (yyvsp[-5].string), (yyvsp[-4].string),
            (yyvsp[-3].RawVar), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
    }
#line 3923 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 176: /* SampleInstruction: SAMPLE_OP SAMPLER_CHANNEL SIMDMode Var RawOperand RawOperand RawOperand RawOperand  */
#line 1361 "CISA.y"
   {
       ABORT_ON_FAIL(pBuilder->CISA_create_sample_instruction(
           (yyvsp[-7].opcode), ChannelMask::createFromAPI((yyvsp[-6].s_channel)), (int)(yyvsp[-5].intval), "", (yyvsp[-4].string),
           (yyvsp[-3].RawVar), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
   }
#line 3933 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 177: /* SamplerAddrOperand: Var  */
#line 1368 "CISA.y"
                     {
                      (yyval.sampler_base) = {(yyvsp[0].string), (unsigned int)0};
                     }
#line 3941 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 178: /* SamplerAddrOperand: LPAREN Var COMMA IntExpPrim RPAREN  */
#line 1373 "CISA.y"
                     {
                      (yyval.sampler_base) = {(yyvsp[-3].string), (unsigned int)(yyvsp[-1].intval)};
                     }
#line 3949 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 179: /* Sample3dInstruction: Predicate SAMPLE_3D_OP PixelNullMaskEnableOpt CPSEnableOpt NonUniformSamplerEnableOpt SAMPLER_CHANNEL ExecSize VecSrcOperand_G_I_IMM SamplerAddrOperand SamplerAddrOperand RawOperand RawOperand RawOperandArray  */
#line 1384 "CISA.y"
   {
       const bool success = pBuilder->create3DSampleInstruction(
           (yyvsp[-12].pred_reg), (yyvsp[-11].sample3DOp), (yyvsp[-10].pixel_null_mask), (yyvsp[-9].cps), (yyvsp[-8].non_uniform_sampler), ChannelMask::createFromAPI((yyvsp[-7].s_channel)),
           (yyvsp[-6].emask_exec_size).emask, (yyvsp[-6].emask_exec_size).exec_size, (yyvsp[-5].genOperand).cisa_gen_opnd, (yyvsp[-4].sampler_base).base, (yyvsp[-4].sampler_base).offset,
           (yyvsp[-3].sampler_base).base, (yyvsp[-3].sampler_base).offset,
           (yyvsp[-1].RawVar), (yyvsp[-2].RawVar), (unsigned int)(yyvsp[0].intval), rawOperandArray, CISAlineno);

    ABORT_ON_FAIL(success);
   }
#line 3963 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 180: /* CPSEnableOpt: %empty  */
#line 1394 "CISA.y"
                     {(yyval.cps) = false;}
#line 3969 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 181: /* CPSEnableOpt: CPS  */
#line 1394 "CISA.y"
                                          {(yyval.cps) = true;}
#line 3975 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 182: /* NonUniformSamplerEnableOpt: %empty  */
#line 1396 "CISA.y"
                                   {(yyval.non_uniform_sampler) = false;}
#line 3981 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 183: /* NonUniformSamplerEnableOpt: NON_UNIFORM_SAMPLER  */
#line 1396 "CISA.y"
                                                                       {(yyval.non_uniform_sampler) = true;}
#line 3987 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 184: /* Load3dInstruction: Predicate LOAD_3D_OP PixelNullMaskEnableOpt SAMPLER_CHANNEL ExecSize VecSrcOperand_G_I_IMM SamplerAddrOperand RawOperand RawOperand RawOperandArray  */
#line 1406 "CISA.y"
   {
       const bool success = pBuilder->create3DLoadInstruction(
           (yyvsp[-9].pred_reg), (yyvsp[-8].sample3DOp), (yyvsp[-7].pixel_null_mask), ChannelMask::createFromAPI((yyvsp[-6].s_channel)),
           (yyvsp[-5].emask_exec_size).emask, (yyvsp[-5].emask_exec_size).exec_size, (yyvsp[-4].genOperand).cisa_gen_opnd, (yyvsp[-3].sampler_base).base, (yyvsp[-3].sampler_base).offset,
           (yyvsp[-1].RawVar), (yyvsp[-2].RawVar), (unsigned int)(yyvsp[0].intval), rawOperandArray, CISAlineno);

    ABORT_ON_FAIL(success);
   }
#line 4000 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 185: /* Gather43dInstruction: Predicate SAMPLE4_3D_OP PixelNullMaskEnableOpt SAMPLER_CHANNEL ExecSize VecSrcOperand_G_I_IMM SamplerAddrOperand SamplerAddrOperand RawOperand RawOperand RawOperandArray  */
#line 1423 "CISA.y"
   {
       const bool success = pBuilder->createSample4Instruction(
          (yyvsp[-10].pred_reg), (yyvsp[-9].sample3DOp), (yyvsp[-8].pixel_null_mask), ChannelMask::createFromAPI((yyvsp[-7].s_channel)), (yyvsp[-6].emask_exec_size).emask, (yyvsp[-6].emask_exec_size).exec_size,
          (yyvsp[-5].genOperand).cisa_gen_opnd, (yyvsp[-4].sampler_base).base, (yyvsp[-4].sampler_base).offset, (yyvsp[-3].sampler_base).base, (yyvsp[-3].sampler_base).offset,
           (yyvsp[-1].RawVar), (yyvsp[-2].RawVar),
          (unsigned int)(yyvsp[0].intval), rawOperandArray, CISAlineno);

    ABORT_ON_FAIL(success);
   }
#line 4014 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 186: /* PixelNullMaskEnableOpt: %empty  */
#line 1434 "CISA.y"
                               {(yyval.pixel_null_mask) = false;}
#line 4020 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 187: /* PixelNullMaskEnableOpt: PIXEL_NULL_MASK  */
#line 1434 "CISA.y"
                                                               {(yyval.pixel_null_mask) = true;}
#line 4026 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 188: /* ResInfo3dInstruction: RESINFO_OP_3D SAMPLER_CHANNEL ExecSize SamplerAddrOperand RawOperand RawOperand  */
#line 1438 "CISA.y"
   {
        ABORT_ON_FAIL(pBuilder->CISA_create_info_3d_instruction(
            VISA_3D_RESINFO, (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size,
            ChannelMask::createFromAPI((yyvsp[-4].s_channel)), (yyvsp[-2].sampler_base).base, (yyvsp[-2].sampler_base).offset, (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
   }
#line 4036 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 189: /* SampleInfo3dInstruction: SAMPLEINFO_OP_3D SAMPLER_CHANNEL ExecSize SamplerAddrOperand RawOperand  */
#line 1446 "CISA.y"
   {
        ABORT_ON_FAIL(pBuilder->CISA_create_info_3d_instruction(
            VISA_3D_SAMPLEINFO, (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size,
            ChannelMask::createFromAPI((yyvsp[-3].s_channel)), (yyvsp[-1].sampler_base).base, (yyvsp[-1].sampler_base).offset, NULL, (yyvsp[0].RawVar), CISAlineno));
   }
#line 4046 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 190: /* RTWriteOperands: %empty  */
#line 1454 "CISA.y"
    {
    }
#line 4053 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 191: /* RTWriteOperands: RTWriteOperands VecSrcOperand_G_IMM  */
#line 1457 "CISA.y"
    {
        RTRWOperandsVec.push_back((yyvsp[0].genOperand).cisa_gen_opnd);
    }
#line 4061 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 192: /* RTWriteOperands: RTWriteOperands RawOperand  */
#line 1461 "CISA.y"
    {
        RTRWOperandsVec.push_back((yyvsp[0].RawVar));
    }
#line 4069 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 193: /* RTWriteInstruction: Predicate RTWRITE_OP_3D RTWriteModeOpt ExecSize Var RTWriteOperands  */
#line 1469 "CISA.y"
   {
       bool result = pBuilder->CISA_create_rtwrite_3d_instruction(
           (yyvsp[-5].pred_reg), (yyvsp[-3].string), (yyvsp[-2].emask_exec_size).emask, (unsigned int)(yyvsp[-2].emask_exec_size).exec_size, (yyvsp[-1].string),
           RTRWOperandsVec, CISAlineno);
       RTRWOperandsVec.clear();
       if (!result)
           YYABORT; // already reported
   }
#line 4082 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 194: /* RTWriteModeOpt: %empty  */
#line 1479 "CISA.y"
                       {(yyval.string) = 0;}
#line 4088 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 196: /* URBWriteInstruction: Predicate URBWRITE_OP_3D ExecSize DEC_LIT DEC_LIT RawOperand RawOperand RawOperand RawOperand  */
#line 1484 "CISA.y"
    {
        pBuilder->CISA_create_urb_write_3d_instruction(
            (yyvsp[-8].pred_reg), (yyvsp[-6].emask_exec_size).emask, (unsigned int)(yyvsp[-6].emask_exec_size).exec_size, (unsigned int)(yyvsp[-5].intval), (unsigned int)(yyvsp[-4].intval),
            (yyvsp[-3].RawVar), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 4098 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 197: /* AVSInstruction: AVS_OP SAMPLER_CHANNEL Var Var VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM VecSrcOperand_G_I_IMM CNTRL VecSrcOperand_G_I_IMM EXECMODE VecSrcOperand_G_I_IMM RawOperand  */
#line 1492 "CISA.y"
    {
        pBuilder->CISA_create_avs_instruction(
            ChannelMask::createFromAPI((yyvsp[-14].s_channel)), (yyvsp[-13].string), (yyvsp[-12].string),
            (yyvsp[-11].genOperand).cisa_gen_opnd, (yyvsp[-10].genOperand).cisa_gen_opnd, (yyvsp[-9].genOperand).cisa_gen_opnd, (yyvsp[-8].genOperand).cisa_gen_opnd,
            (yyvsp[-7].genOperand).cisa_gen_opnd, (yyvsp[-6].genOperand).cisa_gen_opnd, (yyvsp[-5].genOperand).cisa_gen_opnd, (yyvsp[-4].cntrl), (yyvsp[-3].genOperand).cisa_gen_opnd,
            (yyvsp[-2].execMode), (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].RawVar), CISAlineno);
    }
#line 4110 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 198: /* VMEInstruction: VME_IME_OP VMEOpndIME Var RawOperand RawOperand RawOperand RawOperand RawOperand RawOperand  */
#line 1504 "CISA.y"
   {
       //     1 - OP
       //     2 - StreamMode, SearchCtrl
       //     3 - Surface
       //     4 - UNIInput
       //     5 - IMEInput
       //     6 - ref0
       //     7 - ref1
       //     8 - CostCenter
       //     9 - Output
        ABORT_ON_FAIL(pBuilder->CISA_create_vme_ime_instruction(
            (yyvsp[-8].opcode), (yyvsp[-7].vmeOpndIvb).streamMode, (yyvsp[-7].vmeOpndIvb).searchCtrl, (yyvsp[-5].RawVar), (yyvsp[-4].RawVar), (yyvsp[-6].string), (yyvsp[-3].RawVar), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno));
   }
#line 4128 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 199: /* VMEInstruction: VME_SIC_OP Var RawOperand RawOperand RawOperand  */
#line 1520 "CISA.y"
   {
        ABORT_ON_FAIL(pBuilder->CISA_create_vme_sic_instruction((yyvsp[-4].opcode), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[-3].string), (yyvsp[0].RawVar), CISAlineno));
   }
#line 4136 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 200: /* VMEInstruction: VME_FBR_OP VMEOpndFBR Var RawOperand RawOperand RawOperand  */
#line 1526 "CISA.y"
   {
        //    1 - OP
        //    2 - FBRMdMode, FBRSubMbShape, FBRSubPredMode
        //    3 - surface
        //    4 - UNIInput
        //    5 - FBRInput
        //    6 - output
        ABORT_ON_FAIL(pBuilder->CISA_create_vme_fbr_instruction((yyvsp[-5].opcode), (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[-3].string),
            (yyvsp[-4].vmeOpndFbr).cisa_fbrMbMode_opnd, (yyvsp[-4].vmeOpndFbr).cisa_fbrSubMbShape_opnd, (yyvsp[-4].vmeOpndFbr).cisa_fbrSubPredMode_opnd, (yyvsp[0].RawVar), CISAlineno));
    }
#line 4151 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 201: /* OwordInstruction: OWORD_OP OwordModifier ExecSize Var VecSrcOperand_G_I_IMM RawOperand  */
#line 1539 "CISA.y"
    {
        ABORT_ON_FAIL(
            pBuilder->CISA_create_oword_instruction((yyvsp[-5].opcode), (yyvsp[-4].oword_mod), (yyvsp[-3].emask_exec_size).exec_size, (yyvsp[-2].string), (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].RawVar), CISAlineno));
    }
#line 4160 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 202: /* SvmInstruction: SVM_OP SVM_ALIGNED ExecSize VecSrcOperand_G_I_IMM RawOperand  */
#line 1547 "CISA.y"
    {
        pBuilder->CISA_create_svm_block_instruction((SVMSubOpcode)(yyvsp[-4].opcode),
(yyvsp[-2].emask_exec_size).exec_size, false, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].RawVar), CISAlineno);
    }
#line 4169 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 203: /* SvmInstruction: SVM_OP SVM_UNALIGNED ExecSize VecSrcOperand_G_I_IMM RawOperand  */
#line 1554 "CISA.y"
    {
        pBuilder->CISA_create_svm_block_instruction((SVMSubOpcode)(yyvsp[-4].opcode),
(yyvsp[-2].emask_exec_size).exec_size, true, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].RawVar), CISAlineno);
    }
#line 4178 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 204: /* SvmInstruction: SVM_OP ExecSize VecSrcOperand_G_I_IMM RawOperand  */
#line 1562 "CISA.y"
    {
        pBuilder->CISA_create_svm_block_instruction((SVMSubOpcode)(yyvsp[-3].opcode),
(yyvsp[-2].emask_exec_size).exec_size, true, (yyvsp[-1].genOperand).cisa_gen_opnd, (yyvsp[0].RawVar), CISAlineno);
    }
#line 4187 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 205: /* SvmInstruction: Predicate SVM_SCATTER_OP DOT DEC_LIT DOT DEC_LIT ExecSize RawOperand RawOperand  */
#line 1568 "CISA.y"
    {
        pBuilder->CISA_create_svm_scatter_instruction((yyvsp[-8].pred_reg), (SVMSubOpcode)(yyvsp[-7].opcode), (yyvsp[-2].emask_exec_size).emask, (yyvsp[-2].emask_exec_size).exec_size,
            (unsigned int)(yyvsp[-5].intval), (unsigned int)(yyvsp[-3].intval), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 4196 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 206: /* SvmInstruction: Predicate SVM_ATOMIC_OP ATOMIC_SUB_OP AtomicBitwidthOpt ExecSize RawOperand RawOperand RawOperand RawOperand  */
#line 1574 "CISA.y"
    {
        pBuilder->CISA_create_svm_atomic_instruction((yyvsp[-8].pred_reg), (yyvsp[-4].emask_exec_size).emask, (yyvsp[-4].emask_exec_size).exec_size, (yyvsp[-6].atomic_op), (unsigned short)(yyvsp[-5].intval),
            (yyvsp[-3].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), (yyvsp[-2].RawVar), CISAlineno);
    }
#line 4205 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 207: /* SvmInstruction: Predicate SVM_GATHER4SCALED_OP SAMPLER_CHANNEL ExecSize VecSrcOperand_G_I_IMM RawOperand RawOperand  */
#line 1580 "CISA.y"
    {
        pBuilder->CISA_create_svm_gather4_scaled((yyvsp[-6].pred_reg), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size, ChannelMask::createFromAPI((yyvsp[-4].s_channel)),
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 4214 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 208: /* SvmInstruction: Predicate SVM_SCATTER4SCALED_OP SAMPLER_CHANNEL ExecSize VecSrcOperand_G_I_IMM RawOperand RawOperand  */
#line 1586 "CISA.y"
    {
        pBuilder->CISA_create_svm_scatter4_scaled((yyvsp[-6].pred_reg), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size, ChannelMask::createFromAPI((yyvsp[-4].s_channel)),
            (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 4223 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 209: /* AtomicBitwidthOpt: %empty  */
#line 1592 "CISA.y"
             {(yyval.intval) = 32;}
#line 4229 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 210: /* AtomicBitwidthOpt: DOT DEC_LIT  */
#line 1593 "CISA.y"
                  {
        MUST_HOLD((yyvsp[0].intval) == 16 || (yyvsp[0].intval) == 32 || (yyvsp[0].intval) == 64, "only supports 16 or 64");
        (yyval.intval) = (yyvsp[0].intval);
    }
#line 4238 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 223: /* LscUntypedLoad: Predicate LSC_LOAD_MNEMONIC LSC_SFID_UNTYPED_TOKEN LscCacheOpts ExecSize LscDataOperand LscUntypedAddrOperand  */
#line 1648 "CISA.y"
    {
        (yyvsp[-2].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-4].lsc_sfid), (yyvsp[-5].lsc_subOpcode), (yyvsp[-1].lsc_data_operand).shape.order, (yyvsp[-2].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_untyped_inst(
            (yyvsp[-6].pred_reg),  // predicate
            (yyvsp[-5].lsc_subOpcode),  // subop
            (yyvsp[-4].lsc_sfid),  // sfid
            (yyvsp[-3].lsc_caching_opts),  // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-2].emask_exec_size).exec_size),
            (yyvsp[-2].emask_exec_size).emask,
            (yyvsp[0].lsc_addr_operand).addr,     // address
            (yyvsp[-1].lsc_data_operand).shape,    // data
            (yyvsp[0].lsc_addr_operand).surface,  // surface
            (yyvsp[0].lsc_addr_operand).surfaceIndex, // surface index
            (yyvsp[-1].lsc_data_operand).reg,      // dst
            (yyvsp[0].lsc_addr_operand).regs[0],  // src0
            nullptr,     // src1
            nullptr,     // src2
            CISAlineno);
    }
#line 4263 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 224: /* LscUntypedStridedLoad: Predicate LSC_LOAD_STRIDED_MNEMONIC LSC_SFID_UNTYPED_TOKEN LscCacheOpts ExecSize LscDataOperand LscUntypedStridedAddrOperand  */
#line 1680 "CISA.y"
    {
        (yyvsp[-2].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-4].lsc_sfid), (yyvsp[-5].lsc_subOpcode), (yyvsp[-1].lsc_data_operand).shape.order, (yyvsp[-2].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_untyped_strided_inst(
            (yyvsp[-6].pred_reg),  // predicate
            (yyvsp[-5].lsc_subOpcode),  // subop
            (yyvsp[-4].lsc_sfid),  // sfid
            (yyvsp[-3].lsc_caching_opts),  // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-2].emask_exec_size).exec_size),
            (yyvsp[-2].emask_exec_size).emask,
            (yyvsp[0].lsc_addr_operand).addr,     // address
            (yyvsp[-1].lsc_data_operand).shape,    // data
            (yyvsp[0].lsc_addr_operand).surface,  // surface
            (yyvsp[0].lsc_addr_operand).surfaceIndex, // surface index
            (yyvsp[-1].lsc_data_operand).reg,      // dst
            (yyvsp[0].lsc_addr_operand).regs[0],  // src0 base
            (yyvsp[0].lsc_addr_operand).regs[1],  // src0 stride
            nullptr,     // src1
            CISAlineno);
    }
#line 4288 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 225: /* LscUntypedBlock2dLoad: Predicate LSC_LOAD_BLOCK2D_MNEMONIC LSC_SFID_UNTYPED_TOKEN LscCacheOpts ExecSize LscDataOperand2D LscUntypedBlock2dAddrOperand  */
#line 1710 "CISA.y"
    {
        (yyvsp[-2].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-4].lsc_sfid), (yyvsp[-5].lsc_subOpcode), (yyvsp[-1].lsc_data_operand2d).shape2D.order, (yyvsp[-2].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_untyped_block2d_inst(
            (yyvsp[-6].pred_reg),  // predicate
            (yyvsp[-5].lsc_subOpcode),  // subop
            (yyvsp[-4].lsc_sfid),  // sfid
            (yyvsp[-3].lsc_caching_opts),  // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-2].emask_exec_size).exec_size),
            (yyvsp[-2].emask_exec_size).emask,
            (yyvsp[-1].lsc_data_operand2d).shape2D,  // data shape
            (yyvsp[-1].lsc_data_operand2d).reg,      // dst
            (yyvsp[0].lsc_block2d_addr_operand).regs,     // src0 surface info / addrs
            nullptr,     // src1
            (yyvsp[0].lsc_block2d_addr_operand).immOffsets[0],
            (yyvsp[0].lsc_block2d_addr_operand).immOffsets[1],
            CISAlineno);
    }
#line 4311 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 226: /* LscUntypedStore: Predicate LSC_STORE_MNEMONIC LSC_SFID_UNTYPED_TOKEN LscCacheOpts ExecSize LscUntypedAddrOperand LscDataOperand  */
#line 1738 "CISA.y"
    {
        (yyvsp[-2].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-4].lsc_sfid), (yyvsp[-5].lsc_subOpcode), (yyvsp[0].lsc_data_operand).shape.order, (yyvsp[-2].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_untyped_inst(
            (yyvsp[-6].pred_reg),  // predicate
            (yyvsp[-5].lsc_subOpcode),  // subop
            (yyvsp[-4].lsc_sfid),  // SFID
            (yyvsp[-3].lsc_caching_opts),  // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-2].emask_exec_size).exec_size),
            (yyvsp[-2].emask_exec_size).emask,
            (yyvsp[-1].lsc_addr_operand).addr,     // address
            (yyvsp[0].lsc_data_operand).shape,    // data
            (yyvsp[-1].lsc_addr_operand).surface,  // surface
            (yyvsp[-1].lsc_addr_operand).surfaceIndex, // surface index
            nullptr,     // dst
            (yyvsp[-1].lsc_addr_operand).regs[0],  // src0
            (yyvsp[0].lsc_data_operand).reg,      // src1
            nullptr,     // src2
            CISAlineno);
    }
#line 4336 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 227: /* LscUntypedStridedStore: Predicate LSC_STORE_STRIDED_MNEMONIC LSC_SFID_UNTYPED_TOKEN LscCacheOpts ExecSize LscUntypedStridedAddrOperand LscDataOperand  */
#line 1764 "CISA.y"
    {
        (yyvsp[-2].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-4].lsc_sfid), (yyvsp[-5].lsc_subOpcode), (yyvsp[0].lsc_data_operand).shape.order, (yyvsp[-2].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_untyped_strided_inst(
            (yyvsp[-6].pred_reg),  // predicate
            (yyvsp[-5].lsc_subOpcode),  // subop
            (yyvsp[-4].lsc_sfid),  // SFID
            (yyvsp[-3].lsc_caching_opts),  // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-2].emask_exec_size).exec_size),
            (yyvsp[-2].emask_exec_size).emask,
            (yyvsp[-1].lsc_addr_operand).addr,     // address
            (yyvsp[0].lsc_data_operand).shape,    // data
            (yyvsp[-1].lsc_addr_operand).surface,  // surface
            (yyvsp[-1].lsc_addr_operand).surfaceIndex, // surface index
            nullptr,     // dst
            (yyvsp[-1].lsc_addr_operand).regs[0],  // src0 base
            (yyvsp[-1].lsc_addr_operand).regs[1],  // src0 stride
            (yyvsp[0].lsc_data_operand).reg,      // src1
            CISAlineno);
    }
#line 4361 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 228: /* LscUntypedBlock2dStore: Predicate LSC_STORE_BLOCK2D_MNEMONIC LSC_SFID_UNTYPED_TOKEN LscCacheOpts ExecSize LscUntypedBlock2dAddrOperand LscDataOperand2D  */
#line 1792 "CISA.y"
    {
        (yyvsp[-2].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-4].lsc_sfid), (yyvsp[-5].lsc_subOpcode), (yyvsp[0].lsc_data_operand2d).shape2D.order, (yyvsp[-2].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_untyped_block2d_inst(
            (yyvsp[-6].pred_reg),  // predicate
            (yyvsp[-5].lsc_subOpcode),  // subop
            (yyvsp[-4].lsc_sfid),  // sfid
            (yyvsp[-3].lsc_caching_opts),  // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-2].emask_exec_size).exec_size),
            (yyvsp[-2].emask_exec_size).emask,
            (yyvsp[0].lsc_data_operand2d).shape2D,  // data2d
            nullptr,     // dst
            (yyvsp[-1].lsc_block2d_addr_operand).regs,     // src0 addrs
            (yyvsp[0].lsc_data_operand2d).reg,      // src1
            (yyvsp[-1].lsc_block2d_addr_operand).immOffsets[0],
            (yyvsp[-1].lsc_block2d_addr_operand).immOffsets[1],
            CISAlineno);
    }
#line 4384 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 229: /* LscUntypedAtomic: Predicate LSC_ATOMIC_MNEMONIC LSC_SFID_UNTYPED_TOKEN LscCacheOpts ExecSize LscDataOperand LscUntypedAddrOperand LscPayloadReg LscPayloadReg  */
#line 1821 "CISA.y"
    {
        (yyvsp[-4].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-6].lsc_sfid), (yyvsp[-7].lsc_subOpcode), (yyvsp[-3].lsc_data_operand).shape.order, (yyvsp[-4].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_untyped_inst(
            (yyvsp[-8].pred_reg),  // predicate
            (yyvsp[-7].lsc_subOpcode),                // op
            (yyvsp[-6].lsc_sfid),                // sfid
            (yyvsp[-5].lsc_caching_opts),                // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-4].emask_exec_size).exec_size),
            (yyvsp[-4].emask_exec_size).emask,
            (yyvsp[-2].lsc_addr_operand).addr,         // address info
            (yyvsp[-3].lsc_data_operand).shape,        // data type
            (yyvsp[-2].lsc_addr_operand).surface,      // surface array base
            (yyvsp[-2].lsc_addr_operand).surfaceIndex, // surface index
            (yyvsp[-3].lsc_data_operand).reg,          // dst data
            (yyvsp[-2].lsc_addr_operand).regs[0],      // src0 addr
            (yyvsp[-1].RawVar),              // src1 data
            (yyvsp[0].RawVar),              // src2 data (for icas/fcas)
            CISAlineno);
    }
#line 4409 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 230: /* LscTypedLoad: Predicate LSC_LOAD_MNEMONIC LSC_SFID_TYPED_TOKEN LscCacheOpts ExecSize LscDataOperand LscTypedAddrOperandWithOffsets  */
#line 1855 "CISA.y"
    {
        if ((yyvsp[-5].lsc_subOpcode) != LSC_LOAD_QUAD) {
            PARSE_ERROR("unsupported load operation for .tgm");
        }
        (yyvsp[-2].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-4].lsc_sfid), (yyvsp[-5].lsc_subOpcode), (yyvsp[-1].lsc_data_operand).shape.order, (yyvsp[-2].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_typed_inst(
            (yyvsp[-6].pred_reg),  // predicate
            (yyvsp[-5].lsc_subOpcode),  // subop
            (yyvsp[-4].lsc_sfid),  // sfid
            (yyvsp[-3].lsc_caching_opts),  // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-2].emask_exec_size).exec_size),
            (yyvsp[-2].emask_exec_size).emask,
            (yyvsp[0].lsc_typed_operand).addr.type,      // address type
            (yyvsp[0].lsc_typed_operand).addr.size,      // address size
            (yyvsp[-1].lsc_data_operand).shape,          // data
            (yyvsp[0].lsc_typed_operand).surface,        // surface
            (yyvsp[0].lsc_typed_operand).surfaceIndex,   // surface index
            (yyvsp[-1].lsc_data_operand).reg,            // dst
            (yyvsp[0].lsc_typed_operand).regs[0],        // src0_u
            (yyvsp[0].lsc_typed_operand).uvrOffsets[0],  // u offset
            (yyvsp[0].lsc_typed_operand).regs[1],        // src0_v
            (yyvsp[0].lsc_typed_operand).uvrOffsets[1],  // v offset
            (yyvsp[0].lsc_typed_operand).regs[2],        // src0_r
            (yyvsp[0].lsc_typed_operand).uvrOffsets[2],  // r offset
            (yyvsp[0].lsc_typed_operand).regs[3],        // src0_lod
            nullptr,           // src1 data
            nullptr,           // src2 data
            CISAlineno);
    }
#line 4444 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 231: /* LscTypedStore: Predicate LSC_STORE_MNEMONIC LSC_SFID_TYPED_TOKEN LscCacheOpts ExecSize LscTypedAddrOperandWithOffsets LscDataOperand  */
#line 1899 "CISA.y"
    {
        if ((yyvsp[-5].lsc_subOpcode) != LSC_STORE_QUAD) {
            PARSE_ERROR("unsupported store operation for .tgm");
        }
        (yyvsp[-2].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-4].lsc_sfid), (yyvsp[-5].lsc_subOpcode), (yyvsp[0].lsc_data_operand).shape.order, (yyvsp[-2].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_typed_inst(
            (yyvsp[-6].pred_reg),  // predicate
            (yyvsp[-5].lsc_subOpcode),  // subop
            (yyvsp[-4].lsc_sfid),  // sfid
            (yyvsp[-3].lsc_caching_opts),  // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-2].emask_exec_size).exec_size),
            (yyvsp[-2].emask_exec_size).emask,
            (yyvsp[-1].lsc_typed_operand).addr.type,     // address model
            (yyvsp[-1].lsc_typed_operand).addr.size,     // address size
            (yyvsp[0].lsc_data_operand).shape,         // data size
            (yyvsp[-1].lsc_typed_operand).surface,       // surface
            (yyvsp[-1].lsc_typed_operand).surfaceIndex,  // surface index
            nullptr,          // dst
            (yyvsp[-1].lsc_typed_operand).regs[0],       // src0_u
            (yyvsp[-1].lsc_typed_operand).uvrOffsets[0], // u offset
            (yyvsp[-1].lsc_typed_operand).regs[1],       // src0_v
            (yyvsp[-1].lsc_typed_operand).uvrOffsets[1], // v offset
            (yyvsp[-1].lsc_typed_operand).regs[2],       // src0-r
            (yyvsp[-1].lsc_typed_operand).uvrOffsets[2], // r offset
            (yyvsp[-1].lsc_typed_operand).regs[3],       // src0_lod
            (yyvsp[0].lsc_data_operand).reg,           // stored data
            nullptr,          // src2
            CISAlineno);
    }
#line 4479 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 232: /* LscTypedAtomic: Predicate LSC_ATOMIC_MNEMONIC LSC_SFID_TYPED_TOKEN LscCacheOpts ExecSize LscDataOperand LscTypedAddrOperandWithOffsets LscPayloadReg LscPayloadReg  */
#line 1944 "CISA.y"
    {
        (yyvsp[-4].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-6].lsc_sfid), (yyvsp[-7].lsc_subOpcode), (yyvsp[-3].lsc_data_operand).shape.order, (yyvsp[-4].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_typed_inst(
            (yyvsp[-8].pred_reg),  // predicate
            (yyvsp[-7].lsc_subOpcode),  // subop
            (yyvsp[-6].lsc_sfid),  // sfid
            (yyvsp[-5].lsc_caching_opts),  // caching settings
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-4].emask_exec_size).exec_size),
            (yyvsp[-4].emask_exec_size).emask,
            (yyvsp[-2].lsc_typed_operand).addr.type, // address model
            (yyvsp[-2].lsc_typed_operand).addr.size,  // address size
            (yyvsp[-3].lsc_data_operand).shape,    // data type
            (yyvsp[-2].lsc_typed_operand).surface,  // surface
            (yyvsp[-2].lsc_typed_operand).surfaceIndex, // surface index
            (yyvsp[-3].lsc_data_operand).reg,      // dst data
            (yyvsp[-2].lsc_typed_operand).regs[0],  // src0 addrs u
            (yyvsp[-2].lsc_typed_operand).uvrOffsets[0], // u offset
            (yyvsp[-2].lsc_typed_operand).regs[1],  // src0 addrs v
            (yyvsp[-2].lsc_typed_operand).uvrOffsets[1], // v offset
            (yyvsp[-2].lsc_typed_operand).regs[2],  // src0 addrs r
            (yyvsp[-2].lsc_typed_operand).uvrOffsets[2], // r offset
            (yyvsp[-2].lsc_typed_operand).regs[3],  // src0 addrs lod
            (yyvsp[-1].RawVar),          // src1 data
            (yyvsp[0].RawVar),          // src2 data
            CISAlineno);
    }
#line 4511 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 233: /* LscTypedReadStateInfo: Predicate LSC_READ_STATE_INFO_MNEMONIC LSC_SFID_TYPED_TOKEN LscPayloadReg LscAddrModelStateful LBRACK LscPayloadNonNullReg RBRACK  */
#line 1980 "CISA.y"
   {
        LSC_CACHE_OPTS caching {LSC_CACHING_DEFAULT,LSC_CACHING_DEFAULT};
        LSC_DATA_SHAPE dataShape {LSC_DATA_SIZE_32b,LSC_DATA_ORDER_TRANSPOSE};
        dataShape.elems = LSC_DATA_ELEMS_16;
        pBuilder->CISA_create_lsc_typed_inst(
            (yyvsp[-7].pred_reg),              // predicate
            (yyvsp[-6].lsc_subOpcode),              // subop
            (yyvsp[-5].lsc_sfid),              // sfid
            caching,         // no caching settings
            EXEC_SIZE_1,
            vISA_EMASK_M1_NM,
            (yyvsp[-3].lsc_addr_model).type,           // address type
            LSC_ADDR_SIZE_32b, // address size
            dataShape,         // data type
            (yyvsp[-3].lsc_addr_model).surface,        // surface
            (yyvsp[-3].lsc_addr_model).surfaceIndex,   // SS_IDX
            (yyvsp[-4].RawVar),                // dst data
            (yyvsp[-1].RawVar),                // src0 coords (u, v, r, lod) SIMD1 are packed in
            0,                 // no uvr-offsets
            nullptr,           // no other coords
            0,                 // no uvr-offsets
            nullptr,           // no other coords
            0,                 // no uvr-offsets
            nullptr,           // no other coords
            nullptr,           // no src1 data
            nullptr,           // no src2 data
            CISAlineno);
   }
#line 4544 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 234: /* LscFence: LSC_FENCE_MNEMONIC LscSfid LSC_FENCE_OP_TYPE LSC_FENCE_SCOPE  */
#line 2017 "CISA.y"
    {
        pBuilder->CISA_create_lsc_fence((yyvsp[-2].lsc_sfid), (yyvsp[-1].lsc_fence_op), (yyvsp[0].lsc_scope), CISAlineno);
    }
#line 4552 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 237: /* LscCacheOpts: %empty  */
#line 2024 "CISA.y"
                                    {(yyval.lsc_caching_opts) = pBuilder->CISA_create_caching_opts(CISAlineno);}
#line 4558 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 238: /* LscCacheOpts: LSC_CACHING_OPT LSC_CACHING_OPT  */
#line 2025 "CISA.y"
                                    {(yyval.lsc_caching_opts) = pBuilder->CISA_create_caching_opts((yyvsp[-1].lsc_caching_opt),(yyvsp[0].lsc_caching_opt), CISAlineno);}
#line 4564 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 239: /* LscUntypedAddrOperand: LscAddrModelOpt LBRACK LscAddrImmScaleOpt LscPayloadNonNullReg LscAddrImmOffsetOpt RBRACK LSC_ADDR_SIZE_TK  */
#line 2032 "CISA.y"
    {
        (yyval.lsc_addr_operand) = {(yyvsp[-6].lsc_addr_model).surface, (yyvsp[-6].lsc_addr_model).surfaceIndex, {(yyvsp[-3].RawVar)}, {(yyvsp[-6].lsc_addr_model).type, (int)(yyvsp[-4].intval), (int)(yyvsp[-2].intval), (yyvsp[0].lsc_addr_size)}};
    }
#line 4572 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 240: /* LscUntypedStridedAddrOperand: LscAddrModelOpt LBRACK LscAddrImmScaleOpt LscPayloadNonNullReg LscAddrImmOffsetOpt COMMA LscVectorOpRegOrImm32 RBRACK LSC_ADDR_SIZE_TK  */
#line 2041 "CISA.y"
    {
        (yyval.lsc_addr_operand) = {(yyvsp[-8].lsc_addr_model).surface, (yyvsp[-8].lsc_addr_model).surfaceIndex, {(yyvsp[-5].RawVar), (yyvsp[-2].lsc_addr_surface_ident)}, {(yyvsp[-8].lsc_addr_model).type, (int)(yyvsp[-6].intval), (int)(yyvsp[-4].intval), (yyvsp[0].lsc_addr_size)}};
    }
#line 4580 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 241: /* LscUntypedStridedAddrOperand: LscUntypedAddrOperand  */
#line 2044 "CISA.y"
                            {
        (yyval.lsc_addr_operand) = (yyvsp[0].lsc_addr_operand);
        (yyval.lsc_addr_operand).regs[1] = nullptr;
    }
#line 4589 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 242: /* LscUntypedBlock2dAddrOperand: LSC_AM_FLAT LBRACK LscVectorOpReg COMMA LscVectorOpRegOrImm32 COMMA LscVectorOpRegOrImm32 COMMA LscVectorOpRegOrImm32 COMMA LscVectorOpReg LscAddrImmOffsetOpt COMMA LscVectorOpReg LscAddrImmOffsetOpt RBRACK  */
#line 2068 "CISA.y"
    {
        (yyval.lsc_block2d_addr_operand) = {nullptr,0,{(yyvsp[-13].lsc_addr_surface_ident),(yyvsp[-11].lsc_addr_surface_ident),(yyvsp[-9].lsc_addr_surface_ident),(yyvsp[-7].lsc_addr_surface_ident),(yyvsp[-5].lsc_addr_surface_ident),(yyvsp[-2].lsc_addr_surface_ident)},{(int)(yyvsp[-4].intval), (int)(yyvsp[-1].intval)},{LSC_ADDR_TYPE_FLAT,1,0,LSC_ADDR_SIZE_64b}};
    }
#line 4597 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 243: /* LscUntypedBlock2dAddrOperand: LSC_AM_FLAT LBRACK LscVectorOpReg COMMA LscVectorOpRegOrImm32 COMMA LscVectorOpRegOrImm32 COMMA LscVectorOpRegOrImm32 COMMA LscVectorOpImm32 COMMA LscVectorOpImm32 RBRACK  */
#line 2088 "CISA.y"
    {
        (yyval.lsc_block2d_addr_operand) = {nullptr,0,{(yyvsp[-11].lsc_addr_surface_ident),(yyvsp[-9].lsc_addr_surface_ident),(yyvsp[-7].lsc_addr_surface_ident),(yyvsp[-5].lsc_addr_surface_ident),(yyvsp[-3].lsc_addr_surface_ident),(yyvsp[-1].lsc_addr_surface_ident)},{0, 0},{LSC_ADDR_TYPE_FLAT,1,0,LSC_ADDR_SIZE_64b}};
    }
#line 4605 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 244: /* LscUntypedBlock2dAddrOperand: LSC_AM_FLAT LBRACK LscVectorOpReg PLUS LPAREN IntExpUnr COMMA IntExpUnr RPAREN RBRACK  */
#line 2096 "CISA.y"
    {
        (yyval.lsc_block2d_addr_operand) = {nullptr,0,{(yyvsp[-7].lsc_addr_surface_ident),nullptr,nullptr,nullptr,nullptr,nullptr},{(int)(yyvsp[-4].intval),(int)(yyvsp[-2].intval)},{LSC_ADDR_TYPE_FLAT,1,0,LSC_ADDR_SIZE_64b}};
    }
#line 4613 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 245: /* LscTypedAddrWithOffsetOperand: LscPayloadNonNullReg  */
#line 2101 "CISA.y"
    {
        (yyval.lsc_typed_addr_operand) = {(yyvsp[0].RawVar), 0};
    }
#line 4621 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 246: /* LscTypedAddrWithOffsetOperand: LscPayloadNonNullReg PLUS IntExpMul  */
#line 2104 "CISA.y"
                                          {
        (yyval.lsc_typed_addr_operand) = {(yyvsp[-2].RawVar), (int)(yyvsp[0].intval)};
    }
#line 4629 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 247: /* LscTypedAddrWithOffsetOperand: LscPayloadNonNullReg MINUS IntExpMul  */
#line 2108 "CISA.y"
    {
        (yyval.lsc_typed_addr_operand) = {(yyvsp[-2].RawVar), (int)-(yyvsp[0].intval)};
    }
#line 4637 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 248: /* LscTypedAddrWithOffsetOperandList: LscTypedAddrWithOffsetOperand  */
#line 2112 "CISA.y"
                                    {
        (yyval.lsc_typed_addr_operand_list) = {{(yyvsp[0].lsc_typed_addr_operand).reg}, {(yyvsp[0].lsc_typed_addr_operand).offset, 0, 0}};
      }
#line 4645 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 249: /* LscTypedAddrWithOffsetOperandList: LscTypedAddrWithOffsetOperand COMMA LscTypedAddrWithOffsetOperand  */
#line 2117 "CISA.y"
      {
        (yyval.lsc_typed_addr_operand_list) = {{(yyvsp[-2].lsc_typed_addr_operand).reg,(yyvsp[0].lsc_typed_addr_operand).reg}, {(yyvsp[-2].lsc_typed_addr_operand).offset, (yyvsp[0].lsc_typed_addr_operand).offset, 0}};
      }
#line 4653 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 250: /* LscTypedAddrWithOffsetOperandList: LscTypedAddrWithOffsetOperand COMMA LscTypedAddrWithOffsetOperand COMMA LscTypedAddrWithOffsetOperand  */
#line 2123 "CISA.y"
    {
        (yyval.lsc_typed_addr_operand_list) = {{(yyvsp[-4].lsc_typed_addr_operand).reg,(yyvsp[-2].lsc_typed_addr_operand).reg,(yyvsp[0].lsc_typed_addr_operand).reg}, {(yyvsp[-4].lsc_typed_addr_operand).offset, (yyvsp[-2].lsc_typed_addr_operand).offset, (yyvsp[0].lsc_typed_addr_operand).offset}};
    }
#line 4661 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 251: /* LscTypedAddrWithOffsetOperandList: LscTypedAddrWithOffsetOperand COMMA LscTypedAddrWithOffsetOperand COMMA LscTypedAddrWithOffsetOperand COMMA LscPayloadNonNullReg  */
#line 2130 "CISA.y"
    {
        (yyval.lsc_typed_addr_operand_list) = {{(yyvsp[-6].lsc_typed_addr_operand).reg,(yyvsp[-4].lsc_typed_addr_operand).reg,(yyvsp[-2].lsc_typed_addr_operand).reg,(yyvsp[0].RawVar)}, {(yyvsp[-6].lsc_typed_addr_operand).offset, (yyvsp[-4].lsc_typed_addr_operand).offset, (yyvsp[-2].lsc_typed_addr_operand).offset}};
    }
#line 4669 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 252: /* LscTypedAddrOperandWithOffsets: LscAddrModelStateful LBRACK LscTypedAddrWithOffsetOperandList RBRACK LSC_ADDR_SIZE_TK  */
#line 2136 "CISA.y"
    {
        (yyval.lsc_typed_operand) = {(yyvsp[-4].lsc_addr_model).surface, (yyvsp[-4].lsc_addr_model).surfaceIndex,
               {(yyvsp[-2].lsc_typed_addr_operand_list).regs[0], (yyvsp[-2].lsc_typed_addr_operand_list).regs[1], (yyvsp[-2].lsc_typed_addr_operand_list).regs[2],(yyvsp[-2].lsc_typed_addr_operand_list).regs[3]},
               {(yyvsp[-2].lsc_typed_addr_operand_list).uvrOffsets[0], (yyvsp[-2].lsc_typed_addr_operand_list).uvrOffsets[1], (yyvsp[-2].lsc_typed_addr_operand_list).uvrOffsets[2]},
               {(yyvsp[-4].lsc_addr_model).type, 1, 0, (yyvsp[0].lsc_addr_size)}};
    }
#line 4680 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 253: /* LscAddrImmOffsetOpt: %empty  */
#line 2147 "CISA.y"
                     {(yyval.intval) =   0;}
#line 4686 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 254: /* LscAddrImmOffsetOpt: PLUS IntExpAdd  */
#line 2148 "CISA.y"
                     {(yyval.intval) =  (yyvsp[0].intval);}
#line 4692 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 255: /* LscAddrImmOffsetOpt: MINUS IntExpMul  */
#line 2149 "CISA.y"
                     {(yyval.intval) = -(yyvsp[0].intval);}
#line 4698 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 256: /* LscAddrImmScaleOpt: %empty  */
#line 2154 "CISA.y"
                     {(yyval.intval) = 1;}
#line 4704 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 257: /* LscAddrImmScaleOpt: IntExpPrim TIMES  */
#line 2155 "CISA.y"
                     {(yyval.intval) = (yyvsp[-1].intval);}
#line 4710 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 258: /* LscAddrModelOpt: %empty  */
#line 2158 "CISA.y"
                 {(yyval.lsc_addr_model) = {LSC_ADDR_TYPE_FLAT, nullptr, 0};}
#line 4716 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 259: /* LscAddrModelOpt: LSC_AM_FLAT  */
#line 2159 "CISA.y"
                 {(yyval.lsc_addr_model) = {LSC_ADDR_TYPE_FLAT, nullptr, 0};}
#line 4722 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 260: /* LscAddrModelOpt: LSC_AM_ARG  */
#line 2160 "CISA.y"
                 {(yyval.lsc_addr_model) = {LSC_ADDR_TYPE_ARG, nullptr, 0};}
#line 4728 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 262: /* LscAddrModelStateful: LSC_AM_BSS LPAREN LscVectorOpRegOrImm32 RPAREN  */
#line 2165 "CISA.y"
                                                     {
      (yyval.lsc_addr_model) = {LSC_ADDR_TYPE_BSS,(yyvsp[-1].lsc_addr_surface_ident), 0};
    }
#line 4736 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 263: /* LscAddrModelStateful: LSC_AM_BSS LPAREN LscVectorOpRegOrImm32 COMMA IntExp RPAREN  */
#line 2168 "CISA.y"
                                                                  {
      (yyval.lsc_addr_model) = {LSC_ADDR_TYPE_BSS, (yyvsp[-3].lsc_addr_surface_ident), (int)(yyvsp[-1].intval)};
    }
#line 4744 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 264: /* LscAddrModelStateful: LSC_AM_SS LPAREN LscVectorOpRegOrImm32 RPAREN  */
#line 2171 "CISA.y"
                                                     {
      (yyval.lsc_addr_model) = {LSC_ADDR_TYPE_SS,(yyvsp[-1].lsc_addr_surface_ident), 0};
    }
#line 4752 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 265: /* LscAddrModelStateful: LSC_AM_SS LPAREN LscVectorOpRegOrImm32 COMMA IntExp RPAREN  */
#line 2174 "CISA.y"
                                                                  {
      (yyval.lsc_addr_model) = {LSC_ADDR_TYPE_SS,(yyvsp[-3].lsc_addr_surface_ident), (int)(yyvsp[-1].intval)};
    }
#line 4760 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 266: /* LscAddrModelStateful: LSC_AM_BTI LPAREN LscVectorOpRegOrImm32 RPAREN  */
#line 2177 "CISA.y"
                                                     {
      (yyval.lsc_addr_model) = {LSC_ADDR_TYPE_BTI,(yyvsp[-1].lsc_addr_surface_ident), 0};
    }
#line 4768 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 267: /* LscAddrModelStateful: LSC_AM_BTI LPAREN LscVectorOpRegOrImm32 COMMA IntExp RPAREN  */
#line 2180 "CISA.y"
                                                                  {
      (yyval.lsc_addr_model) = {LSC_ADDR_TYPE_BTI,(yyvsp[-3].lsc_addr_surface_ident), (int)(yyvsp[-1].intval)};
    }
#line 4776 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 270: /* LscVectorOpImm32: IntExp  */
#line 2189 "CISA.y"
           {
        (yyval.lsc_addr_surface_ident) = pBuilder->CISA_create_immed((yyvsp[0].intval), ISA_TYPE_UD, CISAlineno);
    }
#line 4784 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 271: /* LscVectorOpReg: Var  */
#line 2199 "CISA.y"
        {
        ABORT_ON_FAIL((yyval.lsc_addr_surface_ident) = pBuilder->CISA_create_gen_src_operand(
            (yyvsp[0].string),
            0, 1, 0, // region
            0, 0, // row and col offset
            MODIFIER_NONE, CISAlineno));
    }
#line 4796 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 272: /* LscVectorOpReg: Var DOT DEC_LIT  */
#line 2207 "CISA.y"
                    {
        ABORT_ON_FAIL((yyval.lsc_addr_surface_ident) = pBuilder->CISA_create_gen_src_operand(
            (yyvsp[-2].string),
            0, 1, 0, // region
            0, (unsigned char)(yyvsp[0].intval), // row and col offset
            MODIFIER_NONE, CISAlineno));
    }
#line 4808 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 273: /* LscVectorOpReg: Var LPAREN IntExp COMMA IntExp RPAREN  */
#line 2215 "CISA.y"
                                          {
        MUST_HOLD((yyvsp[-3].intval) <= 255 || (yyvsp[-3].intval) >= 0, "row is out of bounds");
        MUST_HOLD((yyvsp[-1].intval) <= 255 || (yyvsp[-1].intval) >= 0, "col is out of bounds");
        (yyval.lsc_addr_surface_ident) = pBuilder->CISA_create_gen_src_operand(
            (yyvsp[-5].string),
            0, 1, 0,
            (unsigned char)(yyvsp[-3].intval), (unsigned char)(yyvsp[-1].intval), // row and col offset
            MODIFIER_NONE, CISAlineno);
        if ((yyval.lsc_addr_surface_ident) == nullptr) {
            PARSE_ERROR("cannot find surface variable");
        }
    }
#line 4825 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 274: /* LscDataOperand: LscPayloadReg LSC_DATA_SHAPE_TK  */
#line 2229 "CISA.y"
                                     {
        (yyval.lsc_data_operand) = {(yyvsp[-1].RawVar),(yyvsp[0].lsc_data_shape)};
    }
#line 4833 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 275: /* LscDataOperand: LscPayloadReg LSC_DATA_SHAPE_TK_CHMASK  */
#line 2233 "CISA.y"
                                            {
        (yyval.lsc_data_operand) = {(yyvsp[-1].RawVar),(yyvsp[0].lsc_data_shape)};
    }
#line 4841 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 276: /* LscDataOperand2D: LscPayloadReg LSC_DATA_SHAPE_TK_BLOCK2D  */
#line 2239 "CISA.y"
                                            {
        (yyval.lsc_data_operand2d) = {(yyvsp[-1].RawVar),(yyvsp[0].lsc_data_shape2d)};
    }
#line 4849 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 278: /* LscPayloadReg: Var  */
#line 2247 "CISA.y"
        {
        ABORT_ON_FAIL((yyval.RawVar) = pBuilder->CISA_create_RAW_operand((yyvsp[0].string), 0, CISAlineno));
    }
#line 4857 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 280: /* LscPayloadNonNullReg: VarNonNull  */
#line 2254 "CISA.y"
               {
        ABORT_ON_FAIL((yyval.RawVar) = pBuilder->CISA_create_RAW_operand((yyvsp[0].string), 0, CISAlineno));
    }
#line 4865 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 284: /* LscTypedBlock2dLoad: Predicate LSC_LOAD_BLOCK2D_MNEMONIC LSC_SFID_TYPED_TOKEN LscCacheOpts LscDataOperandTyped2D LscTypedBlock2dAddrOperand  */
#line 2278 "CISA.y"
    {
        pBuilder->CISA_create_lsc_typed_block2d_inst(
            (yyvsp[-4].lsc_subOpcode),  // subop
            (yyvsp[-2].lsc_caching_opts),  // caching settings
            (yyvsp[0].lsc_block2d_addr_operand).addr.type, // address model
            (yyvsp[-1].lsc_data_operand_typed2d).shape_typed2d,  // data shape
            (yyvsp[0].lsc_block2d_addr_operand).surface,  //surface
            (yyvsp[0].lsc_block2d_addr_operand).surfaceIndex, // surface index
            (yyvsp[-1].lsc_data_operand_typed2d).reg,      // dst
            (yyvsp[0].lsc_block2d_addr_operand).regs[0],     // src0 addrs(block start offset x)
            (yyvsp[0].lsc_block2d_addr_operand).regs[1],     // src0 addrs(block start offset y)
            (yyvsp[0].lsc_block2d_addr_operand).immOffsets[0], // x immediate offset
            (yyvsp[0].lsc_block2d_addr_operand).immOffsets[1], // y immediate offset
            nullptr,     // src1
            CISAlineno);
   }
#line 4886 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 285: /* LscTypedBlock2dStore: Predicate LSC_STORE_BLOCK2D_MNEMONIC LSC_SFID_TYPED_TOKEN LscCacheOpts LscTypedBlock2dAddrOperand LscDataOperandTyped2D  */
#line 2307 "CISA.y"
    {
        pBuilder->CISA_create_lsc_typed_block2d_inst(
            (yyvsp[-4].lsc_subOpcode),  // subop
            (yyvsp[-2].lsc_caching_opts),  // caching settings
            (yyvsp[-1].lsc_block2d_addr_operand).addr.type, // address model
            (yyvsp[0].lsc_data_operand_typed2d).shape_typed2d,  // data shape
            (yyvsp[-1].lsc_block2d_addr_operand).surface,  //surface
            (yyvsp[-1].lsc_block2d_addr_operand).surfaceIndex,
            nullptr,     // dst
            (yyvsp[-1].lsc_block2d_addr_operand).regs[0],     // src0 addrs(block start offset x)
            (yyvsp[-1].lsc_block2d_addr_operand).regs[1],     // src0 addrs(block start offset y)
            (yyvsp[-1].lsc_block2d_addr_operand).immOffsets[0], // x immediate offset
            (yyvsp[-1].lsc_block2d_addr_operand).immOffsets[1], // y immediate offset
            (yyvsp[0].lsc_data_operand_typed2d).reg,      // src1
            CISAlineno);
    }
#line 4907 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 286: /* LscTypedBlock2dAddrOperand: LscAddrModelStateful LBRACK LscVectorOpImm32 COMMA LscVectorOpImm32 RBRACK  */
#line 2333 "CISA.y"
    {
        (yyval.lsc_block2d_addr_operand) = {(yyvsp[-5].lsc_addr_model).surface, 0, {(yyvsp[-3].lsc_addr_surface_ident),(yyvsp[-1].lsc_addr_surface_ident)},{0,0},{(yyvsp[-5].lsc_addr_model).type,1,0,LSC_ADDR_SIZE_64b}};
    }
#line 4915 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 287: /* LscTypedBlock2dAddrOperand: LscAddrModelStateful LBRACK LscVectorOpReg LscAddrImmOffsetOpt COMMA LscVectorOpReg LscAddrImmOffsetOpt RBRACK  */
#line 2343 "CISA.y"
    {
        (yyval.lsc_block2d_addr_operand) = {(yyvsp[-7].lsc_addr_model).surface, (yyvsp[-7].lsc_addr_model).surfaceIndex, {(yyvsp[-5].lsc_addr_surface_ident), (yyvsp[-2].lsc_addr_surface_ident)}, {(int)(yyvsp[-4].intval), (int)(yyvsp[-1].intval)}, {(yyvsp[-7].lsc_addr_model).type, 1, 0, LSC_ADDR_SIZE_64b}};
    }
#line 4923 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 288: /* LscDataOperandTyped2D: LscPayloadReg LSC_DATA_SHAPE_TK_TYPED_BLOCK2D  */
#line 2349 "CISA.y"
                                                  {
        (yyval.lsc_data_operand_typed2d) = {(yyvsp[-1].RawVar),(yyvsp[0].lsc_data_shape_typed2d)};
    }
#line 4931 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 289: /* LscUntypedApndCtrAtomic: Predicate LSC_ATOMIC_MNEMONIC LSC_SFID_UNTYPED_TOKEN LscCacheOpts ExecSize LscDataOperand LscAddrModelStateful LscDataOperand  */
#line 2361 "CISA.y"
    {
        (yyvsp[-3].emask_exec_size).exec_size =
            lscCheckExecSize(pBuilder, (yyvsp[-5].lsc_sfid), (yyvsp[-6].lsc_subOpcode), (yyvsp[-2].lsc_data_operand).shape.order, (yyvsp[-3].emask_exec_size).exec_size);
        pBuilder->CISA_create_lsc_untyped_append_counter_atomic_inst(
            (yyvsp[-6].lsc_subOpcode),          // op
            (yyvsp[-7].pred_reg),          // predicate
            Get_VISA_Exec_Size_From_Raw_Size((yyvsp[-3].emask_exec_size).exec_size),
            (yyvsp[-3].emask_exec_size).emask,    // execution mask
            (yyvsp[-4].lsc_caching_opts),          // caching settings
            (yyvsp[-1].lsc_addr_model).type,     // address type
            (yyvsp[-2].lsc_data_operand).shape,    // data shape
            (yyvsp[-1].lsc_addr_model).surface,  // surface
            (yyvsp[-1].lsc_addr_model).surfaceIndex,
            (yyvsp[-2].lsc_data_operand).reg,      // dst data
            (yyvsp[0].lsc_data_operand).reg,      // src1 data
            CISAlineno);
    }
#line 4953 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 290: /* SwitchLabels: %empty  */
#line 2381 "CISA.y"
    {
    }
#line 4960 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 291: /* SwitchLabels: COMMA SwitchLabels  */
#line 2384 "CISA.y"
    {
    }
#line 4967 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 292: /* SwitchLabels: IDENT SwitchLabels  */
#line 2387 "CISA.y"
    {
        // parse rule means we see last label first
        switchLabels.push_front((yyvsp[-1].string));
    }
#line 4976 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 293: /* BranchInstruction: Predicate BRANCH_OP ExecSize IdentOrStringLit  */
#line 2394 "CISA.y"
    {
        pBuilder->CISA_create_branch_instruction((yyvsp[-3].pred_reg), (yyvsp[-2].opcode), (yyvsp[-1].emask_exec_size).emask, (yyvsp[-1].emask_exec_size).exec_size, (yyvsp[0].string), false, CISAlineno);
    }
#line 4984 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 294: /* BranchInstruction: Predicate CALL_OP ExecSize IdentOrStringLit  */
#line 2398 "CISA.y"
    {
        pBuilder->CISA_create_branch_instruction((yyvsp[-3].pred_reg), (yyvsp[-2].cisa_call).opcode, (yyvsp[-1].emask_exec_size).emask, (yyvsp[-1].emask_exec_size).exec_size, (yyvsp[0].string), (yyvsp[-2].cisa_call).is_fccall, CISAlineno);
    }
#line 4992 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 295: /* BranchInstruction: Predicate RET_OP ExecSize  */
#line 2402 "CISA.y"
    {
        pBuilder->CISA_Create_Ret((yyvsp[-2].pred_reg), (yyvsp[-1].opcode), (yyvsp[0].emask_exec_size).emask, (yyvsp[0].emask_exec_size).exec_size, CISAlineno);
    }
#line 5000 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 296: /* BranchInstruction: SWITCHJMP_OP ExecSize VecSrcOperand_G_I_IMM LPAREN SwitchLabels RPAREN  */
#line 2406 "CISA.y"
    {
        pBuilder->CISA_create_switch_instruction((yyvsp[-5].opcode), (yyvsp[-4].emask_exec_size).exec_size, (yyvsp[-3].genOperand).cisa_gen_opnd, switchLabels, CISAlineno);
        switchLabels.clear();
    }
#line 5009 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 297: /* BranchInstruction: Predicate FCALL ExecSize IDENT DEC_LIT DEC_LIT  */
#line 2412 "CISA.y"
    {
        pBuilder->CISA_create_fcall_instruction((yyvsp[-5].pred_reg), (yyvsp[-4].opcode), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size, (yyvsp[-2].string), (unsigned)(yyvsp[-1].intval), (unsigned)(yyvsp[0].intval), CISAlineno);
    }
#line 5017 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 298: /* BranchInstruction: Predicate IFCALL ExecSize VecSrcOperand_G_I_IMM DEC_LIT DEC_LIT  */
#line 2417 "CISA.y"
    {
        pBuilder->CISA_create_ifcall_instruction(
        (yyvsp[-5].pred_reg), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size, false,
        (yyvsp[-2].genOperand).cisa_gen_opnd, (unsigned)(yyvsp[-1].intval), (unsigned)(yyvsp[0].intval), CISAlineno);
    }
#line 5027 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 299: /* BranchInstruction: Predicate IFCALL UNIFORM ExecSize VecSrcOperand_G_I_IMM DEC_LIT DEC_LIT  */
#line 2424 "CISA.y"
    {
        pBuilder->CISA_create_ifcall_instruction(
        (yyvsp[-6].pred_reg), (yyvsp[-3].emask_exec_size).emask, (yyvsp[-3].emask_exec_size).exec_size, true,
        (yyvsp[-2].genOperand).cisa_gen_opnd, (unsigned)(yyvsp[-1].intval), (unsigned)(yyvsp[0].intval), CISAlineno);
    }
#line 5037 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 300: /* BranchInstruction: FADDR IdentOrStringLit VecDstOperand_G_I  */
#line 2431 "CISA.y"
    {
        pBuilder->CISA_create_faddr_instruction((yyvsp[-1].string), (yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 5045 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 301: /* FILE: FILE_OP STRING_LIT  */
#line 2436 "CISA.y"
    {
        pBuilder->CISA_create_FILE_instruction((yyvsp[-1].opcode), (yyvsp[0].string), CISAlineno);
    }
#line 5053 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 302: /* LOC: LOC_OP DEC_LIT  */
#line 2441 "CISA.y"
    {
        pBuilder->CISA_create_LOC_instruction((yyvsp[-1].opcode), (unsigned)(yyvsp[0].intval), CISAlineno);
    }
#line 5061 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 303: /* RawSendInstruction: Predicate RAW_SEND_STRING ExecSize HEX_LIT DEC_LIT DEC_LIT VecSrcOperand_G_IMM RawOperand RawOperand  */
#line 2447 "CISA.y"
    {
        pBuilder->CISA_create_raw_send_instruction(ISA_RAW_SEND, false, (yyvsp[-6].emask_exec_size).emask, (yyvsp[-6].emask_exec_size).exec_size, (yyvsp[-8].pred_reg),
            (unsigned)(yyvsp[-5].intval), (unsigned char)(yyvsp[-4].intval), (unsigned char)(yyvsp[-3].intval), (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 5070 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 304: /* RawSendInstruction: Predicate RAW_SENDC_STRING ExecSize HEX_LIT DEC_LIT DEC_LIT VecSrcOperand_G_IMM RawOperand RawOperand  */
#line 2454 "CISA.y"
    {
        pBuilder->CISA_create_raw_send_instruction(ISA_RAW_SEND, true, (yyvsp[-6].emask_exec_size).emask, (yyvsp[-6].emask_exec_size).exec_size, (yyvsp[-8].pred_reg),
            (unsigned)(yyvsp[-5].intval), (unsigned char)(yyvsp[-4].intval), (unsigned char)(yyvsp[-3].intval), (yyvsp[-2].genOperand).cisa_gen_opnd, (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 5079 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 305: /* LifetimeStartInst: LIFETIME_START_OP IDENT  */
#line 2461 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_lifetime_inst((unsigned char)0, (yyvsp[0].string), CISAlineno));
    }
#line 5087 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 306: /* LifetimeEndInst: LIFETIME_END_OP IDENT  */
#line 2467 "CISA.y"
    {
        ABORT_ON_FAIL(pBuilder->CISA_create_lifetime_inst((unsigned char)1, (yyvsp[0].string), CISAlineno));
    }
#line 5095 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 307: /* RawSendsInstruction: Predicate RAW_SENDS_STRING ElemNum ElemNum ElemNum ElemNum ExecSize VecSrcOperand_G_IMM VecSrcOperand_G_IMM RawOperand RawOperand RawOperand  */
#line 2473 "CISA.y"
    {
        pBuilder->CISA_create_raw_sends_instruction(
            ISA_RAW_SENDS, false, false, (yyvsp[-5].emask_exec_size).emask, (yyvsp[-5].emask_exec_size).exec_size, (yyvsp[-11].pred_reg), (yyvsp[-4].genOperand).cisa_gen_opnd,
            (unsigned char)(yyvsp[-9].intval), (unsigned char)(yyvsp[-8].intval), (unsigned char)(yyvsp[-7].intval), (unsigned char)(yyvsp[-6].intval),
            (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 5106 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 308: /* RawSendsInstruction: Predicate RAW_SENDS_EOT_STRING ElemNum ElemNum ElemNum ElemNum ExecSize VecSrcOperand_G_IMM VecSrcOperand_G_IMM RawOperand RawOperand RawOperand  */
#line 2481 "CISA.y"
    {
        pBuilder->CISA_create_raw_sends_instruction(
            ISA_RAW_SENDS, false, true, (yyvsp[-5].emask_exec_size).emask, (yyvsp[-5].emask_exec_size).exec_size, (yyvsp[-11].pred_reg), (yyvsp[-4].genOperand).cisa_gen_opnd,
            (unsigned char)(yyvsp[-9].intval), (unsigned char)(yyvsp[-8].intval), (unsigned char)(yyvsp[-7].intval), (unsigned char)(yyvsp[-6].intval),
            (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 5117 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 309: /* RawSendsInstruction: Predicate RAW_SENDSC_STRING ElemNum ElemNum ElemNum ExecSize VecSrcOperand_G_IMM VecSrcOperand_G_IMM RawOperand RawOperand RawOperand  */
#line 2489 "CISA.y"
    {
        pBuilder->CISA_create_raw_sends_instruction(
            ISA_RAW_SENDS, true, false, (yyvsp[-5].emask_exec_size).emask, (yyvsp[-5].emask_exec_size).exec_size, (yyvsp[-10].pred_reg), (yyvsp[-4].genOperand).cisa_gen_opnd,
            0, (unsigned char)(yyvsp[-8].intval), (unsigned char)(yyvsp[-7].intval), (unsigned char)(yyvsp[-6].intval),
            (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 5128 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 310: /* RawSendsInstruction: Predicate RAW_SENDSC_EOT_STRING ElemNum ElemNum ElemNum ExecSize VecSrcOperand_G_IMM VecSrcOperand_G_IMM RawOperand RawOperand RawOperand  */
#line 2497 "CISA.y"
    {
        pBuilder->CISA_create_raw_sends_instruction(
            ISA_RAW_SENDS, true, true, (yyvsp[-5].emask_exec_size).emask, (yyvsp[-5].emask_exec_size).exec_size, (yyvsp[-10].pred_reg), (yyvsp[-4].genOperand).cisa_gen_opnd,
            0, (unsigned char)(yyvsp[-8].intval), (unsigned char)(yyvsp[-7].intval), (unsigned char)(yyvsp[-6].intval),
            (yyvsp[-3].genOperand).cisa_gen_opnd, (yyvsp[-2].RawVar), (yyvsp[-1].RawVar), (yyvsp[0].RawVar), CISAlineno);
    }
#line 5139 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 311: /* NullaryInstruction: CACHE_FLUSH_OP  */
#line 2507 "CISA.y"
    {
        pBuilder->CISA_create_NO_OPND_instruction((yyvsp[0].opcode), CISAlineno);
    }
#line 5147 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 312: /* NullaryInstruction: WAIT_OP VecSrcOperand_G_IMM  */
#line 2512 "CISA.y"
    {
        pBuilder->CISA_create_wait_instruction((yyvsp[0].genOperand).cisa_gen_opnd, CISAlineno);
    }
#line 5155 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 313: /* NullaryInstruction: YIELD_OP  */
#line 2517 "CISA.y"
    {
        pBuilder->CISA_create_yield_instruction((yyvsp[0].opcode), CISAlineno);
    }
#line 5163 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 314: /* NullaryInstruction: FENCE_GLOBAL_OP  */
#line 2522 "CISA.y"
    {
        pBuilder->CISA_create_fence_instruction((yyvsp[0].opcode), 0x0, CISAlineno);
    }
#line 5171 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 315: /* NullaryInstruction: FENCE_GLOBAL_OP FENCE_OPTIONS  */
#line 2527 "CISA.y"
    {
        pBuilder->CISA_create_fence_instruction((yyvsp[-1].opcode), (yyvsp[0].fence_options), CISAlineno);
    }
#line 5179 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 316: /* NullaryInstruction: FENCE_LOCAL_OP  */
#line 2532 "CISA.y"
    {
        pBuilder->CISA_create_fence_instruction((yyvsp[0].opcode), 0x20, CISAlineno);
    }
#line 5187 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 317: /* NullaryInstruction: FENCE_LOCAL_OP FENCE_OPTIONS  */
#line 2537 "CISA.y"
    {
        pBuilder->CISA_create_fence_instruction((yyvsp[-1].opcode), (yyvsp[0].fence_options) | 0x20, CISAlineno);
    }
#line 5195 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 318: /* NullaryInstruction: FENCE_SW_OP  */
#line 2542 "CISA.y"
    {
        pBuilder->CISA_create_fence_instruction((yyvsp[0].opcode), 0x80, CISAlineno);
    }
#line 5203 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 319: /* OwordModifier: %empty  */
#line 2546 "CISA.y"
                      {(yyval.oword_mod) = false;}
#line 5209 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 321: /* Predicate: %empty  */
#line 2553 "CISA.y"
    {
        (yyval.pred_reg) = NULL;
    }
#line 5217 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 322: /* Predicate: LPAREN PredSign PredVar PredCtrlOpt RPAREN  */
#line 2558 "CISA.y"
    {
        (yyval.pred_reg) = pBuilder->CISA_create_predicate_operand((yyvsp[-2].vISADecl), (yyvsp[-3].pred_sign), (yyvsp[-1].pred_ctrl), CISAlineno);
    }
#line 5225 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 323: /* PredSign: %empty  */
#line 2562 "CISA.y"
                 {(yyval.pred_sign) = PredState_NO_INVERSE;}
#line 5231 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 324: /* PredSign: BANG  */
#line 2562 "CISA.y"
                                                     {(yyval.pred_sign) = PredState_INVERSE;}
#line 5237 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 325: /* PredCtrlOpt: %empty  */
#line 2564 "CISA.y"
                    {(yyval.pred_ctrl) = PRED_CTRL_NON;}
#line 5243 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 327: /* SatModOpt: %empty  */
#line 2567 "CISA.y"
                  {(yyval.sat) = false;}
#line 5249 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 328: /* SatModOpt: SAT  */
#line 2567 "CISA.y"
                                      {(yyval.sat) = true;}
#line 5255 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 329: /* SrcModifier: SRCMOD_NEG  */
#line 2570 "CISA.y"
                    {(yyval.src_mod).mod = MODIFIER_NEG;}
#line 5261 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 330: /* SrcModifier: SRCMOD_ABS  */
#line 2571 "CISA.y"
                    {(yyval.src_mod).mod = MODIFIER_ABS;}
#line 5267 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 331: /* SrcModifier: SRCMOD_NEGABS  */
#line 2572 "CISA.y"
                    {(yyval.src_mod).mod = MODIFIER_NEG_ABS;}
#line 5273 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 332: /* SrcModifier: SRCMOD_NOT  */
#line 2573 "CISA.y"
                    {(yyval.src_mod).mod = MODIFIER_NOT;}
#line 5279 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 333: /* ConditionalModifier: %empty  */
#line 2575 "CISA.y"
                            {(yyval.cond_mod) = ISA_CMP_UNDEF;}
#line 5285 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 335: /* VecDstOperand_A: DstAddrOperand  */
#line 2580 "CISA.y"
                                   {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_ADDRESS;}
#line 5291 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 336: /* VecDstOperand_G: DstGeneralOperand  */
#line 2581 "CISA.y"
                                   {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_GENERAL;}
#line 5297 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 337: /* VecDstOperand_G_I: DstGeneralOperand  */
#line 2583 "CISA.y"
                           {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_GENERAL;}
#line 5303 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 338: /* VecDstOperand_G_I: DstIndirectOperand  */
#line 2584 "CISA.y"
                           {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_INDIRECT;}
#line 5309 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 340: /* VecSrcOperand_G_I_IMM_A_AO: SrcAddrOfOperand  */
#line 2589 "CISA.y"
                           {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_ADDRESSOF;}
#line 5315 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 342: /* VecSrcOperand_G_I_IMM_A: SrcAddrOperand  */
#line 2593 "CISA.y"
                           {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_ADDRESS;}
#line 5321 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 344: /* VecSrcOperand_G_I_IMM: SrcIndirectOperand  */
#line 2597 "CISA.y"
                           {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_INDIRECT;}
#line 5327 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 345: /* VecSrcOperand_G_I_IMM: SrcImmOperand  */
#line 2598 "CISA.y"
                           {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_IMMEDIATE;}
#line 5333 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 347: /* VecSrcOperand_G_IMM: SrcImmOperand  */
#line 2602 "CISA.y"
                          {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_IMMEDIATE;}
#line 5339 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 349: /* VecSrcOperand_G_IMM_AO: SrcImmOperand  */
#line 2606 "CISA.y"
                          {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_IMMEDIATE;}
#line 5345 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 350: /* VecSrcOperand_G_IMM_AO: SrcAddrOfOperand  */
#line 2607 "CISA.y"
                          {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_ADDRESSOF;}
#line 5351 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 352: /* VecSrcOperand_G_A: SrcAddrOperand  */
#line 2611 "CISA.y"
                          {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_ADDRESS;}
#line 5357 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 354: /* VecSrcOperand_G_A_AO: SrcAddrOfOperand  */
#line 2615 "CISA.y"
                          {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_ADDRESS;}
#line 5363 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 355: /* VecSrcOperand_G: SrcGeneralOperand  */
#line 2617 "CISA.y"
                                   {(yyval.genOperand) = (yyvsp[0].genOperand); (yyval.genOperand).type = OPERAND_GENERAL;}
#line 5369 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 356: /* VecSrcOpndSimple: Var TwoDimOffset  */
#line 2620 "CISA.y"
    {
        // simple vector operand with no modifier that has an
        // implicit src region = <1,1,0>
        (yyval.genOperand).type = OPERAND_GENERAL;
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_create_gen_src_operand(
            (yyvsp[-1].string), 1, 1, 0, (yyvsp[0].offset).row, (yyvsp[0].offset).elem, MODIFIER_NONE, CISAlineno));
    }
#line 5381 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 357: /* VMEOpndIME: LPAREN DEC_LIT COMMA DEC_LIT RPAREN  */
#line 2630 "CISA.y"
    {
        (yyval.vmeOpndIvb).streamMode = (unsigned char)(yyvsp[-3].intval);
        (yyval.vmeOpndIvb).searchCtrl = (unsigned char)(yyvsp[-1].intval);
    }
#line 5390 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 358: /* VMEOpndFBR: LPAREN VecSrcOperand_G_I_IMM COMMA VecSrcOperand_G_I_IMM COMMA VecSrcOperand_G_I_IMM RPAREN  */
#line 2637 "CISA.y"
    {
        (yyval.vmeOpndFbr).cisa_fbrMbMode_opnd = (yyvsp[-5].genOperand).cisa_gen_opnd;
        (yyval.vmeOpndFbr).cisa_fbrSubMbShape_opnd = (yyvsp[-3].genOperand).cisa_gen_opnd;
        (yyval.vmeOpndFbr).cisa_fbrSubPredMode_opnd = (yyvsp[-1].genOperand).cisa_gen_opnd;
    }
#line 5400 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 359: /* SrcStateOperand: Var LPAREN IntExp RPAREN  */
#line 2645 "CISA.y"
    {
        MUST_HOLD((yyvsp[-1].intval) < 0x100, "offset out of bounds");
        (yyval.StateVar).offset = (unsigned char)(yyvsp[-1].intval);
        ABORT_ON_FAIL((yyval.StateVar).cisa_gen_opnd = pBuilder->CISA_create_state_operand((yyvsp[-3].string), (unsigned char)(yyvsp[-1].intval), CISAlineno, false));
    }
#line 5410 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 360: /* DstStateOperand: Var LPAREN IntExp RPAREN  */
#line 2653 "CISA.y"
    {
        MUST_HOLD((yyvsp[-1].intval) < 0x100, "offset out of bounds");
        (yyval.StateVar).offset = (unsigned char)(yyvsp[-1].intval);
        ABORT_ON_FAIL((yyval.StateVar).cisa_gen_opnd = pBuilder->CISA_create_state_operand((yyvsp[-3].string), (unsigned char)(yyvsp[-1].intval), CISAlineno, true));
    }
#line 5420 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 362: /* RawOperand: BUILTIN_NULL DOT DEC_LIT  */
#line 2684 "CISA.y"
    {
        MUST_HOLD((yyvsp[0].intval) == 0, "%null must have 0 as offset");
        (yyval.RawVar) = pBuilder->CISA_create_RAW_NULL_operand(CISAlineno); // can't fail
    }
#line 5429 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 363: /* RawOperandNonNull: VarNonNull RawOperandOffsetSuffix  */
#line 2691 "CISA.y"
    {
        ABORT_ON_FAIL((yyval.RawVar) = pBuilder->CISA_create_RAW_operand((yyvsp[-1].string), (unsigned short)(yyvsp[0].intval), CISAlineno));
    }
#line 5437 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 364: /* RawOperandOffsetSuffix: DOT DEC_LIT  */
#line 2702 "CISA.y"
                {
        MUST_HOLD((yyvsp[0].intval) <= 0x10000, "offset out of bounds");
        (yyval.intval) = (yyvsp[0].intval);
    }
#line 5446 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 365: /* RawOperandOffsetSuffix: DOT LPAREN IntExp RPAREN  */
#line 2707 "CISA.y"
                             {
        MUST_HOLD((yyvsp[-1].intval) <= 0x10000, "offset out of bounds");
        (yyval.intval) = (yyvsp[-1].intval);
    }
#line 5455 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 366: /* RawOperandArray: %empty  */
#line 2715 "CISA.y"
    {
        (yyval.intval) = 0;
    }
#line 5463 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 367: /* RawOperandArray: RawOperandArray RawOperand  */
#line 2720 "CISA.y"
    {
        rawOperandArray[(yyvsp[-1].intval)++] = (VISA_RawOpnd*)(yyvsp[0].RawVar);
        (yyval.intval) = (yyvsp[-1].intval);
    }
#line 5472 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 368: /* DstAddrOperand: AddrVarAccessWithWidth  */
#line 2728 "CISA.y"
    {
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd =
          pBuilder->CISA_set_address_operand(
            (yyvsp[0].regAccess).cisa_decl, (yyvsp[0].regAccess).elem, (yyvsp[0].regAccess).row, true, CISAlineno));
    }
#line 5482 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 369: /* DstGeneralOperand: Var TwoDimOffset DstRegion  */
#line 2736 "CISA.y"
    {
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_dst_general_operand(
            (yyvsp[-2].string), (yyvsp[-1].offset).row, (yyvsp[-1].offset).elem, (unsigned short)(yyvsp[0].intval), CISAlineno));
    }
#line 5491 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 370: /* DstGeneralOperand: Var DstRegion  */
#line 2741 "CISA.y"
                  {
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_dst_general_operand(
            (yyvsp[-1].string), 0, 0, (unsigned short)(yyvsp[0].intval), CISAlineno));
    }
#line 5500 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 371: /* DstIndirectOperand: IndirectVarAccess DstRegion DataType  */
#line 2747 "CISA.y"
    {
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_create_indirect_dst(
            (yyvsp[-2].regAccess).cisa_decl, MODIFIER_NONE, (yyvsp[-2].regAccess).row, (yyvsp[-2].regAccess).elem, (yyvsp[-2].regAccess).immOff, (unsigned short)(yyvsp[-1].intval), (yyvsp[0].type), CISAlineno));
    }
#line 5509 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 372: /* SrcAddrOfOperand: AddrOfVar  */
#line 2768 "CISA.y"
              {
         (yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_set_address_expression((yyvsp[0].regAccess).cisa_decl, 0, CISAlineno);
    }
#line 5517 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 373: /* SrcAddrOfOperand: AddrOfVar LBRACK IntExp RBRACK  */
#line 2772 "CISA.y"
                                   {
         MUST_HOLD((short)(yyvsp[-1].intval) == (yyvsp[-1].intval), "variable address offset is too large");
         (yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_set_address_expression((yyvsp[-3].regAccess).cisa_decl, (short)(yyvsp[-1].intval), CISAlineno);
    }
#line 5526 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 374: /* AddrOfVar: AMP Var  */
#line 2778 "CISA.y"
            {
        // Both GENERAL_VAR and SURFACE_VAR are addressable
        (yyval.regAccess).cisa_decl = pBuilder->CISA_find_decl((yyvsp[0].string));
        if ((yyval.regAccess).cisa_decl == nullptr)
            PARSE_ERROR("unbound variable");
        (yyval.regAccess).row = 0;
        (yyval.regAccess).elem = 0;
    }
#line 5539 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 375: /* SrcAddrOperand: AddrVarAccessWithWidth  */
#line 2789 "CISA.y"
    {
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd =
            pBuilder->CISA_set_address_operand(
                (yyvsp[0].regAccess).cisa_decl, (yyvsp[0].regAccess).elem, (yyvsp[0].regAccess).row, false, CISAlineno));
    }
#line 5549 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 376: /* SrcGeneralOperand: Var TwoDimOffset SrcRegionDirect  */
#line 2797 "CISA.y"
    {
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd =
            pBuilder->CISA_create_gen_src_operand(
                (yyvsp[-2].string), (yyvsp[0].cisa_region).v_stride, (yyvsp[0].cisa_region).width, (yyvsp[0].cisa_region).h_stride, (yyvsp[-1].offset).row, (yyvsp[-1].offset).elem, MODIFIER_NONE, CISAlineno));
    }
#line 5559 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 377: /* SrcGeneralOperand: SrcModifier Var TwoDimOffset SrcRegionDirect  */
#line 2804 "CISA.y"
    {
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd =
            pBuilder->CISA_create_gen_src_operand(
                (yyvsp[-2].string), (yyvsp[0].cisa_region).v_stride, (yyvsp[0].cisa_region).width, (yyvsp[0].cisa_region).h_stride, (yyvsp[-1].offset).row, (yyvsp[-1].offset).elem, (yyvsp[-3].src_mod).mod, CISAlineno));
    }
#line 5569 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 378: /* SrcImmOperand: IntExpUnr DataTypeIntOrVector  */
#line 2814 "CISA.y"
    {
        (yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_create_immed((yyvsp[-1].intval), (yyvsp[0].type), CISAlineno);
    }
#line 5577 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 379: /* SrcImmOperand: HEX_LIT HFTYPE  */
#line 2819 "CISA.y"
                     {
        MUST_HOLD((yyvsp[-1].intval) < 0x10000, "literal too large for half float");
        (yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_create_immed(
            (unsigned short)(yyvsp[-1].intval), ISA_TYPE_HF, CISAlineno);
    }
#line 5587 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 380: /* SrcImmOperand: FloatLit  */
#line 2827 "CISA.y"
    {
        (yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_create_float_immed((yyvsp[0].fltval), ISA_TYPE_F, CISAlineno);
    }
#line 5595 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 381: /* SrcImmOperand: MINUS FloatLit  */
#line 2830 "CISA.y"
                     {
        (yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_create_float_immed(-(yyvsp[0].fltval), ISA_TYPE_F, CISAlineno);
    }
#line 5603 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 382: /* SrcImmOperand: DoubleFloatLit  */
#line 2836 "CISA.y"
    {
        (yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_create_float_immed((yyvsp[0].fltval), ISA_TYPE_DF, CISAlineno);
    }
#line 5611 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 383: /* SrcImmOperand: MINUS DoubleFloatLit  */
#line 2840 "CISA.y"
    {
        (yyval.genOperand).cisa_gen_opnd = pBuilder->CISA_create_float_immed(-(yyvsp[0].fltval), ISA_TYPE_DF, CISAlineno);
    }
#line 5619 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 385: /* FloatLit: DEC_LIT FTYPE  */
#line 2847 "CISA.y"
   {
        // "1:f" means 1.4e-45
        int number = (int)(yyvsp[-1].intval);
        float *fp = (float *)&number;
        (yyval.fltval) = *fp;
   }
#line 5630 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 386: /* FloatLit: HEX_LIT FTYPE  */
#line 2854 "CISA.y"
   {
        int number = (int)(yyvsp[-1].intval);
        float *fp = (float *)&number;
        (yyval.fltval) = *fp;
   }
#line 5640 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 388: /* DoubleFloatLit: DEC_LIT DFTYPE  */
#line 2862 "CISA.y"
                    {
        // "1:df" means 5e-324
        int64_t number = (yyvsp[-1].intval);
        double *fp = (double *)&number;
        (yyval.fltval) = *fp;
   }
#line 5651 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 389: /* DoubleFloatLit: HEX_LIT DFTYPE  */
#line 2868 "CISA.y"
                    {
        // to support 0x7ff0000000000000:df
        int64_t number = (yyvsp[-1].intval);
        double *fp = (double *)&number;
        (yyval.fltval) = *fp;
   }
#line 5662 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 390: /* SrcIndirectOperand: IndirectVarAccess SrcRegionIndirect DataType  */
#line 2879 "CISA.y"
    {
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd =
            pBuilder->CISA_create_indirect(
                (yyvsp[-2].regAccess).cisa_decl, MODIFIER_NONE, (yyvsp[-2].regAccess).row, (yyvsp[-2].regAccess).elem, (yyvsp[-2].regAccess).immOff,
                (yyvsp[-1].cisa_region).v_stride, (yyvsp[-1].cisa_region).width, (yyvsp[-1].cisa_region).h_stride, (yyvsp[0].type), CISAlineno));
    }
#line 5673 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 391: /* SrcIndirectOperand: SrcModifier IndirectVarAccess SrcRegionIndirect DataType  */
#line 2887 "CISA.y"
    {
        ABORT_ON_FAIL((yyval.genOperand).cisa_gen_opnd =
            pBuilder->CISA_create_indirect(
                (yyvsp[-2].regAccess).cisa_decl, (yyvsp[-3].src_mod).mod, (yyvsp[-2].regAccess).row, (yyvsp[-2].regAccess).elem, (yyvsp[-2].regAccess).immOff,
                (yyvsp[-1].cisa_region).v_stride, (yyvsp[-1].cisa_region).width, (yyvsp[-1].cisa_region).h_stride, (yyvsp[0].type), CISAlineno));
    }
#line 5684 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 392: /* DstRegion: LANGLE IntExpNRA RANGLE  */
#line 2896 "CISA.y"
    {
        MUST_HOLD(((yyvsp[-1].intval) == 0 || (yyvsp[-1].intval) == 1 || (yyvsp[-1].intval) == 2 || (yyvsp[-1].intval) == 4),
             "Dst HorzStride must be 0, 1, 2, or 4");
        (yyval.intval) = (yyvsp[-1].intval);
    }
#line 5694 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 393: /* SrcRegionDirect: LANGLE IntExp SEMI IntExp COMMA IntExpNRA RANGLE  */
#line 2914 "CISA.y"
    {
        MUST_HOLD(((yyvsp[-5].intval) == 0 || (yyvsp[-5].intval) == 1 || (yyvsp[-5].intval) == 2 || (yyvsp[-5].intval) == 4 || (yyvsp[-5].intval) == 8 || (yyvsp[-5].intval) == 16 || (yyvsp[-5].intval) == 32),
                 "Src Region VertStride must be 0, 1, 2, 4, 8, 16, or 32");
        MUST_HOLD(((yyvsp[-3].intval) == 0 || (yyvsp[-3].intval) == 1 || (yyvsp[-3].intval) == 2 || (yyvsp[-3].intval) == 4 || (yyvsp[-3].intval) == 8 || (yyvsp[-3].intval) == 16),
                 "Src Region Width must be 0, 1, 2, 4, 8 or 16");
        MUST_HOLD(((yyvsp[-1].intval) == 0 || (yyvsp[-1].intval) == 1 || (yyvsp[-1].intval) == 2 || (yyvsp[-1].intval) == 4),
                 "Src Region HorzStride must be 0, 1, 2, or 4");
        (yyval.cisa_region).v_stride = (unsigned)(yyvsp[-5].intval);
        (yyval.cisa_region).width = (unsigned)(yyvsp[-3].intval);
        (yyval.cisa_region).h_stride = (unsigned)(yyvsp[-1].intval);
    }
#line 5710 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 395: /* SrcRegionIndirect: LANGLE IntExp COMMA DEC_LIT RANGLE  */
#line 2931 "CISA.y"
    {
        MUST_HOLD(((yyvsp[-3].intval) == 0 || (yyvsp[-3].intval) == 1 || (yyvsp[-3].intval) == 2 || (yyvsp[-3].intval) == 4 || (yyvsp[-3].intval) == 8 || (yyvsp[-3].intval) == 16),
                 "Width must be 0, 1, 2, 4, 8 or 16");
        MUST_HOLD(((yyvsp[-1].intval) == 0 || (yyvsp[-1].intval) == 1 || (yyvsp[-1].intval) == 2 || (yyvsp[-1].intval) == 4),
                 "HorzStride must be 0, 1, 2, or 4");
        (yyval.cisa_region).v_stride = -1;
        (yyval.cisa_region).width = (unsigned)(yyvsp[-3].intval);
        (yyval.cisa_region).h_stride = (unsigned)(yyvsp[-1].intval);
    }
#line 5724 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 396: /* SrcRegionIndirect: LANGLE IntExpNRA RANGLE  */
#line 2942 "CISA.y"
    {
        MUST_HOLD(((yyvsp[-1].intval) == 0 || (yyvsp[-1].intval) == 1 || (yyvsp[-1].intval) == 2 || (yyvsp[-1].intval) == 4),
             "HorzStride must be 0, 1, 2, or 4");
        (yyval.cisa_region).v_stride = -1;
        (yyval.cisa_region).width = -1;
        (yyval.cisa_region).h_stride = (unsigned)(yyvsp[-1].intval);
    }
#line 5736 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 397: /* IndirectVarAccess: IND_LBRACK AddrVarAccess COMMA IntExp RBRACK  */
#line 2952 "CISA.y"
                                                 {
        (yyval.regAccess) = (yyvsp[-3].regAccess);
        (yyval.regAccess).immOff = (int)(yyvsp[-1].intval);
    }
#line 5745 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 398: /* IndirectVarAccess: IND_LBRACK AddrVarAccess RBRACK  */
#line 2957 "CISA.y"
                                                 {
          (yyval.regAccess) = (yyvsp[-1].regAccess);
          (yyval.regAccess).immOff = 0;
    }
#line 5754 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 399: /* TwoDimOffset: LPAREN IntExp COMMA IntExp RPAREN  */
#line 2962 "CISA.y"
                                                {
        MUST_HOLD((yyvsp[-3].intval) >= 0, "row (register) offset must be positive");
        (yyval.offset).row = (int)(yyvsp[-3].intval);
        MUST_HOLD((yyvsp[-1].intval) >= 0 && (yyvsp[-1].intval) <= 0xFFFF, "sub-register offset out of bounds");
        (yyval.offset).elem = (int)(yyvsp[-1].intval);
    }
#line 5765 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 400: /* PredVar: Var  */
#line 2970 "CISA.y"
        {
        (yyval.vISADecl) = pBuilder->CISA_find_decl((yyvsp[0].string));
        if ((yyval.vISADecl) == nullptr)
            PARSE_ERROR((yyvsp[0].string), ": undefined predicate variable");
        if ((yyval.vISADecl)->type != PREDICATE_VAR)
            PARSE_ERROR((yyvsp[0].string), ": not a predicate variable");
    }
#line 5777 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 401: /* AddrVarAccess: Var LPAREN IntExp RPAREN  */
#line 2979 "CISA.y"
                             {
        (yyval.regAccess).cisa_decl = pBuilder->CISA_find_decl((yyvsp[-3].string));
        if ((yyval.regAccess).cisa_decl == nullptr) {
            PARSE_ERROR((yyvsp[-3].string), ": unbound variable");
        } else if ((yyval.regAccess).cisa_decl->type != ADDRESS_VAR) {
            PARSE_ERROR((yyvsp[-3].string), ": not an address variable");
        }
        (yyval.regAccess).row = 1;
        (yyval.regAccess).elem = (int)(yyvsp[-1].intval);
    }
#line 5792 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 402: /* AddrVarAccessWithWidth: Var LPAREN IntExp RPAREN LANGLE IntExpNRA RANGLE  */
#line 2991 "CISA.y"
                                                     {
        (yyval.regAccess).cisa_decl = pBuilder->CISA_find_decl((yyvsp[-6].string));
        if ((yyval.regAccess).cisa_decl == nullptr) {
            PARSE_ERROR((yyvsp[-6].string), ": unbound variable");
        } else if ((yyval.regAccess).cisa_decl->type != ADDRESS_VAR) {
            PARSE_ERROR((yyvsp[-6].string), ": not an address variable");
        }
        (yyval.regAccess).row = (int)(yyvsp[-1].intval);
        (yyval.regAccess).elem = (int)(yyvsp[-4].intval);
    }
#line 5807 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 403: /* SIMDMode: %empty  */
#line 3005 "CISA.y"
           {(yyval.intval) = 0;}
#line 5813 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 404: /* SIMDMode: LPAREN DEC_LIT RPAREN  */
#line 3008 "CISA.y"
    {
       MUST_HOLD(((yyvsp[-1].intval) == 8 || (yyvsp[-1].intval) == 16 || (yyvsp[-1].intval) == 32),
                 "SIMD mode can only be 8, 16, or 32");
       (yyval.intval) = (yyvsp[-1].intval);
    }
#line 5823 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 405: /* ElemNum: DOT DEC_LIT  */
#line 3019 "CISA.y"
    {
        (yyval.intval) = (yyvsp[0].intval);
    }
#line 5831 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 406: /* ExecSize: LPAREN ExecSizeInt RPAREN  */
#line 3031 "CISA.y"
    {
        (yyval.emask_exec_size).emask = vISA_EMASK_M1;
        (yyval.emask_exec_size).exec_size = (int)(yyvsp[-1].intval);
    }
#line 5840 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 407: /* ExecSize: LPAREN Var COMMA ExecSizeInt RPAREN  */
#line 3037 "CISA.y"
    {
        if (!ParseEMask((yyvsp[-3].string), (yyval.emask_exec_size).emask)) {
            PARSE_ERROR("invalid execution offset info");
        }
        (yyval.emask_exec_size).exec_size = (int)(yyvsp[-1].intval);
    }
#line 5851 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 408: /* ExecSizeInt: DEC_LIT  */
#line 3045 "CISA.y"
    {
        if ((yyvsp[0].intval) != 1 && (yyvsp[0].intval) != 2 && (yyvsp[0].intval) != 4 && (yyvsp[0].intval) != 8 && (yyvsp[0].intval) != 16 && (yyvsp[0].intval) != 32) {
            PARSE_ERROR("invalid execution size");
        }
        (yyval.intval) = (unsigned short)(yyvsp[0].intval);
    }
#line 5862 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 414: /* IntExpCond: IntExpAND QUESTION IntExpAND COLON IntExpCond  */
#line 3059 "CISA.y"
                                                    {(yyval.intval) = (yyvsp[-4].intval) ? (yyvsp[-2].intval) : (yyvsp[0].intval);}
#line 5868 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 416: /* IntExpAND: IntExpAND AMP IntExpXOR  */
#line 3062 "CISA.y"
                               {(yyval.intval) = (yyvsp[-2].intval) & (yyvsp[0].intval);}
#line 5874 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 418: /* IntExpXOR: IntExpXOR CIRC IntExpOR  */
#line 3065 "CISA.y"
                               {(yyval.intval) = (yyvsp[-2].intval) ^ (yyvsp[0].intval);}
#line 5880 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 420: /* IntExpOR: IntExpOR PIPE IntExpCmp  */
#line 3068 "CISA.y"
                                {(yyval.intval) = (yyvsp[-2].intval) | (yyvsp[0].intval);}
#line 5886 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 422: /* IntExpCmp: IntExpRel EQ IntExpRel  */
#line 3071 "CISA.y"
                               {(yyval.intval) = (yyvsp[-2].intval) == (yyvsp[0].intval);}
#line 5892 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 423: /* IntExpCmp: IntExpRel NEQ IntExpRel  */
#line 3072 "CISA.y"
                               {(yyval.intval) = (yyvsp[-2].intval) != (yyvsp[0].intval);}
#line 5898 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 425: /* IntExpRel: IntExpNRA LANGLE IntExpNRA  */
#line 3075 "CISA.y"
                                 {(yyval.intval) = (yyvsp[-2].intval) < (yyvsp[0].intval);}
#line 5904 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 426: /* IntExpRel: IntExpNRA RANGLE IntExpNRA  */
#line 3076 "CISA.y"
                                 {(yyval.intval) = (yyvsp[-2].intval) > (yyvsp[0].intval);}
#line 5910 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 427: /* IntExpRel: IntExpNRA LEQ IntExpNRA  */
#line 3077 "CISA.y"
                                 {(yyval.intval) = (yyvsp[-2].intval) <= (yyvsp[0].intval);}
#line 5916 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 428: /* IntExpRel: IntExpNRA GEQ IntExpNRA  */
#line 3078 "CISA.y"
                                 {(yyval.intval) = (yyvsp[-2].intval) >= (yyvsp[0].intval);}
#line 5922 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 431: /* IntExpShift: IntExpAdd SHL IntExpAdd  */
#line 3101 "CISA.y"
                               {(yyval.intval) = (yyvsp[-2].intval) << (yyvsp[0].intval);}
#line 5928 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 432: /* IntExpShift: IntExpAdd SHRS IntExpAdd  */
#line 3102 "CISA.y"
                               {(yyval.intval) = (int64_t)(yyvsp[-2].intval) >> (int)(yyvsp[0].intval);}
#line 5934 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 433: /* IntExpShift: IntExpAdd SHRZ IntExpAdd  */
#line 3103 "CISA.y"
                               {(yyval.intval) = (int64_t)((uint64_t)(yyvsp[-2].intval) >> (uint64_t)(yyvsp[0].intval));}
#line 5940 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 435: /* IntExpAdd: IntExpAdd PLUS IntExpMul  */
#line 3106 "CISA.y"
                                {(yyval.intval) = (yyvsp[-2].intval) + (yyvsp[0].intval);}
#line 5946 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 436: /* IntExpAdd: IntExpAdd MINUS IntExpMul  */
#line 3107 "CISA.y"
                                {(yyval.intval) = (yyvsp[-2].intval) - (yyvsp[0].intval);}
#line 5952 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 438: /* IntExpMul: IntExpMul TIMES IntExpUnr  */
#line 3110 "CISA.y"
                                {(yyval.intval) = (yyvsp[-2].intval) * (yyvsp[0].intval);}
#line 5958 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 439: /* IntExpMul: IntExpMul SLASH IntExpUnr  */
#line 3111 "CISA.y"
                                {
            if ((yyvsp[0].intval) == 0)
                PARSE_ERROR("division by 0");
            (yyval.intval) = (yyvsp[-2].intval) / (yyvsp[0].intval);
        }
#line 5968 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 440: /* IntExpMul: IntExpMul PERCENT IntExpUnr  */
#line 3116 "CISA.y"
                                  {
            if ((yyvsp[0].intval) == 0)
                PARSE_ERROR("division by 0");
            (yyval.intval) = (yyvsp[-2].intval) % (yyvsp[0].intval);
        }
#line 5978 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 442: /* IntExpUnr: MINUS IntExpUnr  */
#line 3123 "CISA.y"
                      {(yyval.intval) = -(yyvsp[0].intval);}
#line 5984 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 443: /* IntExpUnr: TILDE IntExpUnr  */
#line 3124 "CISA.y"
                      {(yyval.intval) = ~(yyvsp[0].intval);}
#line 5990 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 444: /* IntExpUnr: BANG IntExpUnr  */
#line 3125 "CISA.y"
                      {(yyval.intval) = !((yyvsp[0].intval));}
#line 5996 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 448: /* IntExpPrim: LPAREN IntExp RPAREN  */
#line 3133 "CISA.y"
                           {(yyval.intval) = (yyvsp[-1].intval);}
#line 6002 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 449: /* IntExpPrim: BUILTIN_SIZEOF IDENT  */
#line 3137 "CISA.y"
                           {
        (yyval.intval) = 0;
        ABORT_ON_FAIL(pBuilder->CISA_eval_sizeof_decl(CISAlineno, (yyvsp[0].string), (yyval.intval)));
    }
#line 6011 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 450: /* IntExpPrim: BUILTIN_SIZEOF LPAREN IDENT RPAREN  */
#line 3141 "CISA.y"
                                         {
        // TODO: %AlignOf(...), %Max(..)
        (yyval.intval) = 0;
        ABORT_ON_FAIL(pBuilder->CISA_eval_sizeof_decl(CISAlineno, (yyvsp[-1].string), (yyval.intval)));
    }
#line 6021 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;

  case 451: /* IntExpPrim: BUILTIN_DISPATCH_SIMD_SIZE  */
#line 3147 "CISA.y"
                                 {
        // e.g. %DispatchSimdSize
        // N.B. %sizeof happens above
        (yyval.intval) = 0;
        ABORT_ON_FAIL(pBuilder->CISA_lookup_builtin_constant(CISAlineno, "%DispatchSimd", (yyval.intval)));
    }
#line 6032 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"
    break;


#line 6036 "/builddir/build/BUILD/intel-igc-1.0.17791.18-build/intel-graphics-compiler-igc-1.0.17791.18/redhat-linux-build/IGC/visa/CISA.tab.cpp"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (pBuilder, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, pBuilder);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, pBuilder);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (pBuilder, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, pBuilder);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, pBuilder);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 3166 "CISA.y"

///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//                        Utility Functions                                  //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

void CISAerror(CISA_IR_Builder* pBuilder, char const *s)
{
    pBuilder->RecordParseError(CISAlineno, s);
}

static bool streq(const char *sym0, const char *sym1)
{
  return strcmp(sym0, sym1) == 0;
}

static bool ParseAlign(CISA_IR_Builder* pBuilder, const char *sym, VISA_Align &value)
{
    if (strcmp(sym, "byte") == 0) {
        value = ALIGN_BYTE;
    } else if (strcmp(sym, "word") == 0) {
        value = ALIGN_WORD;
    } else if (strcmp(sym, "dword") == 0) {
        value = ALIGN_DWORD;
    } else if (strcmp(sym, "qword") == 0) {
        value = ALIGN_QWORD;
    } else if (strcmp(sym, "oword") == 0) {
        value = ALIGN_OWORD;
    } else if (strcmp(sym, "GRF") == 0) {
        value = ALIGN_GRF;
    } else if (strcmp(sym, "GRFx2") == 0 || strcmp(sym, "2GRF") == 0) {
        value = ALIGN_2_GRF;
    } else if (strcmp(sym, "hword") == 0) {
        value = ALIGN_HWORD;
    } else if (strcmp(sym, "wordx32") == 0) {
        value = ALIGN_32WORD;
    } else if (strcmp(sym, "wordx64") == 0) {
        value = ALIGN_64WORD;
    } else {
        value = ALIGN_UNDEF;
        return false;
    }
    return true;
}


static VISA_Align AlignBytesToVisaAlignment(int bytes)
{
    VISA_Align val = ALIGN_UNDEF;
    switch (bytes) {
    case 1:   val = ALIGN_BYTE; break;
    case 2:   val = ALIGN_WORD; break;
    case 4:   val = ALIGN_DWORD; break;
    case 8:   val = ALIGN_QWORD; break;
    case 16:  val = ALIGN_OWORD; break;
    case 32:  val = ALIGN_HWORD; break;
    case 64:  val = ALIGN_32WORD; break;
    case 128: val = ALIGN_64WORD; break;
    default:  val = ALIGN_UNDEF; break;
    }
    return val;
}



static bool ParseEMask(
    const char* sym,
    VISA_EMask_Ctrl &emask)
{
    if (strcmp(sym, "NoMask") == 0) {
        emask = vISA_EMASK_M1_NM;
        return true;
    }
    for (int i = 0; i < vISA_NUM_EMASK +1; i++)
    {
        if (!strcmp(emask_str[i], sym))
        {
            emask = (VISA_EMask_Ctrl)i;
            return true;
        }
    }

    emask = vISA_NUM_EMASK;
    return false;
}

static int lscCheckExecSize(
    CISA_IR_Builder* pBuilder,
    LSC_SFID sfid,
    LSC_OP op,
    LSC_DATA_ORDER data_order,
    int exec_size)
{
    int is_vector_op =
        op != LSC_LOAD_BLOCK2D &&
        op != LSC_STORE_BLOCK2D;
        // other ops like LSC_LOAD_SURFACE_INFO may be SIMD1
    if (op == LSC_READ_STATE_INFO) {
        exec_size = 1;
    } else if (data_order == LSC_DATA_ORDER_NONTRANSPOSE && is_vector_op) {
        if (exec_size == UNDEFINED_EXEC_SIZE) {
            if (pBuilder->getPlatform() == Xe_DG2) // for DG2 typed is 8, untyped is 16
                exec_size = sfid == LSC_TGM ? 8 : 16;
            else if (pBuilder->getPlatform() >= Xe_PVC) // on PVC typed is 16, untyped is 32
                exec_size = sfid == LSC_TGM ? 16 : 32;
            else
                exec_size = 32; // the world is finally sane
        }
    } else {
        // block and transpose get SIMD by default
        if (exec_size == UNDEFINED_EXEC_SIZE) {
           exec_size = 1; // transpose is implicitly 1 if needed
        }
    }
    return exec_size;
}
